import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext, useMemo, useState } from "react";
import { AccountStatusEnum } from "@orderly.network/types";
import { Chains } from "../sections/desktop/chains.desktop";
import { cn } from "../../../utils/css";
import { useAccount, useChains, useWalletConnector, } from "@orderly.network/hooks";
import { OrderlyAppContext } from "@orderly.network/react";
import { DesktopWalletConnnectButton } from "./walletConnectButton.desktop";
import { isTestnet } from "@orderly.network/utils";
export const AccountStatus = (props) => {
    const { status = AccountStatusEnum.NotConnected } = props;
    const { account, state } = useAccount();
    const [open, setOpen] = useState(false);
    // @ts-ignore
    const { onWalletDisconnect } = useContext(OrderlyAppContext);
    const { connectedChain } = useWalletConnector();
    const [allChains, { findByChainId }] = useChains(undefined, {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
        // filter: (chain: API.Chain) => isTestnet(chain.network_infos?.chain_id),
    });
    const chains = useMemo(() => {
        if (Array.isArray(allChains))
            return allChains;
        if (allChains === undefined)
            return [];
        // @ts-ignore
        if (connectedChain && isTestnet(parseInt(connectedChain.id))) {
            return allChains.testnet ?? [];
        }
        return allChains.mainnet;
    }, [allChains, connectedChain]);
    return (_jsxs("div", { className: cn("orderly-h-full orderly-flex orderly-items-center orderly-space-x-2", props.className), children: [_jsx(Chains, { disabled: status < AccountStatusEnum.NotConnected, className: "orderly-rounded-full" }), _jsx(DesktopWalletConnnectButton, { status: status, 
                // @ts-ignore
                chains: chains, address: props.address, balance: props.balance, currency: props.currency, totalValue: props.totalValue, accountInfo: account, loading: props.loading, onConnect: props.onConnect, onDisconnect: props.onDisconnect, showGetTestUSDC: props.showGetTestUSDC, className: props.className, dropMenuItem: props.dropMenuItem, onClickDropMenuItem: props.onClickDropMenuItem })] }));
};
//# sourceMappingURL=accountStatus.desktop.js.map