import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from "react";
import { useMarginRatio, useLeverage, } from "@orderly.network/hooks";
import { Numeral } from "../../../text";
import { Pencil } from "lucide-react";
import { LeverageDialog } from "./leverageDialog";
import { Tooltip } from "../../../tooltip";
import { Divider } from "../../../divider";
import { cn } from "../../../utils";
import { getMarginRatioColor } from "../utils";
const LeverageAndMarginRatio = (props) => {
    const { isConnected } = props;
    const { marginRatio, currentLeverage, mmr } = useMarginRatio();
    const [maxLeverage, { update, config: leverageLevers }] = useLeverage();
    const marginRatioVal = marginRatio === 0 ? 10 : Math.min(marginRatio, 10);
    const { isRed, isYellow, isGreen } = getMarginRatioColor(marginRatioVal, mmr);
    return (_jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-xs", children: [_jsxs("div", { className: "orderly-flex orderly-flex-col orderly-tabular-nums orderly-items-start", children: [_jsx(Tooltip
                    // @ts-ignore
                    , { 
                        // @ts-ignore
                        content: _jsxs("div", { children: [_jsx("span", { children: "Your actual Leverage of the whole account / Your max Leverage of the whole account" }), _jsx(Divider, { className: "orderly-py-2 orderly-border-white/10" }), _jsx("span", { children: "Margin ratio = Total collateral / Total position notional" })] }), className: "orderly-max-w-[270px]", children: _jsx("div", { className: "orderly-text-base-contrast-54 orderly-text-3xs orderly-cursor-pointer", children: "Margin ratio" }) }), _jsx(Numeral, { className: cn("orderly-text-base-contrast", isConnected &&
                            cn({
                                "orderly-text-[#FF67C2]": isRed,
                                "orderly-text-[#FFCF73]": isYellow,
                                "orderly-text-[#1EF6B4]": isGreen,
                            })), rule: "percentages", coloring: true, children: isConnected ? marginRatioVal : "-" })] }), _jsxs("div", { className: "orderly-flex orderly-flex-col orderly-items-end", children: [_jsx(Tooltip, { content: "Your actual Leverage of the whole account / Your max Leverage of the whole account", className: "orderly-max-w-[270px]", children: _jsx("div", { className: "orderly-text-base-contrast-54 orderly-text-3xs orderly-cursor-pointer", children: "Account leverage" }) }), _jsxs("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-2xs", children: [isConnected ? (_jsx(Numeral, { surfix: "x", children: currentLeverage })) : ("-"), _jsx("span", { className: "orderly-text-base-contrast-54", children: "/" }), isConnected ? (_jsx(LeverageDialog, { children: _jsxs("button", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [_jsx("span", { children: `${maxLeverage ?? "-"}x` }), typeof maxLeverage !== "undefined" && (
                                        // @ts-ignore
                                        _jsx(Pencil, { size: 14, className: "orderly-text-base-contrast-54" }))] }) })) : ("-")] })] })] }));
};
export const MemorizedLeverage = memo(LeverageAndMarginRatio);
//# sourceMappingURL=leverage.js.map