import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo, useCallback, useContext } from "react";
import { Numeral } from "../../../text";
import { useCollateral, usePositionStream } from "@orderly.network/hooks";
import { AssetsContext } from "../../../provider";
import { modal } from "../../../modal";
import { SettlePnlContent } from "../../../block/withdraw";
import { RefreshCcw } from "lucide-react";
const AssetsDetail = () => {
    const { freeCollateral } = useCollateral({
        dp: 2,
    });
    const [{ aggregated }] = usePositionStream();
    const { onSettle } = useContext(AssetsContext);
    const onSettleClick = useCallback(() => {
        modal
            .confirm({
            title: "Settle PnL",
            content: _jsx(SettlePnlContent, {}),
            maxWidth: "xs",
            onCancel() {
                return Promise.reject("cancel");
            },
            onOk() {
                return onSettle();
            },
        })
            .then(() => { }, (error) => { });
    }, []);
    return (_jsxs("div", { className: "orderly-text-xs orderly-py-4 orderly-mb-4 orderly-border-b orderly-border-t orderly-border-divider orderly-space-y-2 orderly-tabular-nums", children: [_jsxs("div", { className: "orderly-flex orderly-justify-between", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Free collateral" }), _jsx(Numeral, { surfix: _jsx("span", { className: "orderly-text-base-contrast-36", children: "USDC" }), children: freeCollateral })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Unsettled PnL" }), _jsx(Numeral, { coloring: true, prefix: _jsx("button", { className: "orderly-text-primary-light", onClick: onSettleClick, children: _jsx(RefreshCcw, { size: 14 }) }), surfix: _jsx("span", { className: "orderly-text-base-contrast-36", children: "USDC" }), children: aggregated?.unsettledPnL ?? 0 })] })] }));
};
export const MemorizedAssetsDetail = memo(AssetsDetail);
//# sourceMappingURL=assetsDetail.js.map