import { jsx as _jsx } from "react/jsx-runtime";
import { useModal } from "../../modal";
import { create } from "../../modal/modalHelper";
import { Deposit } from "./deposit";
import { Sheet, SheetContent } from "../../sheet/sheet";
import { Dialog, DialogContent } from "../../dialog/dialog";
export const DepositWithSheet = create((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = useModal();
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    return (_jsx(Sheet, { open: visible, onOpenChange: onOpenChange, children: _jsx(SheetContent, { children: _jsx(Deposit, { onOk: onOk, 
                // @ts-ignore
                dst: {
                    chainId: 0,
                    address: "",
                    decimals: 0,
                    symbol: "",
                    network: "",
                } }) }) }));
});
export const DepositWithDialog = create((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = useModal();
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    return (_jsx(Dialog, { open: visible, onOpenChange: onOpenChange, children: _jsx(DialogContent, { className: "orderly-p-5", maxWidth: "lg", children: _jsx(Deposit, { onOk: onOk, 
                // @ts-ignore
                dst: {
                    chainId: 0,
                    address: "",
                    decimals: 0,
                    symbol: "",
                    network: "",
                } }) }) }));
});
//# sourceMappingURL=dialog.js.map