import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from "react";
import { ListView } from "../../../listView";
import { Numeral, Text } from "../../../text";
import { SortGroup } from "./sortGroup";
import { cn } from "../../../utils/css";
import { NetworkImage } from "../../../icon";
import { useSymbolsInfo } from "@orderly.network/hooks";
export const ListViewFull = forwardRef((props, ref) => {
    const config = useSymbolsInfo();
    const renderItem = (item, index, extraData) => {
        if (config.isNil)
            return null;
        const symbolInfo = config?.[item.symbol];
        const baseDp = symbolInfo("quote_dp", 2);
        return (_jsxs("div", { onMouseEnter: () => {
                props.updateActiveIndex?.(index);
            }, className: cn("orderly-grid orderly-grid-cols-5 orderly-py-3 orderly-px-5 orderly-cursor-pointer orderly-h-[46px] hover:orderly-bg-base-800", {
                "orderly-bg-base-contrast/5": extraData === index,
                "orderly-grid-cols-6": props.suffixRender,
            }), onClick: () => props.onItemClick?.(item), children: [_jsxs("div", { className: "orderly-col-span-2 orderly-flex orderly-items-center", children: [props.prefixRender && props.prefixRender(item, extraData), _jsx(NetworkImage, { type: "symbol", symbol: item.symbol, size: "small", className: "orderly-mr-2" }), _jsx(Text, { rule: "symbol", children: item.symbol }), item.leverage && (_jsx("div", { className: "orderly-ml-1 orderly-rounded-sm orderly-px-1 orderly-py-[2px] orderly-flex orderly-items-center orderly-text-3xs orderly-text-primary orderly-bg-base-600", children: `${item.leverage}x` }))] }), _jsx("div", { className: "orderly-col-span-1 orderly-text-right", children: _jsx(Numeral, { precision: baseDp, children: item["24h_close"] }) }), _jsx("div", { className: "orderly-col-span-1 orderly-text-right", children: _jsx(Numeral, { coloring: true, rule: "percentages", showIcon: true, children: item?.change ?? 0 }) }), _jsx("div", { className: "orderly-col-span-1 orderly-text-right orderly-text-base-contrast-54", children: _jsx(Numeral, { rule: "human", className: "orderly-text-base-contrast-54", children: item?.["24h_amount"] }) }), props.suffixRender && (_jsx("div", { className: "orderly-col-span-1 orderly-text-right orderly-text-base-contrast-54", children: props.suffixRender(item, index) }))] }));
    };
    return (_jsxs("div", { children: [_jsx(SortGroup, { readLastSortCondition: props.readLastSortCondition, onChange: props.onSort, hasSuffix: props.suffixRender !== undefined }), _jsx(ListView, { 
                // @ts-ignore
                ref: ref, dataSource: props.dataSource, 
                // @ts-ignore
                renderItem: renderItem, className: "orderly-text-xs orderly-overflow-y-auto orderly-bg-base-900", contentClassName: "orderly-space-y-0", 
                // extraData={props.activeIndex}
                extraData: props.favoriteTabs, style: props.maxHeight ? { height: `${props.maxHeight}px` } : {} })] }));
});
//# sourceMappingURL=listview.js.map