import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { ListView } from "../../../listView";
import { Divider } from "../../../divider";
import { useCallback } from "react";
import { SortGroup } from "../../../block/markets/sections/sortGroup";
import { Cell } from "./cell";
import { SymbolProvider } from "../../../provider";
export const MarketListView = (props) => {
    const renderItem = useCallback((item) => {
        return (_jsx(SymbolProvider, { symbol: item.symbol, children: _jsx(Cell, { item: item, onItemClick: props.onItemClick }) }));
    }, []);
    const renderSeparator = useCallback(() => {
        return _jsx(Divider, { className: "orderly-my-[16px]" });
    }, []);
    return (_jsxs(_Fragment, { children: [_jsx(SortGroup, { onChange: props.onSort }), _jsx(Divider, {}), _jsx("div", { className: "orderly-overflow-y-auto orderly-overflow-hidden orderly-scrollbar-hidden orderly-hide-scrollbar orderly-my-2", style: {
                    height: props.listHeight,
                }, children: _jsx(ListView.separated, { dataSource: props.dataSource, renderItem: renderItem, renderSeparator: renderSeparator, contentClassName: "orderly-space-y-[16px]", className: "orderly-py-[16px]" }) })] }));
};
//# sourceMappingURL=listView.js.map