import React from "react";
import type { UseOrderEntryMetaState } from "@orderly.network/hooks";
import { API, OrderEntity } from "@orderly.network/types";
export interface OrderEntryProps {
    onSubmit?: (data: any) => Promise<any>;
    onDeposit?: () => Promise<void>;
    submit: () => Promise<any>;
    submitting: boolean;
    markPrice?: number;
    maxQty: number;
    estLiqPrice?: number | null;
    estLeverage?: number | null;
    symbol: string;
    symbolConfig?: API.SymbolExt;
    freeCollateral?: number;
    showConfirm?: boolean;
    onConfirmChange?: (value: boolean) => void;
    helper: {};
    disabled?: boolean;
    formattedOrder: Partial<OrderEntity>;
    onFieldChange: (field: keyof OrderEntity, value: any) => void;
    setValues: (values: Partial<OrderEntity>) => void;
    metaState: UseOrderEntryMetaState;
}
interface OrderEntryRef {
    reset: () => void;
    setValues: (values: Partial<OrderEntity>) => void;
    setValue: (name: keyof OrderEntity, value: any) => void;
}
export declare const OrderEntry: React.ForwardRefExoticComponent<OrderEntryProps & React.RefAttributes<OrderEntryRef>>;
export {};
//# sourceMappingURL=index.d.ts.map