import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Divider } from "../../../divider";
import { Tooltip } from "../../../tooltip";
import { cn } from "../../../utils";
import { useMediaQuery } from "@orderly.network/hooks";
import { MEDIA_TABLET } from "@orderly.network/types";
export const FreeCollat = () => {
    const isTable = useMediaQuery(MEDIA_TABLET);
    return isTable ? (_jsx(MobileFreeCollat, {})) : (_jsx(DesktopFreeCollat, { title: "Available" }));
};
export const MobileFreeCollat = () => {
    return _jsx("span", { children: "Available" });
};
export const DesktopFreeCollat = (props) => {
    return (_jsx(Tooltip
    // @ts-ignore
    , { 
        // @ts-ignore
        content: _jsxs("div", { children: [_jsx("span", { children: "Free collateral for placing new orders." }), _jsx(Divider, { className: "orderly-py-2 orderly-border-white/10" }), _jsx("span", { children: "Free collateral = Total balance + Total unsettlement PnL - Total position initial margin" })] }), className: "orderly-max-w-[270px]", children: _jsx("span", { className: cn("orderly-text-base-contrast-54 orderly-text-2xs orderly-cursor-pointer", props.className && props.className), children: props.title }) }));
};
//# sourceMappingURL=freeCollat.js.map