import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Label } from "../../../label";
import { modal } from "../../../modal";
import { useCallback, useState } from "react";
import { Tooltip, TooltipArrow, TooltipContent, TooltipTrigger } from "@radix-ui/react-tooltip";
export const MobileHideenLabel = () => {
    const showHiddenHint = useCallback(() => {
        modal.alert({
            title: "Hidden",
            message: (_jsx("span", { className: "orderly-text-3xs orderly-text-base-contrast/60", children: "Hidden order is a limit order that does not appear in the orderbook." })),
        });
    }, []);
    return (_jsx(_Fragment, { children: _jsx(Label, { onClick: showHiddenHint, className: "orderly-text-base-contrast-54", children: "Hidden" }) }));
};
export const DesktopHiddenLabel = () => {
    const [open, setOpen] = useState(false);
    return (_jsx(_Fragment, { children: _jsxs(Tooltip, { children: [_jsx(TooltipTrigger, { children: _jsx(Label, { className: "orderly-text-base-contrast-54", children: "Hidden" }) }), _jsxs(TooltipContent, { align: "end", alignOffset: -80, className: "orderly-max-w-[240px] orderly-z-20 orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-p-3 orderly-text-4xs", children: [_jsx("div", { children: _jsx("span", { className: "orderly-text-3xs", children: "Hidden order is a limit order that does not appear in the orderbook." }) }), _jsx(TooltipArrow, { className: "orderly-fill-base-400" })] })] }) }));
};
//# sourceMappingURL=hiddenLabel.js.map