import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OrderSide, OrderType } from "@orderly.network/types";
import { useMemo } from "react";
import { Text } from "../../../text";
export const OrderConfirmView = (props) => {
    const { order, quote = "USDC", base } = props;
    const type = useMemo(() => {
        const type = order.order_type === OrderType.MARKET ? "Market" : "Limit";
        if (order.side === OrderSide.BUY) {
            return _jsx(Text, { type: "buy", children: `${type} Buy` });
        }
        return _jsx(Text, { type: "sell", children: `${type} Sell` });
    }, [order.side, order.order_type]);
    return (_jsxs("div", { className: "orderly-grid orderly-grid-cols-2 orderly-text-base-contract-54 orderly-text-xs desktop:orderly-text-sm", children: [_jsxs("div", { children: [_jsx("div", { className: "desktop:orderly-flex desktop:orderly-justify-start", children: type }), _jsxs("div", { className: "orderly-flex orderly-gap-1 orderly-items-end", children: [_jsx("span", { children: base }), _jsxs("span", { className: "orderly-text-3xs orderly-text-base-contrast-54", children: ["/", quote] })] })] }), _jsxs("div", { className: "orderly-flex orderly-flex-col orderly-gap-2", children: [_jsxs("div", { className: "orderly-flex orderly-justify-between", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Qty." }), _jsx("span", { children: order.order_quantity })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Price" }), _jsx("span", { children: order.order_type === OrderType.MARKET
                                    ? "Market"
                                    : order.order_price })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Total" }), _jsx("span", { children: order.total })] })] })] }));
};
//# sourceMappingURL=orderConfirmView.js.map