import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Label } from "../../../label";
import { modal } from "../../../modal";
import { useCallback, useState } from "react";
import { Tooltip, TooltipArrow, TooltipContent, TooltipTrigger } from "@radix-ui/react-tooltip";
export const MobileReduceOnlyLabel = () => {
    const showReduceOnlyHint = useCallback(() => {
        modal.alert({
            title: "Reduce only",
            message: (_jsx("span", { className: "orderly-text-2xs orderly-text-base-contrast-54", children: "Reduce only ensures that you can only reduce or close a current position so that your position size will not be increased unintentionally." })),
        });
    }, []);
    return (_jsx(_Fragment, { children: _jsx(Label, { className: "orderly-text-base-contrast-54", onClick: () => {
                showReduceOnlyHint();
            }, children: "Reduce only" }) }));
};
export const DesktopReduceOnlyLabel = () => {
    const [open, setOpen] = useState(false);
    return (_jsx(_Fragment, { children: _jsxs(Tooltip, { children: [_jsx(TooltipTrigger, { children: _jsx(Label, { className: "orderly-text-base-contrast-54", children: "Reduce only" }) }), _jsxs(TooltipContent, { align: "center", className: "orderly-max-w-[300px] orderly-z-20 orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-p-3 orderly-text-4xs", children: [_jsx("div", { children: _jsx("span", { className: "orderly-text-3xs", children: "Reduce only ensures that you can only reduce or close a current position so that your position size will not be increased unintentionally." }) }), _jsx(TooltipArrow, { className: "orderly-fill-base-400" })] })] }) }));
};
//# sourceMappingURL=reduceOnly.js.map