import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { ArrowRightIcon } from "../../../icon/icons";
import { Numeral } from "../../../text/numeral";
import { useAccount, useMarginRatio } from "@orderly.network/hooks";
import { AccountStatusEnum } from "@orderly.network/types";
import { useMemo } from "react";
export const EstInfo = ({ estLeverage, estLiqPrice, precision }) => {
    const { currentLeverage } = useMarginRatio();
    const { state } = useAccount();
    const leverageElement = useMemo(() => {
        if (state.status < AccountStatusEnum.EnableTrading) {
            return "0.00x";
        }
        if (typeof estLeverage === "undefined" || estLeverage === null) {
            return (_jsx(Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: currentLeverage }));
        }
        return (_jsxs(_Fragment, { children: [_jsx(Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: currentLeverage }), _jsx(ArrowRightIcon, { size: 8 }), _jsx(Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: Math.abs(estLeverage) })] }));
    }, [currentLeverage, estLeverage, state.status]);
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-base-contrast-54", children: [_jsx("span", { children: "Est. Liq. price" }), _jsxs("span", { className: "orderly-flex orderly-gap-1", children: [_jsx("span", { className: "orderly-text-base-contrast", children: _jsx(Numeral, { precision: precision, children: estLiqPrice ?? "--" }) }), _jsx("span", { children: "USDC" })] })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-base-contrast-54", children: [_jsx("span", { children: "Account leverage" }), _jsx("span", { className: "orderly-flex orderly-items-center orderly-gap-1", children: leverageElement })] })] }));
};
//# sourceMappingURL=setInfo.js.map