import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Header } from "./header";
import { Bids } from "./bids";
import { Asks } from "./asks";
import { MarkPrice } from "./markPrice";
import { DepthSelect } from "../../block/orderbook/depthSelect";
import { OrderBookProvider } from "../../block/orderbook/orderContext";
import { Spinner } from "../../spinner";
import { cn } from "../../utils/css";
export const OrderBook = (props) => {
    const { lastPrice, markPrice, quote, base, isLoading, onDepthChange } = props;
    // const onModeChange = useCallback((mode: QtyMode) => {}, []);
    return (_jsx(OrderBookProvider, { cellHeight: props.cellHeight ?? 20, onItemClick: props.onItemClick, depth: props.activeDepth, pendingOrders: [], showTotal: false, children: _jsxs("div", { className: cn("orderly-h-full orderly-relative", props.className), children: [_jsx(Header, { quote: quote, base: base }), _jsx(Asks, { data: props.asks }), _jsx(MarkPrice, { lastPrice: lastPrice, markPrice: markPrice }), _jsx(Bids, { data: props.bids }), _jsx(DepthSelect, { depth: props.depth, value: props.activeDepth, onChange: onDepthChange }), isLoading && (_jsx("div", { className: "orderly-absolute orderly-left-0 orderly-top-0 orderly-right-0 orderly-bottom-0 orderly-z-10 orderly-flex orderly-items-center orderly-justify-center orderly-bg-base-800/70 orderly-h-full orderly-min-h-[420px]", children: _jsx(Spinner, {}) }))] }) }));
};
//# sourceMappingURL=index.js.map