import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ListView } from "../../listView";
import { Divider } from "../../divider";
import { OrderCell } from "../../block/orders/cell";
import { Toolbar } from "./toolbar";
import { StatisticStyleProvider } from "../../statistic/defaultStaticStyle";
import { OrderListProvider } from "./shared/orderListContext";
import { SymbolProvider } from "../../provider";
export const OrdersView = (props) => {
    return (_jsx(OrderListProvider, { cancelOrder: props.cancelOrder, editOrder: props.editOrder, cancelAlgoOrder: props.cancelAlgoOrder, editAlgoOrder: props.editAlgoOrder, children: _jsxs(StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast/30", children: [_jsx(Toolbar, { onCancelAll: props.onCancelAll, onShowAllSymbolChange: props.onShowAllSymbolChange, showAllSymbol: props.showAllSymbol }), _jsx(Divider, {}), _jsx(ListView.separated, { isLoading: props.isLoading, dataSource: props.dataSource, renderSeparator: (_, index) => _jsx(Divider, {}), renderItem: (item, index) => (_jsx(SymbolProvider, { symbol: item.symbol, children: _jsx(OrderCell, { order: item, onSymbolChange: props.onSymbolChange }) })), loadMore: props.loadMore })] }) }));
};
//# sourceMappingURL=orders.js.map