import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { NetworkImage } from "../../../icon";
import { Text } from "../../../text";
import { cn } from "../../../utils";
import { commify } from "@orderly.network/utils";
export const EditOrderConfirmContent = (isAlgoOrder, isMarketOrder, data, dirtyFields, base, symbol) => {
    if (isAlgoOrder) {
        return _jsx(AlgoContent, { data: data, dirtyFields: dirtyFields, base: base, symbol: symbol, isMarketOrder: isMarketOrder });
    }
    return (_jsx(NormalContent, { data: data, dirtyFields: dirtyFields, base: base }));
};
const NormalContent = (props) => {
    const { data, dirtyFields, base } = props;
    let confirmText;
    if (dirtyFields["order_price"] && dirtyFields["order_quantity"]) {
        confirmText = (_jsxs("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the price of ", base, "-PERP order to", " ", _jsx("span", { className: "orderly-text-warning", children: commify(data.order_price) }), " ", "and the quantity to", " ", _jsx("span", { className: "orderly-text-warning", children: commify(data.order_quantity) }), "."] }));
    }
    else {
        if (dirtyFields["order_price"]) {
            confirmText = (_jsxs("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the price of ", base, "-PERP order to", " ", _jsx("span", { className: "orderly-text-warning", children: commify(data.order_price) }), "."] }));
        }
        if (dirtyFields["order_quantity"]) {
            confirmText = (_jsxs("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the quantity of ", base, "-PERP order to", " ", _jsx("span", { className: "orderly-text-warning", children: commify(data.order_quantity) }), "."] }));
        }
    }
    return confirmText;
};
const AlgoContent = (props) => {
    const { data, dirtyFields, base, symbol, isMarketOrder } = props;
    const quote = symbol?.split("_")[2];
    const qty = data.order_quantity || "-";
    const triggerPrice = data.trigger_price || "-";
    const price = data.order_price || "-";
    return (_jsxs("div", { children: [_jsx("div", { className: "orderly-text-sm orderly-text-base-contrast-80", children: `You agree to edit your ${base}-PERP order.` }), _jsxs("div", { className: "orderly-flex orderly-items-center orderly-pt-6 orderly-pb-3", children: [_jsx(NetworkImage, { symbol: symbol, type: "symbol", size: 20 }), _jsx("span", { className: "orderly-text-lg orderly-pl-2", children: `${base}-PERP` })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-sm orderly-pb-1", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Qty" }), _jsxs("div", { className: "orderly-inline-block", children: [_jsx(Text, { className: cn("orderly-mr-1", data.side === "BUY" ? "orderly-text-trade-profit" : "orderly-text-trade-loss"), children: commify(qty) }), _jsx("span", { className: "orderly-text-base-contrast-36", children: base })] })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-sm orderly-pb-1", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Trigger price" }), _jsxs("div", { className: "orderly-inline-block", children: [_jsx(Text, { className: "orderly-mr-1", children: commify(triggerPrice) }), _jsx("span", { className: "orderly-text-base-contrast-36", children: quote })] })] }), _jsxs("div", { className: "orderly-flex orderly-justify-between orderly-text-sm", children: [_jsx("span", { className: "orderly-text-base-contrast-54", children: "Price" }), _jsxs("div", { className: "orderly-inline-block", children: [isMarketOrder ? _jsx("span", { children: "Market" }) : _jsx(Text, { children: commify(price) }), _jsx("span", { className: "orderly-ml-1 orderly-text-base-contrast-36", children: quote })] })] })] }));
};
//# sourceMappingURL=confirmContent.js.map