import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo, useState } from "react";
import { usePositionsRowContext } from "./positionRowContext";
import { Popover, PopoverContent, PopoverTrigger } from "../../../popover";
import { OrderType } from "@orderly.network/types";
import { useSymbolContext } from "../../../provider/symbolProvider";
import { CloseBaseConfirm } from "./marketConfirmDialog";
import { cn } from "../../../utils/css";
import { LimitConfirmDialog } from "./limitConfirmDialog";
import { toast } from "../../../toast";
export const CloseButton = () => {
    const [open, setOpen] = useState(false);
    const { onSubmit, price, quantity, closeOrderData, type, submitting } = usePositionsRowContext();
    const { base, quote } = useSymbolContext();
    const onConfirm = () => {
        return onSubmit().then((res) => {
            setOpen(false);
        }, (error) => {
            if (typeof error === 'string') {
                toast.error(error);
            }
            else {
                toast.error(error.message);
            }
        });
    };
    const onClose = () => {
        setOpen(false);
    };
    const disabled = useMemo(() => {
        if (type === OrderType.MARKET) {
            if (!quantity) {
                return true;
            }
            return false;
        }
        return !price || !quantity;
    }, [price, quantity, type]);
    return (_jsxs(Popover, { onOpenChange: setOpen, open: open, children: [_jsx(PopoverTrigger, { asChild: true, children: _jsx("button", { disabled: disabled, className: cn("orderly-border orderly-border-base-contrast-36 orderly-text-base-contrast-54 orderly-rounded orderly-w-full orderly-h-[28px] hover:orderly-bg-base-contrast/10 disabled:orderly-opacity-50 disabled:orderly-cursor-not-allowed", {
                        "orderly-text-base-contrast-80 orderly-border-base-contrast-80": open,
                    }), children: "Close" }) }), _jsx(PopoverContent, { align: "end", side: "top", className: "orderly-w-[340px]", children: type === OrderType.MARKET ? (_jsx(CloseBaseConfirm, { base: base, quantity: quantity, onClose: onClose, onConfirm: onConfirm, submitting: submitting })) : (_jsx(LimitConfirmDialog, { order: closeOrderData, base: base, quote: quote, quantity: quantity, onClose: onClose, onConfirm: onConfirm, submitting: submitting })) })] }));
};
//# sourceMappingURL=closeButton.js.map