import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { ConfirmHeader } from "./confirmHeader";
import { ConfirmFooter } from "./confrimFooter";
import { Text } from "../../../text";
import { Divider } from "../../../divider";
import { NetworkImage } from "../../../icon/networkImage";
import { OrderDetail } from "../shared/orderDetail";
import { commify } from "@orderly.network/utils";
export const LimitConfirmDialog = (props) => {
    const { order, quote } = props;
    const { side } = order;
    const onCancel = () => {
        props.onClose();
    };
    return (_jsxs(_Fragment, { children: [_jsx(ConfirmHeader, { onClose: onCancel, title: "Limit close" }), _jsx("div", { className: "orderly-text-base-contrast orderly-text-sm orderly-mt-5", children: `You agree closing ${commify(props.quantity)} ${props.base} position at limit price.` }), _jsx(Divider, { className: "orderly-my-4" }), _jsxs("div", { className: "orderly-flex orderly-mb-4 orderly-gap-2", children: [_jsx(NetworkImage, { type: "symbol", symbol: order.symbol }), _jsx(Text, { rule: "symbol", children: order.symbol })] }), _jsx(OrderDetail, { className: "orderly-text-sm", order: props.order, quote: props.quote }), _jsx(ConfirmFooter, { onCancel: onCancel, onConfirm: props.onConfirm, submitting: props.submitting })] }));
};
//# sourceMappingURL=limitConfirmDialog.js.map