import { FC } from "react";
import { type API } from "@orderly.network/types";
export type InputStatus = "error" | "warning" | "success" | "default";
export interface QuantityInputProps {
    disabled?: boolean;
    maxAmount?: number;
    tokens: API.TokenInfo[];
    token?: API.TokenInfo;
    quantity?: string;
    decimals: number;
    markPrice: number;
    onTokenChange?: (token: API.TokenInfo) => void;
    onValueChange?: (value: {
        value: string;
        token: string;
    }) => void;
    className?: string;
    status?: InputStatus;
    hintMessage?: string;
    balanceRevalidating?: boolean;
    fetchBalance: (token: string, decimals: number) => Promise<any>;
}
export declare const QuantityInput: FC<QuantityInputProps>;
//# sourceMappingURL=quantityInput.d.ts.map