import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Divider } from "../../divider";
import { useMemo } from "react";
import { NetworkStatus } from "./networkStatus";
import { CommunityDiscord, CommunityX, CommunityTG } from "./communityIcon";
import { OrderlyLogo } from "./orderlyLogo";
export const SystemStatusBar = (props) => {
    const { xUrl, telegramUrl, discordUrl, commutitylist, powerBy = _jsx(OrderlyLogo, {}), } = props;
    const children = useMemo(() => {
        if (commutitylist !== undefined) {
            return commutitylist;
        }
        const children = [];
        if (telegramUrl !== undefined) {
            children.push(_jsx("button", { onClick: () => {
                    window.open(telegramUrl, "_blank");
                }, children: _jsx(CommunityTG, {}) }));
        }
        if (discordUrl !== undefined) {
            children.push(_jsx("button", { onClick: () => {
                    window.open(discordUrl, "_blank");
                }, children: _jsx(CommunityDiscord, {}) }));
        }
        if (xUrl !== undefined) {
            children.push(_jsx("button", { onClick: () => {
                    window.open(xUrl, "_blank");
                }, children: _jsx(CommunityX, {}) }));
        }
        return children;
    }, [xUrl, telegramUrl, discordUrl, commutitylist]);
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: "orderly-flex orderly-items-center", children: [_jsx(NetworkStatus, {}), _jsx("div", { className: "orderly-pl-2", children: _jsx(Divider, { vertical: true }) }), _jsx("span", { className: "orderly-text-base-contrast-54 orderly-text-4xs orderly-font-semibold orderly-pr-2", children: "Join our community" }), children.map((item) => item)] }), _jsxs("div", { className: "orderly-flex orderly-items-center", children: [_jsx("span", { className: "orderly-text-base-contrast-54 orderly-text-4xs orderly-font-semibold orderly-pr-2 orderly-justify-end", children: "Powered by" }), powerBy] })] }));
};
//# sourceMappingURL=systemStatusBar.js.map