import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { NetworkImage } from "../../../icon";
import { Numeral } from "../../../text/numeral";
export const CrossChainConfirm = (props) => {
    const { address, chain, amount } = props;
    return (_jsxs("div", { id: "orderly-deposit-and-withdraw", children: [_jsx(Title, { title: "Recipient address" }), _jsx(SubTitle, { subtitle: address }), _jsx(Title, { title: "Recipient network" }), _jsx(SubTitle, { subtitle: (_jsxs("div", { className: "orderly-flex orderly-items-center", children: [_jsx(NetworkImage, { type: "chain", id: chain?.info?.network_infos?.chain_id, rounded: true, size: 11 }), _jsx("span", { className: "orderly-ml-2 orderly-text-base orderly-font-simibold orderly-text-base-contrast/90", children: chain?.info?.network_infos?.name })] })) }), _jsx(Title, { title: "Withdraw amount (USDC)" }), _jsx(SubTitle, { subtitle: (_jsx(Numeral, { children: amount })) }), _jsx("div", { children: _jsx("span", { className: "orderly-text-warning orderly-text-3xs", children: "Withdrawals that require cross-chain rebalancing can't be cancelled or followed up with more withdrawals until they've been processed." }) })] }));
};
const Title = ({ title }) => {
    return (_jsx("div", { className: "orderly-font-simibold orderly-text-sm orderly-text-base-contrast/30 orderly-withdraw-rebalance-title", children: title }));
};
const SubTitle = ({ subtitle }) => {
    return (_jsx("div", { className: "orderly-mb-3 orderly-font-simibold orderly-text-base orderly-text-base-contrast/90 orderly-break-all orderly-withdraw-rebalance-subtitle", children: subtitle }));
};
//# sourceMappingURL=crossChainConfirm.js.map