import { useState, useEffect } from "react";
export function useChainNotSupport(chain, chains) {
    const [chainNotSupport, setChainNotSupport] = useState(false);
    const checkSupport = (chain, chains) => {
        if (!chain || !chains)
            return false;
        const index = chains?.findIndex((c) => c.chain_id === chain.id);
        return index < 0;
    };
    useEffect(() => {
        setChainNotSupport(checkSupport(chain, chains));
    }, [chains, chain]);
    return chainNotSupport;
}
//# sourceMappingURL=useChainNotSupport.js.map