import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
import { cva } from "class-variance-authority";
const iconButtonVariants = cva([
    "orderly-rounded-full orderly-flex orderly-items-center orderly-justify-center",
], {
    variants: {
        variant: {
            outlined: "",
            default: "orderly-bg-black/10 hover:orderly-bg-black/20",
        },
        size: {
            small: "orderly-px-2 orderly-h-[28px] orderly-w-[28px]",
            default: "orderly-px-2 orderly-py-1 orderly-h-[40px] orderly-w-[40px]",
            large: "orderly-px-6 orderly-py-3",
        },
        color: {
            primary: "orderly-text-primary",
            tertiary: "orderly-text-tertiary",
        },
        disabled: {
            true: "orderly-opacity-50 orderly-cursor-not-allowed",
        },
    },
    defaultVariants: {
        variant: "default",
        size: "default",
    },
});
const IconButton = ({ className, size, color, variant, disabled, ...props }) => {
    return (_jsx("button", { className: cn(iconButtonVariants({
            size,
            variant,
            color,
            disabled,
            className,
        })), ...props }));
};
IconButton.displayName = "IconButton";
export { IconButton, iconButtonVariants };
//# sourceMappingURL=iconButton.js.map