import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
export const SegmentedButton = (props) => {
    if (props.buttons.length < 2) {
        // throw new Error("SegmentedButton must have more than one button");
        return (_jsx("div", { className: "orderly-text-red-500", children: "SegmentedButton must have more than one button" }));
    }
    return (_jsx("div", { className: "orderly-flex orderly-flex-row orderly-gap-[36px]", children: props.buttons.map((item, index) => {
            return (_jsx(_Button, { label: item.label, value: item.value, index: index, isActive: item.value === props.value, className: item.className, activeClassName: item.activeClassName, onChange: props.onChange, disabled: item.disabled, disabledClassName: item.disabledClassName }, index));
        }) }));
};
const _Button = ({ label, value, isActive, index, onChange, className, disabled, activeClassName, disabledClassName, }) => {
    const isFirstChild = index === 0;
    return (_jsx("button", { type: "button", onClick: (event) => onChange(value), disabled: disabled, className: cn("orderly-min-w-0 orderly-flex-1 orderly-py-1 orderly-bg-base-700 orderly-text-base-contrast/20 desktop:orderly-text-xs orderly-relative after:orderly-block after:orderly-bg-base-700 after:orderly-absolute after:orderly-w-[30px] after:orderly-h-full after:orderly-top-0 after:orderly-z-10 orderly-h-[32px] desktop:orderly-h-[40px]", isActive && "orderly-bg-primary after:orderly-bg-primary", isFirstChild &&
            "orderly-rounded-l after:orderly-right-[-15px] after:orderly-skew-x-[-25deg] orderly-pl-[15px]", !isFirstChild &&
            "orderly-rounded-r after:orderly-left-[-15px] after:orderly-skew-x-[-25deg] orderly-pr-[15px]", `orderly-segmented-button orderly-segmented-button-${value?.toLowerCase()}`, className, isActive && activeClassName, disabled && disabledClassName), children: label }));
};
//# sourceMappingURL=segmented.js.map