import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from "react";
import { IntlProvider } from "react-intl";
import { en } from "./locale/en-US";
export const LocalProvider = (props) => {
    const { messages, locale = "en", defaultLocale = "en" } = props;
    const mergeMsgs = useMemo(() => {
        return {
            ...en,
            ...messages,
        };
    }, [messages, locale, defaultLocale]);
    return (_jsx(IntlProvider, { messages: mergeMsgs, locale: locale, defaultLocale: defaultLocale, children: props.children }));
};
//# sourceMappingURL=localProvider.js.map