import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from "react";
export const SvgImage = (props) => {
    const size = useMemo(() => {
        if (typeof props.size === "undefined")
            return "20px";
        if (props.size === "small")
            return "16px";
        if (props.size === "medium")
            return "24px";
        if (props.size === "large")
            return "32px";
        return `${props.size}px`;
    }, [props.size]);
    return (_jsx("div", { className: "orderly-inline-block orderly-overflow-hidden orderly-p-[3px]", style: {
            width: size,
            height: size,
            backgroundColor: props.backgroundColor ?? "#FFF",
            borderRadius: props.rounded ? "50%" : "0",
        }, dangerouslySetInnerHTML: { __html: props.svg ?? "" } }));
};
//# sourceMappingURL=svgImage.js.map