import React, { InputHTMLAttributes } from "react";
import { type VariantProps } from "class-variance-authority";
declare const inputVariants: (props?: ({
    variant?: "filled" | "outlined" | null | undefined;
    size?: "small" | "default" | null | undefined;
    fullWidth?: boolean | null | undefined;
    disabled?: boolean | null | undefined;
    error?: boolean | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface InputProps extends Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "prefix" | "disabled" | "inputMode">, VariantProps<typeof inputVariants> {
    prefix?: string | React.ReactNode;
    suffix?: React.ReactNode;
    onClean?: () => void;
    fixClassName?: string;
    helpText?: string;
    loading?: boolean;
    inputMode?: "decimal" | "numeric" | "amount";
    containerClassName?: string;
}
export declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
export {};
//# sourceMappingURL=index.d.ts.map