import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { memo, useEffect, Children, useState, } from "react";
import { LayoutProvider } from "./layoutContext";
import { cn } from "..";
import { useMediaQuery } from "@orderly.network/hooks";
import { MEDIA_TABLET } from "@orderly.network/types";
const InnerLayout = (props) => {
    const { mobile, ...rest } = props;
    const [elements, setElements] = useState([]);
    // console.log("Layout", headerHeight, footerHeight);
    const matches = useMediaQuery(MEDIA_TABLET);
    useEffect(() => {
        const elements = [];
        Children.forEach(props.children, (child) => {
            // console.log(child);
            const displayName = child?.type?.displayName;
            elements.push(displayName);
        });
        setElements(elements);
    }, []);
    if (matches) {
        return _jsx(_Fragment, { children: mobile });
    }
    return (_jsx("div", { ...rest, className: cn("orderly-flex orderly-flex-1", {
            "orderly-flex-col": elements.includes("Header"),
        }), children: props.children }));
};
export const Layout = memo((props) => {
    return (_jsx(LayoutProvider, { children: _jsx(InnerLayout, { ...props }) }));
});
Layout.displayName = "Layout";
//# sourceMappingURL=layout.js.map