import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
import { Slot } from "@radix-ui/react-slot";
import { cva } from "class-variance-authority";
const paperVariants = cva(["orderly-rounded orderly-p-3"], {
    variants: {
        variant: {
            outline: "orderly-border orderly-border-base-100 ",
            contained: "orderly-bg-base-300",
        },
        square: {
            true: "orderly-rounded-none",
        },
    },
    defaultVariants: {
        variant: "contained",
    },
});
const Paper = (props) => {
    const { asChild, className, variant, square, ...rest } = props;
    const Comp = asChild ? Slot : "div";
    return (_jsx(Comp, { className: cn(paperVariants({ variant, square, className })), ...rest }));
};
export { Paper, paperVariants };
//# sourceMappingURL=paper.js.map