import React, { FC, PropsWithChildren } from "react";
import { ModalArgs, ModalCallbacks, ModalStore } from "./types";
export type ModalContextType = {};
export declare const ALREADY_MOUNTED: Record<string, boolean>;
export declare const ModalContext: React.Context<ModalStore>;
export declare const ModalIdContext: React.Context<string | null>;
export declare const modalCallbacks: ModalCallbacks;
export declare const hideModalCallbacks: ModalCallbacks;
export declare const ModalProvider: FC<PropsWithChildren>;
declare function show<T extends any, C extends any>(modal: React.FC<C>, args?: ModalArgs<React.FC<C>>): Promise<T>;
declare function show<T extends any>(modal: string, args?: Record<string, unknown>): Promise<T>;
declare function show<T extends any, P extends any>(modal: string, args?: P): Promise<T>;
declare function hide<T>(modal: string | FC<any>): Promise<T>;
declare function remove(id: string): void;
declare function setStates(id: string, states: Record<string, unknown>): void;
export declare const modalActions: {
    show: typeof show;
    hide: typeof hide;
    remove: typeof remove;
    setStates: typeof setStates;
};
export {};
//# sourceMappingURL=modalContext.d.ts.map