import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useCallback, useContext, useMemo } from "react";
import { StatusContext, WsNetworkStatus, useAccount, } from "@orderly.network/hooks";
import { AccountStatus } from "../../block/accountStatus/desktop/accountStatus.desktop";
import { AccountStatusEnum } from "@orderly.network/types";
import { OrderlyAppContext } from "@orderly.network/react";
import { showAccountConnectorModal } from "../../block/walletConnect/walletModal";
import { ChainIdSwtich } from "../../block/accountStatus/sections/chainIdSwitch";
import { WsStatus } from "../../block/accountStatus/sections/WsStatus";
export const TopNavbar = (props) => {
    const { state } = useAccount();
    // @ts-ignore
    const { errors, appIcons: logos, } = useContext(OrderlyAppContext);
    const { ws: wsStatus } = useContext(StatusContext);
    const { onWalletConnect, onSetChain, onWalletDisconnect } = 
    // @ts-ignore
    useContext(OrderlyAppContext);
    const onConnect = useCallback(() => {
        onWalletConnect().then((result) => {
            if (result && result.status < AccountStatusEnum.EnableTrading) {
                showAccountConnectorModal({
                    status: result.status,
                }).catch((err) => {
                    console.log("cancel", err);
                });
            }
        });
    }, []);
    const logoElement = useMemo(() => {
        if (logos?.main?.component) {
            return logos?.main?.component;
        }
        if (logos?.main?.img) {
            return _jsx("img", { src: logos?.main?.img });
        }
        return null;
    }, [logos?.main]);
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: "orderly-h-[48px] orderly-flex", children: [_jsx("div", { className: "orderly-flex-1", children: props.children }), _jsx(AccountStatus, { status: state.status, address: state.address, chains: [], accountInfo: undefined, className: "orderly-mr-3", onConnect: onConnect })] }), wsStatus === WsNetworkStatus.Unstable ? (_jsx(WsStatus, {})) : (errors?.ChainNetworkNotSupport && (_jsx(ChainIdSwtich, { onSetChain: onSetChain })))] }));
};
//# sourceMappingURL=topNavbar.js.map