import { API } from "@orderly.network/types";
import React, { PropsWithChildren, ReactNode } from "react";
import { TradingFeatures } from "../features";
export interface TradingPageContextValue {
    onSymbolChange?: (symbol: API.Symbol) => void;
    symbol: string;
    disableFeatures: TradingFeatures[];
    overrides?: Record<TradingFeatures, ReactNode>;
}
export declare const TradingPageContext: React.Context<TradingPageContextValue>;
export interface TradingPageProviderProps {
    onSymbolChange?: (symbol: API.Symbol) => void;
    symbol: string;
    disableFeatures?: TradingFeatures[];
    overrides?: Record<TradingFeatures, ReactNode>;
}
export declare const useTradingPageContext: () => TradingPageContextValue;
export declare const TradingPageProvider: React.FC<PropsWithChildren<TradingPageProviderProps>>;
//# sourceMappingURL=tradingPageContext.d.ts.map