import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext, useEffect } from "react";
import Split from "@uiw/react-split";
import { AccountInfoElement } from "./elements/accountInfo";
import { MyOrderEntry } from "../mobile/sections/orderEntry";
import { TopNav } from "./sections/nav/topNav";
import { MyOrderBookAndTrade } from "./sections/orderbook_trade";
import { MemoizedDataListView } from "./sections/datalist";
import { MyTradingView } from "./myTradingview";
import { AssetsProvider } from "../../../provider/assetsProvider";
import { useCSSVariable } from "../../../hooks/useCSSVariable";
import { LayoutContext } from "../../../layout/layoutContext";
import { useTradingPageContext } from "../context/tradingPageContext";
import { useSplitPersistent } from "./useSplitPersistent";
export const DesktopTradingPage = (props) => {
    // const {} = useLayoutMeasure();
    const { siderWidth, pageHeaderHeight, headerHeight, footerHeight } = useContext(LayoutContext);
    const [mainSplitSize, setMainSplitSize] = useSplitPersistent("mainSplitSize", "300px");
    const [dataListSplitSize, setDataListSplitSize] = useSplitPersistent("dataListSplitSize", "350px");
    const [orderBookSplitSize, setOrderbookSplitSize] = useSplitPersistent("orderBookSplitSize", "370px");
    const { disableFeatures } = useTradingPageContext();
    if (!disableFeatures) {
        throw new Error("TradingPage must be use in TradingPageProvider");
    }
    const cssVariable = useCSSVariable([
        "--orderly-color-primary",
        "--orderly-color-divider",
    ]);
    useEffect(() => {
        document.body.style.setProperty("--w-split-line-bar-background", 
        // "rgb(42, 46, 52)"
        `rgb(${cssVariable["--orderly-color-divider"]})`);
        document.body.style.setProperty("--w-split-line-bar-active-background", `rgb(${cssVariable["--orderly-color-primary"]})`);
    }, [cssVariable]);
    return (_jsx("div", { className: "orderly-tabular-nums", children: _jsxs(Split, { lineBar: true, style: {
                height: `calc(100vh - ${headerHeight + footerHeight + (pageHeaderHeight ?? 0)}px)`,
                minHeight: "990px",
                width: `calc(100vw - ${siderWidth}px)`,
                // paddingBottom:
            }, onDragEnd: (preSize, nextSize, paneNumber) => {
                setMainSplitSize(`${nextSize}`);
            }, children: [_jsx("div", { style: { flex: 1 }, children: _jsxs(Split, { mode: "vertical", lineBar: true, onDragEnd: (_, height, num) => {
                            setDataListSplitSize(`${height}`);
                        }, children: [_jsxs(Split, { style: { flex: 1, minHeight: "450px" }, className: "orderly-min-h-0 orderly-overflow-y-visible", lineBar: true, onDragEnd: (_, width, num) => {
                                    setOrderbookSplitSize(`${width}`);
                                }, children: [_jsxs("div", { style: { flex: 1, minWidth: "468px" }, className: "orderly-grid orderly-grid-rows-[48px_1fr]", children: [_jsx("div", { className: "orderly-border-b orderly-border-b-divider orderly-min-w-0", children: _jsx(TopNav, { symbol: props.symbol }) }), _jsx("div", { className: "orderly-flex-1", children: _jsx(MyTradingView, { symbol: props.symbol, tradingViewConfig: props.tradingViewConfig }) })] }), _jsx("div", { style: { minWidth: "300px", maxWidth: "800px", width: orderBookSplitSize }, className: "orderly-overflow-hidden", children: _jsx(MyOrderBookAndTrade, { symbol: props.symbol }) })] }), _jsx("div", { style: { height: dataListSplitSize, minHeight: "350px" }, children: _jsx(MemoizedDataListView, {}) })] }) }), _jsx("div", { style: {
                        minWidth: "300px",
                        maxWidth: "500px",
                        minHeight: "990px",
                        width: mainSplitSize,
                    }, children: _jsxs(AssetsProvider, { children: [_jsx(AccountInfoElement, {}), _jsx("div", { className: "orderly-px-3 orderly-mt-3 orderly-z-30", children: _jsx(MyOrderEntry, { symbol: props.symbol }) })] }) })] }) }));
};
//# sourceMappingURL=trading.js.map