import { useMemo } from "react";
export const useSplitPersistent = (key, defaulValue) => {
    const size = useMemo(() => {
        const size = localStorage.getItem(key);
        if (size) {
            return `${size}%`;
        }
        return defaulValue;
    }, [key, defaulValue]);
    const setSize = (size) => {
        localStorage.setItem(key, size);
    };
    return [size, setSize];
};
//# sourceMappingURL=useSplitPersistent.js.map