import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { TabPane, Tabs } from "../../../../../tab";
import { TradeHistoryPane } from "./tradeHistory";
import { useState } from "react";
import { TradeData } from "./tradeData";
import { TradingView } from "../../../../../block/tradingView";
import { ChevronDown } from "lucide-react";
import { useLocalStorage, useConfig, } from "@orderly.network/hooks";
import { SymbolProvider } from "../../../../../provider";
import { cn } from "../../../../../utils/css";
export const ChartView = (props) => {
    const { symbol, tradingViewConfig } = props;
    const [activeTab, setActiveTab] = useState("tradingView");
    const apiBaseUrl = useConfig("apiBaseUrl");
    const [collapsed, setCollapsed] = useLocalStorage("orderly:chart:collapsed", true);
    return (_jsx("div", { id: "orderly-chart-view-tabs", className: "orderly-text-3xs", children: _jsxs(Tabs, { showIdentifier: false, value: activeTab, onTabChange: setActiveTab, tabBarClassName: "orderly-h-[40px]", collapsed: collapsed, 
            // @ts-ignore
            onToggleCollapsed: () => setCollapsed((prev) => !prev), tabBarExtra: (context) => {
                return (_jsx("div", { className: "orderly-flex orderly-items-center", children: _jsx("button", { className: "orderly-px-5", onClick: () => {
                            context.toggleContentVisible();
                        }, children: _jsx(ChevronDown, { size: 18, className: cn("orderly-transition-transform orderly-text-base-contrast/50", context.contentVisible
                                ? "orderly-rotate-180"
                                : "orderly-rotate-0") }) }) }));
            }, children: [_jsx(TabPane, { title: "Chart", value: "tradingView", children: _jsx(TradingView, { theme: "dark", symbol: symbol, autosize: false, 
                        // @ts-ignore
                        apiBaseUrl: apiBaseUrl, ...tradingViewConfig }) }), _jsx(TabPane, { title: "Trade", value: "tradeHistory", children: _jsx("div", { className: "orderly-h-[240px] orderly-overflow-y-auto", children: _jsx(SymbolProvider, { symbol: symbol, children: _jsx("div", { className: "orderly-px-[16px]", children: _jsx(TradeHistoryPane, { symbol: symbol }) }) }) }) }), _jsx(TabPane, { title: "Data", value: "tradeData", children: _jsx(SymbolProvider, { symbol: symbol, children: _jsx(TradeData, { symbol: symbol }) }) })] }) }));
};
//# sourceMappingURL=index.js.map