import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from "react";
import { useTickerStream } from "@orderly.network/hooks";
import { Numeral, Text } from "../../../../../text";
import { SymbolContext } from "../../../../../provider";
import { OrderlyIcon } from "../../../../../icon";
export const TradeData = (props) => {
    const { symbol } = props;
    const ticker = useTickerStream(symbol);
    const { quote_dp, base_dp } = useContext(SymbolContext);
    //
    return (_jsx("div", { className: "orderly-h-[240px] orderly-p-4 orderly-relative", children: _jsxs("table", { className: "orderly-w-full orderly-text-3xs", children: [_jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54", children: "Mark price" }), _jsx("td", { className: "orderly-text-right orderly-text-base-contrast", children: _jsx(Numeral, { precision: quote_dp, children: ticker?.mark_price }) })] }), _jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54", children: "Index price" }), _jsx("td", { className: "orderly-text-right orderly-text-base-contrast", children: _jsx(Numeral, { precision: quote_dp, children: ticker?.index_price }) })] }), _jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54 ", children: _jsxs("div", { className: "orderly-flex orderly-items-center", children: [_jsx("div", { children: "24h volume" }), _jsx(OrderlyIcon, { size: 14, className: "orderly-ml-[6px]" })] }) }), _jsxs("td", { className: "orderly-text-right orderly-text-base-contrast", children: [_jsx(Numeral.total, { rule: "human", precision: 2, price: ticker?.["24h_close"], quantity: ticker?.["24h_volumn"] }), _jsx(Text, { rule: "symbol", symbolElement: "quote", className: "orderly-text-base-contrast-36 orderly-ml-2", children: symbol })] })] }), _jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54", children: "24h high" }), _jsx("td", { className: "orderly-text-right orderly-text-base-contrast", children: _jsx(Numeral, { precision: quote_dp, children: ticker?.["24h_high"] }) })] }), _jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54", children: "24h low" }), _jsx("td", { className: "orderly-text-right orderly-text-base-contrast", children: _jsx(Numeral, { precision: quote_dp, children: ticker?.["24h_low"] }) })] }), _jsxs("tr", { className: "orderly-h-[28px]", children: [_jsx("td", { className: "orderly-text-base-contrast-54", children: "Open interest" }), _jsxs("td", { className: "orderly-text-right orderly-text-base-contrast", children: [ticker?.["open_interest"] ? (_jsx(Numeral.total, { rule: "human", precision: 2, price: ticker?.["mark_price"], quantity: ticker?.["open_interest"] })) : ("--"), _jsx(Text, { className: "orderly-text-base-contrast-36 orderly-ml-2", children: "USDC" })] })] })] }) }));
};
//# sourceMappingURL=tradeData.js.map