import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { OrderStatus } from "@orderly.network/types";
import { useOrderStream } from "@orderly.network/hooks";
import { memo } from "react";
export const OrdersTabTitle = () => {
    const [_, { total }] = useOrderStream({
        status: OrderStatus.INCOMPLETE,
    }, {
        keeplive: true,
    });
    if (total === 0) {
        return _jsx(_Fragment, { children: "Pending" });
    }
    return _jsx(_Fragment, { children: `Pending (${total})` });
};
export const MemoizedOrdersTabTitle = memo(OrdersTabTitle);
//# sourceMappingURL=tabTitle.js.map