import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useRef } from "react";
import { toast } from "../../../../toast";
import { getOrderExecutionReportMsg } from "../../../../block/orders/getOrderExecutionReportMsg";
import { useSymbolsInfo, useEventEmitter, useDebouncedCallback, } from "@orderly.network/hooks";
export function useExecutionReport() {
    const ee = useEventEmitter();
    const symbolsInfo = useSymbolsInfo();
    const symbolsInfoRef = useRef({});
    useEffect(() => {
        symbolsInfoRef.current = symbolsInfo;
    }, [symbolsInfo]);
    const handler = useDebouncedCallback((data) => {
        const showToast = (data) => {
            const { title, msg } = getOrderExecutionReportMsg(data, symbolsInfoRef.current);
            if (title && msg) {
                toast.success(_jsxs("div", { children: [title, _jsx("br", {}), _jsx("div", { className: "orderly-text-white/[0.54]", children: msg })] }));
            }
        };
        showToast(data);
    }, 100);
    useEffect(() => {
        const showToast = (data) => {
            const { title, msg } = getOrderExecutionReportMsg(data, symbolsInfoRef.current);
            if (title && msg) {
                toast.success(_jsxs("div", { children: [title, _jsx("br", {}), _jsx("div", { className: "orderly-text-white/[0.54]", children: msg })] }));
            }
        };
        // const handler = (data: any) => {
        //   // console.log("orders:changed", data);
        //   showToast(data);
        // };
        ee.on("orders:changed", handler);
        return () => {
            ee.off("orders:changed", handler);
        };
    }, []);
}
//# sourceMappingURL=useExecutionReport.js.map