import { ReactNode } from "react";
import { ExtensionPosition } from "./types";
/**
 * @name ExtensionOptions
 * @description Extension meta data
 */
export type ExtensionOptions = {
    name: string;
    scope?: string[];
    engines?: string;
    positions: ExtensionPosition[];
    __isInternal?: boolean;
    install?: () => Promise<void>;
    entry?: string[];
    onInit?: () => void;
    activate?: () => Promise<void>;
    deactivate?: () => Promise<void>;
};
type ExtensionRenderComponentType<Props> = ReactNode | ((props: Props) => ReactNode);
export declare const installExtension: <Props extends unknown = {}>(options: ExtensionOptions) => (component: ExtensionRenderComponentType<Props>) => void;
export {};
//# sourceMappingURL=install.d.ts.map