import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext, } from "react";
import { useSymbolsInfo } from "@orderly.network/hooks";
export const SymbolContext = createContext({});
export const useSymbolContext = () => {
    return useContext(SymbolContext);
};
export const SymbolProvider = (props) => {
    const symbolInfo = useSymbolsInfo()[props.symbol];
    return (_jsx(SymbolContext.Provider, { value: {
            base_dp: symbolInfo("base_dp"),
            quote_dp: symbolInfo("quote_dp"),
            base_tick: symbolInfo("base_tick"),
            base: symbolInfo("base"),
            quote: symbolInfo("quote"),
            symbol: props.symbol,
        }, children: props.children }));
};
//# sourceMappingURL=symbolProvider.js.map