import { VariantProps } from "class-variance-authority";
import { FC, SelectHTMLAttributes } from "react";
export type SelectOption = {
    value: string | number;
    label: string;
};
declare const selectVariants: (props?: ({
    size?: "small" | "large" | "default" | null | undefined;
    fullWidth?: boolean | null | undefined;
    color?: "default" | "buy" | "sell" | null | undefined;
    disabled?: boolean | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface SelectProps extends Omit<SelectHTMLAttributes<HTMLSelectElement>, "disabled" | "size" | "onChange" | "color">, VariantProps<typeof selectVariants> {
    /**
     * If `true`, the button will show a loading indicator.
     * @default false
     * */
    loading?: boolean;
    label?: string;
    options: SelectOption[];
    onChange?: (value: string) => void;
    contentClassName?: string;
}
declare const Select: FC<SelectProps>;
export { Select, selectVariants };
//# sourceMappingURL=select.d.ts.map