import React, { FC, PropsWithChildren } from "react";
export interface TabContextState {
    contentVisible: boolean;
    toggleContentVisible: () => void;
    data: any;
    updateData: (key: string, value: any) => void;
    height?: TabRect;
}
declare const TabContext: React.Context<TabContextState>;
declare const useTabContext: () => TabContextState;
export type TabRect = {
    box: number;
    header: number;
    content: number;
};
declare const TabContextProvider: FC<PropsWithChildren<{
    data?: any;
    collapsed: boolean;
    height?: TabRect;
    onToggleCollapsed?: () => void;
}>>;
export { TabContext, useTabContext, TabContextProvider };
//# sourceMappingURL=tabContext.d.ts.map