import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
import { cva } from "class-variance-authority";
const tagVariants = cva(["orderly-rounded-sm", "orderly-px-2", "orderly-text-4xs", "orderly-inline-block"], {
    variants: {
        size: {
            small: "orderly-h-[16px]",
            default: "orderly-h-[18px]",
        },
        color: {
            primary: "orderly-bg-primary/[.15] orderly-text-primary",
            //   secondary: "bg-secondary text-white",
            // success: "bg-success text-white",
            // danger: "bg-danger text-white",
            // warning: "bg-warning text-white",
            // info: "bg-info text-white",
            buy: "orderly-bg-trade-profit/[.15] orderly-text-trade-profit",
            sell: "orderly-bg-trade-loss/[.15] orderly-text-trade-loss",
        },
    },
    defaultVariants: {
        size: "default",
        color: "primary",
    },
});
export const Tag = ({ className, size, color, children, ...props }) => {
    return (_jsx("div", { ...props, className: cn(tagVariants({
            size,
            color,
            // disabled,
        }), className), children: children }));
};
//# sourceMappingURL=tag.js.map