import React, { FC } from "react";
export type NumeralRule = "percentages" | "price" | "human";
export interface NumeralProps {
    rule?: NumeralRule;
    /**
     * Decimal point reserved digits, default 2 digits
     * @default 2
     */
    precision?: number;
    tick?: number;
    /**
     * The method of rounding the decimal digits after the decimal point, options are ceil, floor, round, aligns with Math.ceil, Math.floor, Math.round.
     * @default floor
     */
    truncate?: "ceil" | "floor" | "round";
    /**
     * The number to be formatted
     */
    children: number | string;
    className?: string;
    coloring?: boolean;
    loading?: boolean;
    surfix?: React.ReactNode;
    prefix?: React.ReactNode;
    unit?: string;
    cureency?: string;
    /**
     * Whether to display as *****
     */
    visible?: boolean;
    /**
     * Whether to pad with 0
     * @default true
     */
    padding?: boolean;
    /**
     *
     */
    showIcon?: boolean;
    icons?: {
        loss?: React.ReactNode;
        profit?: React.ReactNode;
    };
}
export declare const Numeral: FC<NumeralProps>;
//# sourceMappingURL=numeral.d.ts.map