import { jsx as _jsx } from "react/jsx-runtime";
import { useSymbolContext } from "../provider/symbolProvider";
import { Numeral } from "./numeral";
export const NumeralWithCtx = (props) => {
    const { tick = "quote_dp", ...rest } = props;
    const symbolInfo = useSymbolContext();
    if (!symbolInfo) {
        throw new Error("NumeralWithCtx must be used inside SymbolProvider");
    }
    return _jsx(Numeral, { ...rest, precision: symbolInfo[tick] });
};
//# sourceMappingURL=numeralWithCtx.js.map