import React, { FC, HTMLAttributes, PropsWithChildren } from "react";
import { VariantProps } from "class-variance-authority";
declare const textVariants: (props?: ({
    variant?: null | undefined;
    type?: "success" | "primary" | "secondary" | "tertiary" | "buy" | "sell" | "danger" | "quaternary" | "warning" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export type TextRule = "date" | "address" | "text" | "symbol" | "status";
export interface TextProps extends HTMLAttributes<HTMLSpanElement>, VariantProps<typeof textVariants> {
    asChildren?: boolean;
    rule?: TextRule;
    range?: [number, number];
    loading?: boolean;
    symbolElement?: "quote" | "base";
    surfix?: React.ReactNode;
    formatString?: string;
}
export declare const Text: FC<PropsWithChildren<TextProps>>;
export {};
//# sourceMappingURL=text.d.ts.map