"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountStatus = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const types_1 = require("@orderly.network/types");
const chains_desktop_1 = require("../sections/desktop/chains.desktop");
const css_1 = require("../../../utils/css");
const hooks_1 = require("@orderly.network/hooks");
const react_2 = require("@orderly.network/react");
const walletConnectButton_desktop_1 = require("./walletConnectButton.desktop");
const utils_1 = require("@orderly.network/utils");
const AccountStatus = (props) => {
    const { status = types_1.AccountStatusEnum.NotConnected } = props;
    const { account, state } = (0, hooks_1.useAccount)();
    const [open, setOpen] = (0, react_1.useState)(false);
    // @ts-ignore
    const { onWalletDisconnect } = (0, react_1.useContext)(react_2.OrderlyAppContext);
    const { connectedChain } = (0, hooks_1.useWalletConnector)();
    const [allChains, { findByChainId }] = (0, hooks_1.useChains)(undefined, {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
        // filter: (chain: API.Chain) => isTestnet(chain.network_infos?.chain_id),
    });
    const chains = (0, react_1.useMemo)(() => {
        if (Array.isArray(allChains))
            return allChains;
        if (allChains === undefined)
            return [];
        // @ts-ignore
        if (connectedChain && (0, utils_1.isTestnet)(parseInt(connectedChain.id))) {
            return allChains.testnet ?? [];
        }
        return allChains.mainnet;
    }, [allChains, connectedChain]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-h-full orderly-flex orderly-items-center orderly-space-x-2", props.className), children: [(0, jsx_runtime_1.jsx)(chains_desktop_1.Chains, { disabled: status < types_1.AccountStatusEnum.NotConnected, className: "orderly-rounded-full" }), (0, jsx_runtime_1.jsx)(walletConnectButton_desktop_1.DesktopWalletConnnectButton, { status: status, 
                // @ts-ignore
                chains: chains, address: props.address, balance: props.balance, currency: props.currency, totalValue: props.totalValue, accountInfo: account, loading: props.loading, onConnect: props.onConnect, onDisconnect: props.onDisconnect, showGetTestUSDC: props.showGetTestUSDC, className: props.className, dropMenuItem: props.dropMenuItem, onClickDropMenuItem: props.onClickDropMenuItem })] }));
};
exports.AccountStatus = AccountStatus;
//# sourceMappingURL=accountStatus.desktop.js.map