"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedLeverage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const text_1 = require("../../../text");
const lucide_react_1 = require("lucide-react");
const leverageDialog_1 = require("./leverageDialog");
const tooltip_1 = require("../../../tooltip");
const divider_1 = require("../../../divider");
const utils_1 = require("../../../utils");
const utils_2 = require("../utils");
const LeverageAndMarginRatio = (props) => {
    const { isConnected } = props;
    const { marginRatio, currentLeverage, mmr } = (0, hooks_1.useMarginRatio)();
    const [maxLeverage, { update, config: leverageLevers }] = (0, hooks_1.useLeverage)();
    const marginRatioVal = marginRatio === 0 ? 10 : Math.min(marginRatio, 10);
    const { isRed, isYellow, isGreen } = (0, utils_2.getMarginRatioColor)(marginRatioVal, mmr);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-xs", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-tabular-nums orderly-items-start", children: [(0, jsx_runtime_1.jsx)(tooltip_1.Tooltip
                    // @ts-ignore
                    , { 
                        // @ts-ignore
                        content: (0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("span", { children: "Your actual Leverage of the whole account / Your max Leverage of the whole account" }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-py-2 orderly-border-white/10" }), (0, jsx_runtime_1.jsx)("span", { children: "Margin ratio = Total collateral / Total position notional" })] }), className: "orderly-max-w-[270px]", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-3xs orderly-cursor-pointer", children: "Margin ratio" }) }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { className: (0, utils_1.cn)("orderly-text-base-contrast", isConnected &&
                            (0, utils_1.cn)({
                                "orderly-text-[#FF67C2]": isRed,
                                "orderly-text-[#FFCF73]": isYellow,
                                "orderly-text-[#1EF6B4]": isGreen,
                            })), rule: "percentages", coloring: true, children: isConnected ? marginRatioVal : "-" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-items-end", children: [(0, jsx_runtime_1.jsx)(tooltip_1.Tooltip, { content: "Your actual Leverage of the whole account / Your max Leverage of the whole account", className: "orderly-max-w-[270px]", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-3xs orderly-cursor-pointer", children: "Account leverage" }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-2xs", children: [isConnected ? ((0, jsx_runtime_1.jsx)(text_1.Numeral, { surfix: "x", children: currentLeverage })) : ("-"), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "/" }), isConnected ? ((0, jsx_runtime_1.jsx)(leverageDialog_1.LeverageDialog, { children: (0, jsx_runtime_1.jsxs)("button", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { children: `${maxLeverage ?? "-"}x` }), typeof maxLeverage !== "undefined" && (
                                        // @ts-ignore
                                        (0, jsx_runtime_1.jsx)(lucide_react_1.Pencil, { size: 14, className: "orderly-text-base-contrast-54" }))] }) })) : ("-")] })] })] }));
};
exports.MemorizedLeverage = (0, react_1.memo)(LeverageAndMarginRatio);
//# sourceMappingURL=leverage.js.map