"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopWalletConnnectButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const walletConnectButton_1 = require("../sections/walletConnectButton");
const types_1 = require("@orderly.network/types");
const hooks_1 = require("@orderly.network/hooks");
const react_dropdown_menu_1 = require("@radix-ui/react-dropdown-menu");
const avatar_1 = require("../../../avatar");
const text_1 = require("../../../text");
const toast_1 = require("../../../toast");
const react_tooltip_1 = require("@radix-ui/react-tooltip");
const divider_1 = require("../../../divider");
const react_2 = require("@orderly.network/react");
const utils_1 = require("@orderly.network/utils");
const icon_1 = require("../../../icon");
const utils_2 = require("../../../utils");
const IconTooltip = (props) => ((0, jsx_runtime_1.jsxs)(react_tooltip_1.Tooltip, { children: [(0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipTrigger, { children: props.trigger }), (0, jsx_runtime_1.jsxs)(react_tooltip_1.TooltipContent, { align: "center", className: "data-[state=delayed-open]:data-[side=top]:orderly-animate-slideDownAndFade data-[state=delayed-open]:data-[side=right]:orderly-animate-slideLeftAndFade data-[state=delayed-open]:data-[side=left]:orderly-animate-slideRightAndFade data-[state=delayed-open]:data-[side=bottom]:orderly-animate-slideUpAndFade orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-px-[15px] orderly-py-[10px] orderly-text-3xs orderly-leading-none orderly-shadow-[hsl(206_22%_7%_/_35%)_0px_10px_38px_-10px,_hsl(206_22%_7%_/_20%)_0px_10px_20px_-15px] orderly-will-change-[transform,opacity]", children: [props.tooltipContent, (0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipArrow, { className: "orderly-fill-base-400" })] })] }));
const MenuItem = (props) => ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_2.cn)("orderly-flex orderly-cursor-pointer orderly-items-center orderly-w-full orderly-fill-base-contrast-36 orderly-text-base-contrast-36 hover:orderly-fill-base-contrast hover:orderly-text-base-contrast orderly-py-4", props.className), onClick: props.onClick, children: [props.icon, (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-xs orderly-pl-2 orderly-font-semibold", children: props.title })] }));
const DesktopWalletConnnectButton = (props) => {
    const { status = types_1.AccountStatusEnum.NotConnected, dropMenuItem, onClickDropMenuItem, } = props;
    const { account, state } = (0, hooks_1.useAccount)();
    const [open, setOpen] = (0, react_1.useState)(false);
    // @ts-ignore
    const { onWalletDisconnect } = (0, react_1.useContext)(react_2.OrderlyAppContext);
    const { connectedChain } = (0, hooks_1.useWalletConnector)();
    const [allChains] = (0, hooks_1.useChains)(undefined, {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
        // filter: (chain: API.Chain) => isTestnet(chain.network_infos?.chain_id),
    });
    const chains = (0, react_1.useMemo)(() => {
        if (Array.isArray(allChains))
            return allChains;
        if (allChains === undefined)
            return [];
        // @ts-ignore
        if (connectedChain && (0, utils_1.isTestnet)(parseInt(connectedChain.id))) {
            return allChains.testnet ?? [];
        }
        return allChains.mainnet;
    }, [allChains, connectedChain]);
    const onCopy = (0, react_1.useCallback)(() => {
        navigator.clipboard.writeText(state.address).then(() => {
            toast_1.toast.success("Copied to clipboard");
            setOpen(false);
        });
    }, [state]);
    const onOpenExploer = (0, react_1.useCallback)(() => {
        const chainInfo = chains.find((item) => item.chain_id === account.chainId);
        if (chainInfo) {
            // @ts-ignore
            const { explorer_base_url } = chainInfo;
            if (explorer_base_url) {
                if (explorer_base_url.endsWith("/")) {
                    window.open(`${explorer_base_url}address/${account.address}`);
                }
                else {
                    window.open(`${explorer_base_url}/address/${account.address}`);
                }
            }
        }
        setOpen(false);
    }, [state, connectedChain]);
    const customsMenuItems = (0, react_1.useMemo)(() => {
        if (Array.isArray(props.dropMenuItem)) {
            return props.dropMenuItem.map((item) => {
                return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(MenuItem, { icon: item.icon, title: item.title, className: item.className, onClick: () => {
                                item.onClick?.();
                                onClickDropMenuItem?.(item);
                            } }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {})] }, item.key || item.title));
            });
        }
        return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: props.dropMenuItem }));
    }, [props.dropMenuItem, props.onClickDropMenuItem]);
    return ((0, jsx_runtime_1.jsxs)(react_dropdown_menu_1.DropdownMenu, { open: state.address ? open : false, onOpenChange: state.address ? setOpen : undefined, children: [(0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuTrigger, { children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-h-[48px] orderly-flex orderly-items-center", children: (0, jsx_runtime_1.jsx)(walletConnectButton_1.WalletConnectButton, { status: status, address: props.address, className: "orderly-rounded-full", onConnect: props.onConnect }) }) }), (0, jsx_runtime_1.jsxs)(react_dropdown_menu_1.DropdownMenuContent, { align: "end", className: "orderly-bg-base-800 orderly-w-[220px] orderly-px-4 orderly-rounded-borderRadius orderly-shadow-[0px_12px_20px_0px_rgba(0,0,0,0.25)] orderly-z-20", alignOffset: 10, onCloseAutoFocus: (e) => e.preventDefault(), children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex  orderly-gap-3 orderly-py-5", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)(avatar_1.Blockie, { address: state.address }), (0, jsx_runtime_1.jsx)(text_1.Text, { className: "orderly-text-xs orderly-text-base-contrast-80 orderly-ml-2", rule: "address", children: account.address })] }), (0, jsx_runtime_1.jsx)(IconTooltip, { trigger: (0, jsx_runtime_1.jsx)(icon_1.CopyDesktopIcon, { onClick: onCopy, size: 20, className: "orderly-text-base-contrast-36 hover:orderly-text-base-contrast" }), tooltipContent: "Copy address" }), (0, jsx_runtime_1.jsx)(IconTooltip, { trigger: (0, jsx_runtime_1.jsx)(icon_1.ShareIcon, { onClick: onOpenExploer, size: 20, className: "orderly-text-base-contrast-36 hover:orderly-text-base-contrast" }), tooltipContent: "View in block explorer" })] }), customsMenuItems, (0, jsx_runtime_1.jsx)(MenuItem, { icon: (0, jsx_runtime_1.jsx)(icon_1.DisconnectIcon, { size: 24 }), title: "Disconnect", className: "hover:orderly-fill-danger-light hover:orderly-text-danger-light", onClick: () => {
                            setOpen(false);
                            onWalletDisconnect?.();
                        } })] })] }));
};
exports.DesktopWalletConnnectButton = DesktopWalletConnnectButton;
//# sourceMappingURL=walletConnectButton.desktop.js.map