"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedAssetsDetail = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const text_1 = require("../../../text");
const hooks_1 = require("@orderly.network/hooks");
const provider_1 = require("../../../provider");
const modal_1 = require("../../../modal");
const withdraw_1 = require("../../../block/withdraw");
const lucide_react_1 = require("lucide-react");
const AssetsDetail = () => {
    const { freeCollateral } = (0, hooks_1.useCollateral)({
        dp: 2,
    });
    const [{ aggregated }] = (0, hooks_1.usePositionStream)();
    const { onSettle } = (0, react_1.useContext)(provider_1.AssetsContext);
    const onSettleClick = (0, react_1.useCallback)(() => {
        modal_1.modal
            .confirm({
            title: "Settle PnL",
            content: (0, jsx_runtime_1.jsx)(withdraw_1.SettlePnlContent, {}),
            maxWidth: "xs",
            onCancel() {
                return Promise.reject("cancel");
            },
            onOk() {
                return onSettle();
            },
        })
            .then(() => { }, (error) => { });
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-xs orderly-py-4 orderly-mb-4 orderly-border-b orderly-border-t orderly-border-divider orderly-space-y-2 orderly-tabular-nums", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Free collateral" }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { surfix: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "USDC" }), children: freeCollateral })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Unsettled PnL" }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { coloring: true, prefix: (0, jsx_runtime_1.jsx)("button", { className: "orderly-text-primary-light", onClick: onSettleClick, children: (0, jsx_runtime_1.jsx)(lucide_react_1.RefreshCcw, { size: 14 }) }), surfix: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "USDC" }), children: aggregated?.unsettledPnL ?? 0 })] })] }));
};
exports.MemorizedAssetsDetail = (0, react_1.memo)(AssetsDetail);
//# sourceMappingURL=assetsDetail.js.map