"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeverageDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const dialog_1 = require("../../../dialog");
const leverageEditor_1 = require("../sections/leverageEditor");
const button_1 = __importDefault(require("../../../button"));
const hooks_1 = require("@orderly.network/hooks");
const toast_1 = require("../../../toast");
const hooks_2 = require("@orderly.network/hooks");
const numeral_1 = require("../../../text/numeral");
const LeverageDialog = (props) => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const { currentLeverage } = (0, hooks_2.useMarginRatio)();
    const [maxLeverage, { update, config: leverageLevers, isMutating }] = (0, hooks_1.useLeverage)();
    const nextLeverage = (0, react_1.useRef)(maxLeverage ?? 0);
    const onSave = (value) => {
        return Promise.resolve().then(() => {
            //   console.log("value", value);
            nextLeverage.current = value.leverage;
        });
    };
    const onSubmit = () => {
        if (nextLeverage.current === maxLeverage)
            return;
        update({ leverage: nextLeverage.current }).then((res) => {
            setOpen(false);
            toast_1.toast.success("Leverage updated");
        }, (err) => {
            console.dir(err);
            toast_1.toast.error(err.message);
        });
    };
    return ((0, jsx_runtime_1.jsxs)(dialog_1.Dialog, { open: open, onOpenChange: setOpen, children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogTrigger, { asChild: true, children: props.children }), (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { onOpenAutoFocus: (e) => e.preventDefault(), closable: true, children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { children: (0, jsx_runtime_1.jsx)(dialog_1.DialogTitle, { children: "Account Leverage" }) }), (0, jsx_runtime_1.jsxs)(dialog_1.DialogBody, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-text-base-contrast-54 orderly-py-5 desktop:orderly-text-xs", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1", children: "Max account leverage" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { children: "Current:" }), (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: currentLeverage })] })] }), (0, jsx_runtime_1.jsx)("div", { className: "ordelry-my-5 orderly-h-[80px]", children: (0, jsx_runtime_1.jsx)(leverageEditor_1.LeverageEditor, { maxLeverage: maxLeverage, leverageLevers: leverageLevers, onSave: onSave }) })] }), (0, jsx_runtime_1.jsxs)(dialog_1.DialogFooter, { children: [(0, jsx_runtime_1.jsx)(button_1.default, { fullWidth: true, color: "tertiary", onClick: () => {
                                    setOpen(false);
                                }, children: "Cancel" }), (0, jsx_runtime_1.jsx)(button_1.default, { fullWidth: true, onClick: () => onSubmit(), loading: isMutating, children: "Save" })] })] })] }));
};
exports.LeverageDialog = LeverageDialog;
//# sourceMappingURL=leverageDialog.js.map