"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountInfo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const avatar_1 = require("../../../avatar");
const button_1 = __importStar(require("../../../button"));
const react_1 = require("react");
const text_1 = require("../../../text");
const hooks_1 = require("@orderly.network/hooks");
const toast_1 = require("../../../toast");
const modal_1 = require("../../../modal");
const types_1 = require("@orderly.network/types");
const walletConnect_1 = require("../../../block/walletConnect");
const icon_1 = require("../../../icon");
const useGetChains_1 = require("./useGetChains");
const AccountInfo = (props) => {
    const { onDisconnect } = props;
    const { account, state } = (0, hooks_1.useAccount)();
    // const [loading,setLoading] = React.useState(false);
    const config = (0, hooks_1.useConfig)();
    const [getTestUSDC, { isMutating }] = (0, hooks_1.useMutation)(`${config.get("operatorUrl")}/v1/faucet/usdc`);
    const chainName = (0, useGetChains_1.useGetChains)();
    const onCopy = (0, react_1.useCallback)(() => {
        navigator.clipboard.writeText(state.address).then(() => {
            toast_1.toast.success("Copied to clipboard");
        });
    }, [state]);
    const onGetClick = (0, react_1.useCallback)(() => {
        if (state.status < types_1.AccountStatusEnum.EnableTrading) {
            return modal_1.modal.show(walletConnect_1.WalletConnectSheet, {
                status: state.status,
            });
        }
        return getTestUSDC({
            chain_id: account.wallet?.chainId.toString(),
            user_address: state.address,
            broker_id: config.get("brokerId"),
        }).then((res) => {
            if (res.success) {
                props.close?.();
                return modal_1.modal.confirm({
                    title: "Get test USDC",
                    content: "1,000 USDC will be added to your balance. Please note this may take up to 3 minutes. Please check back later.",
                    onOk: () => {
                        return Promise.resolve();
                    },
                });
            }
            res.message && toast_1.toast.error(res.message);
            // return Promise.reject(res);
        }, (error) => {
            toast_1.toast.error(error.message);
        });
    }, [state]);
    return ((0, jsx_runtime_1.jsxs)("div", { id: "orderly-account-info", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-py-6", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(avatar_1.Blockie, { address: state.address }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col", children: [(0, jsx_runtime_1.jsx)(text_1.Text, { className: "orderly-text-xs", rule: "address", children: account.address }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-4xs orderly-text-base-contrast-80", children: chainName })] })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center orderly-gap-2", children: (0, jsx_runtime_1.jsx)(button_1.IconButton, { type: "button", onClick: onCopy, className: "orderly-px-0", children: (0, jsx_runtime_1.jsx)(icon_1.CopyIcon, { size: 40 }) }) })] }), props.showGetTestUSDC ? ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-py-4 orderly-grid orderly-grid-cols-2 orderly-gap-3", children: [(0, jsx_runtime_1.jsx)(button_1.default, { variant: "outlined", onClick: onGetClick, disabled: isMutating, loading: isMutating, className: "orderly-text-xs orderly-text-primary orderly-font-bold orderly-border-primary hover:orderly-bg-transparent hover:orderly-text-primary-light", children: "Get test USDC" }), (0, jsx_runtime_1.jsx)(button_1.default, { variant: "outlined", color: "danger", fullWidth: true, className: "orderly-text-xs orderly-font-bold orderly-text-danger-light orderly-border-danger-light hover:orderly-bg-transparent hover:orderly-text-danger-light", onClick: () => {
                            onDisconnect?.();
                        }, children: "Disconnect" })] })) : ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-justify-center", children: (0, jsx_runtime_1.jsx)(button_1.default, { variant: "outlined", color: "danger", fullWidth: true, className: "orderly-text-xs orderly-font-bold orderly-text-danger-light orderly-border-danger-light hover:orderly-bg-transparent hover:orderly-text-danger-light", onClick: () => {
                        onDisconnect?.();
                    }, children: "Disconnect" }) }))] }));
};
exports.AccountInfo = AccountInfo;
//# sourceMappingURL=accountInfo.js.map