"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountTotal = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const sheet_1 = require("../../../sheet");
const divider_1 = require("../../../divider");
const assetAndMargin_1 = require("./assetAndMargin");
const text_1 = require("../../../text");
const types_1 = require("@orderly.network/types");
const hooks_1 = require("@orderly.network/hooks");
const logo_1 = require("../../../logo");
const assetsProvider_1 = require("../../../provider/assetsProvider");
const icon_1 = require("../../../icon");
const provider_1 = require("../../../provider");
const AccountTotal = (props) => {
    const { currency = "USDC", accountInfo } = props;
    // @ts-ignore
    const { errors } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const { onDeposit, onWithdraw, onSettle, visible, toggleVisible } = (0, react_1.useContext)(assetsProvider_1.AssetsContext);
    const { currentLeverage } = (0, hooks_1.useMarginRatio)();
    //
    const balance = (0, react_1.useMemo)(() => {
        if (props.status < types_1.AccountStatusEnum.EnableTrading) {
            return "--";
        }
        return ((0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "price", visible: visible, children: props.totalValue ?? 0 }));
    }, [props.status, props.totalValue, visible]);
    const maxLerverage = (0, react_1.useMemo)(() => {
        return accountInfo?.max_leverage ?? "-";
    }, [accountInfo]);
    if (props.status < types_1.AccountStatusEnum.EnableTrading) {
        return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center orderly-text-base-contrast-54 orderly-text-4xs", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsx)("span", { children: "Total value" }), (0, jsx_runtime_1.jsx)("span", { children: "\u2248" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2", children: ["--", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-20", children: currency })] })] }) }));
    }
    return ((0, jsx_runtime_1.jsxs)(sheet_1.Sheet, { children: [(0, jsx_runtime_1.jsx)(sheet_1.SheetTrigger, { asChild: true, children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-cursor-pointer orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-text-4xs", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)("span", { children: "Total value" }), (0, jsx_runtime_1.jsx)("button", { className: "orderly-text-primary-light orderly-px-2", onClick: (event) => {
                                                event.stopPropagation();
                                                toggleVisible();
                                            }, children: visible ? ((0, jsx_runtime_1.jsx)(icon_1.EyeOffIcon, { className: "orderly-text-primary", size: 12 })) : ((0, jsx_runtime_1.jsx)(icon_1.EyeIcon, { className: "orderly-text-primary", size: 12 })) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base", children: "\u2248" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2 orderly-text-base-contrast", children: [balance, (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-20", children: currency })] })] }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { vertical: true, className: "orderly-px-3" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-border orderly-border-solid orderly-px-2 orderly-rounded orderly-border-primary-light orderly-text-primary-light orderly-text-4xs orderly-h-[30px] orderly-leading-[30px] orderly-flex orderly-items-center", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: 2, surfix: "x", children: currentLeverage }) })] }) }), (0, jsx_runtime_1.jsxs)(sheet_1.SheetContent, { id: "orderly-asset-and-margin-sheet", onOpenAutoFocus: (event) => event.preventDefault(), children: [(0, jsx_runtime_1.jsx)(sheet_1.SheetHeader, { id: "orderly-asset-and-margin-sheet-title", leading: (0, jsx_runtime_1.jsx)(logo_1.Logo.secondary, { size: 30 }), children: "Assets & Margin" }), (0, jsx_runtime_1.jsx)(assetAndMargin_1.AssetAndMarginSheet, { onDeposit: onDeposit, onWithdraw: onWithdraw, onSettle: onSettle, maxLeverage: maxLerverage })] })] }));
};
exports.AccountTotal = AccountTotal;
//# sourceMappingURL=accountTotal.js.map