"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainIdSwtich = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const chainPicker_1 = require("../../../block/pickers/chainPicker");
const dialog_1 = require("../../../dialog");
const hooks_1 = require("@orderly.network/hooks");
const toast_1 = require("../../../toast");
const i18n_1 = require("../../../i18n");
const provider_1 = require("../../../provider");
const button_1 = __importDefault(require("../../../button"));
const utils_1 = require("@orderly.network/utils");
const utils_2 = require("../../../utils");
const ChainIdSwtich = (props) => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const { onChainChanged } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const [testChains] = (0, hooks_1.useChains)("testnet", {
        pick: "network_infos",
        filter: (item) => (0, utils_1.isTestnet)(item.network_infos?.chain_id),
    });
    const [mainChains] = (0, hooks_1.useChains)("mainnet", {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
    });
    const t = (0, i18n_1.useTranslation)();
    const onChainChange = (0, react_1.useCallback)(({ id, name }) => {
        props
            .onSetChain(id)
            .then((isSuccess) => {
            if (isSuccess) {
                toast_1.toast.success(t("toast.networkSwitched"));
                if (onChainChanged) {
                    onChainChanged(id, (0, utils_1.isTestnet)(id));
                }
            }
            else {
                toast_1.toast.error(t("common.cancel"));
            }
        }, (error) => {
            toast_1.toast.error(error.message);
        })
            .finally(() => setOpen(false));
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_2.cn)("orderly-bg-warning-darken orderly-fixed orderly-left-0 orderly-right-0 orderly-bottom-[64px] orderly-text-warning orderly-z-10 orderly-text-3xs orderly-font-semibold orderly-leading-[18px] orderly-p-[10px]", "desktop:orderly-h-[40px] desktop:orderly-text-sm desktop:orderly-flex desktop:orderly-items-center desktop:orderly-justify-center desktop:orderly-static"), children: [(0, jsx_runtime_1.jsx)("span", { children: "Please connect to a supported network." }), (0, jsx_runtime_1.jsxs)(dialog_1.Dialog, { open: open, onOpenChange: setOpen, children: [(0, jsx_runtime_1.jsxs)(dialog_1.DialogTrigger, { children: [(0, jsx_runtime_1.jsx)("div", { className: "desktop:orderly-hidden orderly-text-link-light orderly-ml-[2px]", children: "Switch network" }), (0, jsx_runtime_1.jsx)(button_1.default, { variant: "outlined", size: "small", className: "orderly-hidden desktop:orderly-block orderly-text-warning orderly-border-warning hover:orderly-text-warning orderly-px-[8px] orderly-ml-[10px] orderly-text-3xs desktop:orderly-text-3xs", children: "Switch network" })] }), (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { closable: true, children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { className: "orderly-switch-network-dialog-title orderly-text-xs", children: "Switch network" }), (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { className: "orderly-max-h-[327.5px] orderly-overflow-y-auto orderly-text-3xs", children: (0, jsx_runtime_1.jsx)(chainPicker_1.ChainListView
                                // @ts-ignore
                                , { 
                                    // @ts-ignore
                                    mainChains: mainChains, 
                                    // @ts-ignore
                                    testChains: testChains, 
                                    // @ts-ignore
                                    onItemClick: onChainChange }) })] })] })] }));
};
exports.ChainIdSwtich = ChainIdSwtich;
//# sourceMappingURL=chainIdSwitch.js.map