"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeverageEditor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const slider_1 = require("../../../slider");
const react_1 = require("react");
const LeverageEditor = (props) => {
    // const [maxLeverage, { update, config: leverageLevers }] = useLeverage();
    const { maxLeverage, leverageLevers, onSave } = props;
    const [leverage, setLeverage] = (0, react_1.useState)(() => maxLeverage ?? 0);
    const leverageValue = (0, react_1.useMemo)(() => {
        const index = leverageLevers.findIndex((item) => item === leverage);
        return index;
    }, [leverage, leverageLevers]);
    return ((0, jsx_runtime_1.jsx)(slider_1.Slider, { min: 0, max: leverageLevers.length - 1, color: "primary", markLabelVisible: true, value: [leverageValue], showTip: false, 
        // markCount={5}
        marks: leverageLevers.map((item) => ({
            value: item,
            label: `${item}x`,
        })), onValueChange: (value) => {
            // console.log("value", value);
            const _value = leverageLevers[value[0]];
            setLeverage(_value);
        }, onValueCommit: (value) => {
            const _value = leverageLevers[value[0]];
            // setLeverage(_value);
            onSave?.({ leverage: _value }).catch((err) => {
                setLeverage(maxLeverage ?? 1);
            });
        } }));
};
exports.LeverageEditor = LeverageEditor;
//# sourceMappingURL=leverageEditor.js.map