"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGetChains = void 0;
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const utils_1 = require("@orderly.network/utils");
function useGetChains() {
    const { connectedChain } = (0, hooks_1.useWalletConnector)();
    const [mainChains, { findByChainId }] = (0, hooks_1.useChains)("mainnet", {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
    });
    const chainName = (0, react_1.useMemo)(() => {
        // @ts-ignore
        const chain = findByChainId(parseInt(connectedChain?.id), "network_infos");
        if (!chain) {
            return "Unknown";
        }
        // @ts-ignore
        if ((0, utils_1.isTestnet)(chain.chain_id)) {
            return "Testnet";
        }
        // @ts-ignore
        return chain.name;
    }, [connectedChain, findByChainId]);
    return chainName;
}
exports.useGetChains = useGetChains;
//# sourceMappingURL=useGetChains.js.map