"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WalletConnectButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const button_1 = __importDefault(require("../../../button"));
const text_1 = require("../../../text");
const types_1 = require("@orderly.network/types");
const provider_1 = require("../../../provider");
const css_1 = require("../../../utils/css");
const WalletConnectButton = (props) => {
    const { status = types_1.AccountStatusEnum.NotConnected, address } = props;
    const { errors } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const buttonLabel = (0, react_1.useMemo)(() => {
        switch (status) {
            case types_1.AccountStatusEnum.NotConnected:
                return "Connect wallet";
            case types_1.AccountStatusEnum.Connected:
            case types_1.AccountStatusEnum.NotSignedIn:
            case types_1.AccountStatusEnum.SignedIn:
            case types_1.AccountStatusEnum.DisabledTrading:
            case types_1.AccountStatusEnum.EnableTrading:
                return ((0, jsx_runtime_1.jsx)(text_1.Text, { rule: "address", range: [4, 4], children: props.address }));
        }
    }, [status, address]);
    if (status === types_1.AccountStatusEnum.NotConnected) {
        return ((0, jsx_runtime_1.jsx)(button_1.default, { size: "small", loading: props.loading, 
            // variant={"gradient"}
            className: (0, css_1.cn)("orderly-bg-primary orderly-text-base-contrast orderly-text-4xs hover:orderly-text-base-80 orderly-h-[30px]", props.className), onClick: () => props.onConnect?.(), children: buttonLabel }));
    }
    return ((0, jsx_runtime_1.jsx)(button_1.default, { id: "orderly-bottom-nav-bar-connect-button", size: "small", 
        // variant={"gradient"}
        className: (0, css_1.cn)("orderly-bg-primary orderly-text-base-contrast orderly-text-4xs hover:orderly-text-base-80 orderly-h-[30px]", props.className), loading: props.loading, disabled: props.loading || errors?.ChainNetworkNotSupport, children: buttonLabel }));
};
exports.WalletConnectButton = WalletConnectButton;
//# sourceMappingURL=walletConnectButton.js.map