"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deposit = exports.DepositStatus = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const depositForm_1 = require("./depositForm");
const hooks_1 = require("@orderly.network/hooks");
const DepositProvider_1 = require("./DepositProvider");
const utils_1 = require("@orderly.network/utils");
var DepositStatus;
(function (DepositStatus) {
    DepositStatus["Checking"] = "Checking";
    DepositStatus["InsufficientBalance"] = "InsufficientBalance";
    DepositStatus["Normal"] = "Normal";
})(DepositStatus || (exports.DepositStatus = DepositStatus = {}));
const Deposit = (props) => {
    const networkId = (0, hooks_1.useConfig)("networkId");
    // @ts-ignore
    const [chains, { findByChainId }] = (0, hooks_1.useChains)(networkId, {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
    });
    const { connectedChain, wallet, setChain, settingChain } = (0, hooks_1.useWalletConnector)();
    const [token, setToken] = (0, react_1.useState)();
    // @ts-ignore
    const currentChain = (0, react_1.useMemo)(() => {
        if (!connectedChain)
            return null;
        const chainId = (0, utils_1.praseChainIdToNumber)(connectedChain.id);
        const chain = findByChainId(chainId);
        return {
            ...connectedChain,
            id: chainId,
            info: chain,
        };
    }, [connectedChain, findByChainId]);
    const { dst, balance, allowance, depositFeeRevalidating, depositFee, quantity, setQuantity, approve, deposit, isNativeToken, balanceRevalidating, fetchBalance, } = (0, hooks_1.useDeposit)({
        address: token?.address,
        decimals: token?.decimals,
        srcChainId: currentChain?.id,
        srcToken: token?.symbol,
    });
    return ((0, jsx_runtime_1.jsx)(DepositProvider_1.DepositProvider, { children: (0, jsx_runtime_1.jsx)(depositForm_1.DepositForm, { dst: dst, allowance: allowance, address: wallet?.accounts?.[0].address, chain: currentChain, 
            // @ts-ignore
            chains: chains, walletName: wallet?.label, switchChain: setChain, displayDecimals: 2, switchToken: setToken, token: token, isNativeToken: isNativeToken, minAmount: 0, maxAmount: balance, approve: approve, deposit: deposit, fetchBalance: fetchBalance, onOk: props.onOk, balanceRevalidating: balanceRevalidating, settingChain: settingChain, quantity: quantity, setQuantity: setQuantity, depositFee: depositFee, depositFeeRevalidating: depositFeeRevalidating }) }));
};
exports.Deposit = Deposit;
exports.default = exports.Deposit;
//# sourceMappingURL=deposit.js.map