import { FC } from "react";
import { CurrentChain, type API } from "@orderly.network/types";
export type DST = {
    symbol: string;
    address?: string;
    decimals?: number;
    chainId: number;
    network: string;
};
export interface DepositFormProps {
    displayDecimals: number;
    chains?: API.NetworkInfos[];
    chain: CurrentChain | null;
    token?: API.TokenInfo;
    dst: DST;
    address?: string;
    walletName?: string;
    minAmount: number;
    maxAmount: string;
    allowance: string;
    balanceRevalidating: boolean;
    settingChain?: boolean;
    isNativeToken?: boolean;
    switchChain: (options: {
        chainId: string;
        [key: string]: any;
    }) => Promise<any>;
    switchToken?: (token: API.TokenInfo) => void;
    fetchBalance: (token: string, decimals: number) => Promise<any>;
    approve: (amount?: string) => Promise<any>;
    deposit: () => Promise<any>;
    onOk?: (data: any) => void;
    quantity: string;
    setQuantity: (quantity: string) => void;
    depositFee?: bigint;
    depositFeeRevalidating?: boolean;
}
export declare const DepositForm: FC<DepositFormProps>;
//# sourceMappingURL=depositForm.d.ts.map