"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../../button"));
const statusGuardButton_1 = require("../../../button/statusGuardButton");
const react_1 = require("react");
const approveButton_1 = require("./approveButton");
const notice_1 = require("./notice");
const modal_1 = require("../../../modal");
const hooks_1 = require("@orderly.network/hooks");
const chainDialog_1 = require("../../../block/pickers/chainPicker/chainDialog");
const ActionButton = (props) => {
    const { chain, token, chains, onDeposit, switchChain, disabled, quantity, loading, allowance, onApprove, submitting, maxQuantity, warningMessage, chainNotSupport, } = props;
    const [_, { findByChainId }] = (0, hooks_1.useChains)(undefined, {
        pick: "network_infos",
        filter: (chain) => chain.network_infos?.bridge_enable || chain.network_infos?.bridgeless,
    });
    const onOpenPicker = async () => {
        const result = await modal_1.modal.show(chainDialog_1.ChainDialog, {
            testChains: chains,
            currentChainId: chain?.id,
        });
        if (result?.id) {
            const chainInfo = findByChainId(result.id);
            props?.onChainChange?.(chainInfo);
        }
    };
    const chainWarningMessage = (0, react_1.useMemo)(() => {
        if (!chainNotSupport)
            return "";
        return "Please connect to a supported network.";
    }, [chainNotSupport, chain?.info?.network_infos?.name]);
    const actionButton = (0, react_1.useMemo)(() => {
        if (!chainNotSupport) {
            return ((0, jsx_runtime_1.jsx)(statusGuardButton_1.StatusGuardButton, { children: (0, jsx_runtime_1.jsx)(approveButton_1.ApproveButton, { onApprove: props.onApprove, onDeposit: onDeposit, allowance: allowance, quantity: quantity, submitting: submitting, maxQuantity: maxQuantity, token: token?.symbol, label: "Deposit", disabled: disabled, buttonId: "orderly-deposit-confirm-button" }) }));
        }
        return ((0, jsx_runtime_1.jsx)(button_1.default, { fullWidth: true, onClick: onOpenPicker, id: "orderly-deposit-confirm-button", className: "desktop:orderly-text-xs", children: "Switch network" }));
    }, [
        chainNotSupport,
        switchChain,
        disabled,
        chain,
        quantity,
        loading,
        allowance,
        onApprove,
        onDeposit,
        submitting,
        maxQuantity,
    ]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-deposit-warning-message", children: chainNotSupport ? ((0, jsx_runtime_1.jsx)("div", { className: "orderly-text-warning orderly-text-4xs orderly-text-center orderly-px-[20px] orderly-pt-4 orderly-pb-3 desktop:orderly-text-2xs ", children: chainWarningMessage })) : ((0, jsx_runtime_1.jsx)(notice_1.Notice, { warningMessage: warningMessage })) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-justify-center", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-deposit-action-button-container orderly-w-full orderly-text-xs orderly-font-bold", children: actionButton }) })] }));
};
exports.ActionButton = ActionButton;
//# sourceMappingURL=actionButton.js.map