"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApproveButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../../button"));
const toast_1 = require("../../../toast");
const react_1 = require("react");
const ApproveButton = (props) => {
    const { onApprove, onDeposit, allowance, submitting, quantity, disabled, maxQuantity, token = "USDC", label, buttonId, } = props;
    const [approveLoading, setApproveLoading] = (0, react_1.useState)(false);
    const onClick = (0, react_1.useCallback)(() => {
        if (approveLoading)
            return;
        setApproveLoading(true);
        onApprove?.()
            .then((res) => {
            toast_1.toast.success("Approve success");
        })
            .catch((error) => {
            console.log("approve error", error);
            toast_1.toast.error(error?.errorCode || "Approve failed");
        })
            .finally(() => {
            setApproveLoading(false);
        });
    }, [approveLoading, allowance, quantity, props.onApprove]);
    if (allowance <= 0) {
        return ((0, jsx_runtime_1.jsx)(button_1.default, { id: buttonId, fullWidth: true, loading: approveLoading, onClick: onClick, disabled: approveLoading, className: " desktop:orderly-text-2xs", children: `Approve ${token}` }));
    }
    if (allowance < Number(quantity) && Number(quantity) <= Number(maxQuantity)) {
        return ((0, jsx_runtime_1.jsx)(button_1.default, { id: buttonId, fullWidth: true, loading: approveLoading, onClick: onClick, disabled: approveLoading, className: " desktop:orderly-text-2xs", children: `increase ${token} authorized amount` }));
    }
    return ((0, jsx_runtime_1.jsx)(button_1.default, { id: buttonId, fullWidth: true, onClick: onDeposit, disabled: disabled || submitting, loading: submitting, className: "desktop:orderly-text-2xs", children: label }));
};
exports.ApproveButton = ApproveButton;
//# sourceMappingURL=approveButton.js.map