"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepositAndWithdrawWithDialog = exports.DepositAndWithdrawWithSheet = exports.DepositAndWithdraw = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tab_1 = require("../../tab");
const react_1 = require("react");
const withdraw_1 = require("../withdraw");
const modalHelper_1 = require("../../modal/modalHelper");
const modal_1 = require("../../modal");
const sheet_1 = require("../../sheet");
const assetsProvider_1 = require("../../provider/assetsProvider");
const dialog_1 = require("../../dialog");
const slot_1 = require("./slot");
const icon_1 = require("../../icon");
const DepositAndWithdraw = (props) => {
    const [value, setValue] = (0, react_1.useState)(() => props.activeTab ?? "deposit");
    return ((0, jsx_runtime_1.jsx)(assetsProvider_1.AssetsProvider, { children: (0, jsx_runtime_1.jsxs)(tab_1.Tabs, { id: "orderly-deposit-and-withdraw", value: value, onTabChange: setValue, tabBarClassName: "orderly-border-b-0 orderly-px-0", children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { id: "orderly-deposit-pane", title: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-xs desktop:orderly-text-lg", children: [(0, jsx_runtime_1.jsx)(icon_1.ArrowDownToLineIcon, { className: "orderly-w-[10px] orderly-h-[10px] desktop:orderly-w-[16px] desktop:orderly-h-[16px]" }), (0, jsx_runtime_1.jsx)("span", { children: "Deposit" })] }), value: "deposit", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-py-3 orderly-px-[2px]", children: (0, jsx_runtime_1.jsx)(slot_1.DepositSlot, { onOk: props.onOk }) }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { id: "orderly-withdraw-pane", title: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-xs desktop:orderly-text-lg", children: [(0, jsx_runtime_1.jsx)(icon_1.ArrowDownToLineIcon, { className: "orderly-w-[10px] orderly-h-[10px] desktop:orderly-w-[16px] desktop:orderly-h-[16px] orderly-rotate-180" }), (0, jsx_runtime_1.jsx)("span", { children: "Withdraw" })] }), value: "withdraw", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-py-3 orderly-px-[2px]", children: (0, jsx_runtime_1.jsx)(withdraw_1.Withdraw, { onOk: props.onOk }) }) })] }) }));
};
exports.DepositAndWithdraw = DepositAndWithdraw;
exports.DepositAndWithdrawWithSheet = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    return ((0, jsx_runtime_1.jsx)(sheet_1.Sheet, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(sheet_1.SheetContent, { children: (0, jsx_runtime_1.jsx)(exports.DepositAndWithdraw, { activeTab: props.activeTab, onOk: onOk }) }) }));
});
exports.DepositAndWithdrawWithDialog = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const [top, setTop] = (0, react_1.useState)("20%");
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    (0, react_1.useEffect)(() => {
        setTop((window.innerHeight - 500) * 0.5);
    }, [window.innerHeight]);
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(dialog_1.DialogContent, { style: { top }, className: "orderly-p-5 orderly-top-[20%] orderly-translate-y-0", maxWidth: "lg", closable: true, children: (0, jsx_runtime_1.jsx)(exports.DepositAndWithdraw, { activeTab: props.activeTab, onOk: onOk }) }) }));
});
//# sourceMappingURL=depositAndwithdraw.js.map