"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FundingRate = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const statistic_1 = require("../../statistic");
const react_1 = require("react");
const utils_1 = require("@orderly.network/utils");
const FundingRate = (props) => {
    const [time, setTime] = (0, react_1.useState)("00:00:00");
    (0, react_1.useEffect)(() => {
        if (!props.timout || props.timout <= 0) {
            return;
        }
        const timer = setInterval(() => {
            const diff = new Date(props.timout).getTime() - Date.now();
            const result = (0, utils_1.timeConvertString)(diff);
            if (result.length === 3) {
                setTime(`${result[0].toString().padStart(2, "0")}:${result[1]
                    .toString()
                    .padStart(2, "0")}:${result[2].toString().padStart(2, "0")}`);
            }
        }, 1000);
        return () => {
            clearInterval(timer);
        };
    }, [props.timout]);
    return ((0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Pred. funding rate", value: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-yellow-500", children: `${props.fundingRate}%` }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-gray-400 orderly-ml-1", children: `in ${time}` })] }) }));
};
exports.FundingRate = FundingRate;
//# sourceMappingURL=fundingRate.js.map