"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketOverview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("react");
const marketPrice_1 = require("./marketPrice");
const fundingRate_1 = require("./fundingRate");
const MarketOverviewItem = {
    price: marketPrice_1.MarketPrice,
    fundingRate: fundingRate_1.FundingRate,
};
const MarketOverview = ({ items }) => {
    const children = (0, react_2.useMemo)(() => {
        if (!items)
            return null;
        return Object.keys(items).map((key) => {
            const item = key;
            const Comp = MarketOverviewItem[item];
            if (!Comp)
                return null;
            return (0, react_1.createElement)(Comp, { ...items[item], key: item });
        });
    }, [items]);
    return (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-gap-5", children: children });
};
exports.MarketOverview = MarketOverview;
//# sourceMappingURL=marketOverview.js.map