"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FavoritesTabPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const listview_1 = require("./listview");
// @ts-ignore
const hooks_1 = require("@orderly.network/hooks");
const useDataSource_1 = require("../useDataSource");
const icon_1 = require("../../../icon");
const lucide_react_1 = require("lucide-react");
const utils_1 = require("../../../utils");
const modal_1 = require("../../../modal");
const FavoritesTabPane = (props) => {
    const { activeIndex, setActiveIndex, onItemClick, fitlerKey } = props;
    const [data, { favorites, addToHistory, favoriteTabs, updateFavoriteTabs, updateSymbolFavoriteState, pinToTop, getLastSelFavTab, updateSelectedFavoriteTab, }] = (0, hooks_1.useMarkets)(hooks_1.MarketsType.FAVORITES);
    const [currTab, setCurrTab] = (0, react_1.useState)(getLastSelFavTab || favoriteTabs[0]);
    const clickTab = (tab) => {
        updateSelectedFavoriteTab(tab);
        setCurrTab(tab);
    };
    const filterData = (0, react_1.useMemo)(() => {
        return favorites
            ?.filter((item) => {
            const unIgnore = item.tabs.findIndex((tab) => tab.id === currTab.id) !== -1;
            return unIgnore;
        })
            ?.map((item) => {
            const index = data.findIndex((symbol) => symbol.symbol === item.name);
            if (index !== -1) {
                return data[index];
            }
            return null;
        })
            ?.filter((item) => item);
    }, [
        currTab, data, favorites
    ]);
    const [dataSource, { onSearch, onSort }] = (0, useDataSource_1.useDataSource)(
    // @ts-ignore
    filterData || []);
    (0, react_1.useEffect)(() => {
        onSearch(fitlerKey);
    }, [fitlerKey]);
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(FavoritesTabList, { currTab: currTab, setCurrTab: clickTab, tabs: favoriteTabs, updateFavoriteTabs: updateFavoriteTabs, updateSymbolFavoriteState: updateSymbolFavoriteState, favorites: favorites }), (0, jsx_runtime_1.jsx)(listview_1.ListViewFull
            // @ts-ignore
            // ref={listviewRef}
            , { 
                // @ts-ignore
                // ref={listviewRef}
                activeIndex: activeIndex, dataSource: dataSource, onSort: onSort, readLastSortCondition: false, maxHeight: props.maxHeight, updateActiveIndex: (index) => setActiveIndex(index), 
                // @ts-ignore
                onItemClick: (item) => {
                    // @ts-ignore
                    onItemClick?.(item);
                    addToHistory(item);
                }, favoriteTabs: favoriteTabs, suffixRender: (item) => {
                    return (0, jsx_runtime_1.jsxs)("div", { className: "orderly-inline-flex orderly-h-full orderly-items-start orderly-justify-end", children: [(0, jsx_runtime_1.jsx)("button", { className: "orderly-p-1", onClick: (e) => {
                                    pinToTop(item);
                                    e.stopPropagation();
                                }, children: (0, jsx_runtime_1.jsx)(icon_1.ArrowTopIcon, { size: 16, fill: "current", fillOpacity: 1, className: "orderly-fill-white/20 hover:orderly-fill-white/80" }) }), (0, jsx_runtime_1.jsx)("button", { className: "orderly-p-1", onClick: (e) => {
                                    updateSymbolFavoriteState(item, currTab, true);
                                    e.stopPropagation();
                                }, children: (0, jsx_runtime_1.jsx)(icon_1.CircleCloseIcon, { size: 16, fill: "current", fillOpacity: 1, className: "orderly-fill-white/20 hover:orderly-fill-white/80" }) })] });
                } })] }));
};
exports.FavoritesTabPane = FavoritesTabPane;
const FavoritesTabList = (props) => {
    const [leadingVisible, setLeadingVisible] = (0, react_1.useState)(false);
    const [tailingVisible, setTailingVisible] = (0, react_1.useState)(false);
    const containerRef = (0, react_1.useRef)(null);
    const leadingElementRef = (0, react_1.useRef)(null);
    const tailingElementRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        const intersectionObserver = new IntersectionObserver((entries) => {
            for (let index = 0; index < entries.length; index++) {
                const item = entries[index];
                if (item) {
                    if (item.target === leadingElementRef.current) {
                        setLeadingVisible(!item.isIntersecting);
                    }
                    if (item.target === tailingElementRef.current) {
                        setTailingVisible(!item.isIntersecting);
                    }
                }
            }
        });
        if (leadingElementRef.current) {
            intersectionObserver.observe(leadingElementRef.current);
        }
        if (tailingElementRef.current) {
            intersectionObserver.observe(tailingElementRef.current);
        }
        return () => {
            intersectionObserver.disconnect();
        };
    }, []);
    const onScollButtonClick = (direction, offset = 100) => {
        if (direction === "left")
            containerRef.current?.scrollBy({ left: -offset, behavior: "smooth" });
        else
            containerRef.current?.scrollBy({ left: offset, behavior: "smooth" });
    };
    const onClickDeleteTab = (tab) => {
        modal_1.modal.confirm({
            maxWidth: "xs",
            closeableSize: 12,
            // title: "Are you sure you want to delete this watchlist?",
            content: (0, jsx_runtime_1.jsx)("div", { className: "orderly-pt-0 orderly-text-sm", children: "Are you sure you want to delete this watchlist?" }),
            onCancel: () => {
                return Promise.reject();
            },
            onOk: async () => {
                let index = props.tabs.findIndex((item) => item.id == props.currTab.id);
                if (index === -1)
                    return;
                index++;
                if (index >= props.tabs.length) {
                    index = 0;
                }
                props.updateFavoriteTabs(tab, { delete: true });
                [...props.favorites].forEach((item) => {
                    const newTabs = item.tabs.filter((value) => value.id === tab.id);
                    if (newTabs.length !== item.tabs.length) {
                        // @ts-ignore
                        props.updateSymbolFavoriteState({ symbol: item.name }, newTabs);
                    }
                });
                props.setCurrTab(props.tabs[index]);
            },
        });
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-h-[58px] orderly-bg-base-800 orderly-w-full orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)("button", { className: "orderly-px-6 orderly-h-[58px] orderly-flex orderly-items-center orderly-fill-base-contrast-36 hover:orderly-fill-base-contrast", onClick: (e) => {
                    const newTab = { name: `WatchList_${props.tabs.length}`, id: Date.now() };
                    props.updateFavoriteTabs(newTab, { add: true });
                    props.setCurrTab(newTab);
                    setTimeout(() => {
                        onScollButtonClick("right", 9999);
                    }, 100);
                }, children: (0, jsx_runtime_1.jsx)(icon_1.AddIcon, { size: 14, fill: "current", fillOpacity: 1.0 }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-relative orderly-overflow-hidden orderly-h-full orderly-w-full orderly-bg-base-800", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex  orderly-relative orderly-items-center orderly-h-full orderly-overflow-x-auto orderly-hide-scrollbar", ref: containerRef, children: [(0, jsx_runtime_1.jsx)("div", { ref: leadingElementRef }), props.tabs.map((item) => ((0, jsx_runtime_1.jsx)(FavoriteTabItem, { currTab: props.currTab, setCurrTab: props.setCurrTab, item: item, onClickDeleteTab: onClickDeleteTab, updateFavoriteTabs: props.updateFavoriteTabs }))), (0, jsx_runtime_1.jsx)("div", { ref: tailingElementRef })] }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-w-[40px] orderly-h-full orderly-mx-2", children: [leadingVisible && (0, jsx_runtime_1.jsx)("button", { className: "orderly-flex-1", onClick: () => onScollButtonClick("left"), children: (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronLeft, { className: "orderly-text-base-contrast-54 hover:orderly-text-base-contrast-80" }) }), tailingVisible && (0, jsx_runtime_1.jsx)("button", { className: "orderly-flex-1", onClick: () => onScollButtonClick("right"), children: (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronRight, { className: "orderly-text-base-contrast-54 hover:orderly-text-base-contrast-80" }) })] })] }));
};
const FavoriteTabItem = (props) => {
    const { item, currTab, onClickDeleteTab } = props;
    const [editTab, setEditTab] = (0, react_1.useState)(false);
    const [text, setText] = (0, react_1.useState)(item.name);
    const elementRef = (0, react_1.useRef)(null);
    const [itemW, setItemW] = (0, react_1.useState)(null);
    const handleDoubleClick = () => {
        setEditTab(true);
    };
    const handleBlur = () => {
        setEditTab(false);
        props.updateFavoriteTabs({ ...props.currTab, name: text }, { update: true });
        props.setCurrTab({ ...props.currTab, name: text });
        setItemW(null);
    };
    const handleKeyDown = (event) => {
        if (event.key === 'Enter') {
            setEditTab(false);
            props.updateFavoriteTabs({ ...props.currTab, name: text }, { update: true });
            props.setCurrTab({ ...props.currTab, name: text });
            setItemW(null);
        }
    };
    const handleChange = (event) => {
        setText(event.target.value);
    };
    const canDel = (item.id !== 1 && item.id === props.currTab.id);
    (0, react_1.useEffect)(() => {
        if (elementRef.current) {
            // @ts-ignore
            const width = elementRef.current.getBoundingClientRect().width;
            setItemW(width + (item.id !== 1 ? 14 : 0));
        }
    }, []);
    return ((0, jsx_runtime_1.jsxs)("button", { ref: elementRef, className: (0, utils_1.cn)("orderly-flex orderly-items-center orderly-text-xs orderly-pl-3 orderly-rounded-t-lg orderly-bg-base-800 orderly-h-full orderly-text-base-contrast-54", props.currTab.id === item.id && "orderly-bg-base-900 orderly-text-base-contrast"), onClick: (e) => {
            props.setCurrTab(item);
        }, onDoubleClick: handleDoubleClick, style: itemW ? { width: `${itemW}px` } : {}, children: [editTab ?
                (0, jsx_runtime_1.jsx)("input", { type: "text", value: text, onChange: handleChange, onBlur: handleBlur, onKeyDown: handleKeyDown, autoFocus: true, disabled: !editTab, className: "orderly-bg-transparent orderly-outline-none orderly-w-[calc(100%-30px)]" }) : item.name, canDel ?
                (0, jsx_runtime_1.jsx)("button", { onClick: () => onClickDeleteTab(item), className: "orderly-pl-1 orderly-pr-1", children: (0, jsx_runtime_1.jsx)(lucide_react_1.X, { size: 14 }) }) :
                (0, jsx_runtime_1.jsx)("div", { className: (0, utils_1.cn)("orderly-pl-1 orderly-pr-1 orderly-w-[14px] orderly-h-full", item.id === 1 && "orderly-w-0") })] }));
};
//# sourceMappingURL=favoritesTabPane.js.map