"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListViewFull = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const listView_1 = require("../../../listView");
const text_1 = require("../../../text");
const sortGroup_1 = require("./sortGroup");
const css_1 = require("../../../utils/css");
const icon_1 = require("../../../icon");
const hooks_1 = require("@orderly.network/hooks");
exports.ListViewFull = (0, react_1.forwardRef)((props, ref) => {
    const config = (0, hooks_1.useSymbolsInfo)();
    const renderItem = (item, index, extraData) => {
        if (config.isNil)
            return null;
        const symbolInfo = config?.[item.symbol];
        const baseDp = symbolInfo("quote_dp", 2);
        return ((0, jsx_runtime_1.jsxs)("div", { onMouseEnter: () => {
                props.updateActiveIndex?.(index);
            }, className: (0, css_1.cn)("orderly-grid orderly-grid-cols-5 orderly-py-3 orderly-px-5 orderly-cursor-pointer orderly-h-[46px] hover:orderly-bg-base-800", {
                "orderly-bg-base-contrast/5": extraData === index,
                "orderly-grid-cols-6": props.suffixRender,
            }), onClick: () => props.onItemClick?.(item), children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-col-span-2 orderly-flex orderly-items-center", children: [props.prefixRender && props.prefixRender(item, extraData), (0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "symbol", symbol: item.symbol, size: "small", className: "orderly-mr-2" }), (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", children: item.symbol }), item.leverage && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-ml-1 orderly-rounded-sm orderly-px-1 orderly-py-[2px] orderly-flex orderly-items-center orderly-text-3xs orderly-text-primary orderly-bg-base-600", children: `${item.leverage}x` }))] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-text-right", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: baseDp, children: item["24h_close"] }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-text-right", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { coloring: true, rule: "percentages", showIcon: true, children: item?.change ?? 0 }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-text-right orderly-text-base-contrast-54", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "human", className: "orderly-text-base-contrast-54", children: item?.["24h_amount"] }) }), props.suffixRender && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-text-right orderly-text-base-contrast-54", children: props.suffixRender(item, index) }))] }));
    };
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(sortGroup_1.SortGroup, { readLastSortCondition: props.readLastSortCondition, onChange: props.onSort, hasSuffix: props.suffixRender !== undefined }), (0, jsx_runtime_1.jsx)(listView_1.ListView, { 
                // @ts-ignore
                ref: ref, dataSource: props.dataSource, 
                // @ts-ignore
                renderItem: renderItem, className: "orderly-text-xs orderly-overflow-y-auto orderly-bg-base-900", contentClassName: "orderly-space-y-0", 
                // extraData={props.activeIndex}
                extraData: props.favoriteTabs, style: props.maxHeight ? { height: `${props.maxHeight}px` } : {} })] }));
});
//# sourceMappingURL=listview.js.map