"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecentTabPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const listview_1 = require("./listview");
const hooks_1 = require("@orderly.network/hooks");
const useDataSource_1 = require("../useDataSource");
const favoriteButton_1 = require("./favoriteButton");
const RecentTabPane = (props) => {
    const { activeIndex, setActiveIndex, onItemClick, fitlerKey } = props;
    const [data, { recent, addToHistory, favoriteTabs, updateFavoriteTabs, updateSymbolFavoriteState }] = (0, hooks_1.useMarkets)(hooks_1.MarketsType.RECENT);
    const filterData = (0, react_1.useMemo)(() => {
        return recent?.map((item) => {
            const index = data.findIndex((symbol) => item.name === symbol.symbol);
            if (index === -1) {
                return null;
            }
            return data[index];
        }).map((item) => item);
    }, [data, recent]);
    const [dataSource, { onSearch, onSort }] = (0, useDataSource_1.useDataSource)(
    // @ts-ignore
    filterData);
    (0, react_1.useEffect)(() => {
        onSearch(fitlerKey);
    }, [fitlerKey]);
    return ((0, jsx_runtime_1.jsx)(listview_1.ListViewFull
    // @ts-ignore
    // ref={listviewRef}
    , { 
        // @ts-ignore
        // ref={listviewRef}
        activeIndex: activeIndex, dataSource: dataSource, onSort: onSort, readLastSortCondition: false, maxHeight: props.maxHeight, updateActiveIndex: (index) => setActiveIndex(index), onItemClick: (item) => {
            // @ts-ignore
            onItemClick?.(item);
            addToHistory(item);
        }, favoriteTabs: favoriteTabs, prefixRender: (item, index) => {
            return ((0, jsx_runtime_1.jsx)(favoriteButton_1.FavoriteButton, { symbol: item, tabs: favoriteTabs, updateFavoriteTabs: updateFavoriteTabs, updateSymbolFavoriteState: updateSymbolFavoriteState }));
        } }));
};
exports.RecentTabPane = RecentTabPane;
//# sourceMappingURL=recentTabPane.js.map