"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchForm = exports.MoveDirection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../../../input");
const inputMask_1 = require("../../../input/inputMask");
const hooks_1 = require("@orderly.network/hooks");
const lucide_react_1 = require("lucide-react");
var MoveDirection;
(function (MoveDirection) {
    MoveDirection[MoveDirection["Up"] = 0] = "Up";
    MoveDirection[MoveDirection["Down"] = 1] = "Down";
})(MoveDirection || (exports.MoveDirection = MoveDirection = {}));
const SearchForm = (props) => {
    const onMoving = (direction, e) => {
        props.onMoving?.(direction);
        e.preventDefault();
    };
    const handleKeyDown = (e) => {
        const { keyCode } = e;
        if (keyCode === 40) {
            // console.log("down")
            onMoving?.(MoveDirection.Down, e);
        }
        else if (keyCode === 38) {
            // console.log("up")
            onMoving?.(MoveDirection.Up, e);
        }
        else if (keyCode === 13) {
            // console.log("enter")
            // onMoving?.(MoveDirection.Up, e);
            props.onSymbolSelect?.();
        }
    };
    const onChange = (0, hooks_1.useDebouncedCallback)((e) => {
        // console.log(e.target.value);
        props.onSearch(e.target.value);
    }, 200);
    // const onChange = (e: React.ChangeEvent<HTMLInputElement>) => {
    // }
    return ((0, jsx_runtime_1.jsx)(input_1.Input, { placeholder: "Search", onKeyDown: handleKeyDown, onChange: onChange, autoFocus: true, 
        // value={props.keyword}
        prefix: (0, jsx_runtime_1.jsx)(inputMask_1.InputMask, { children: (0, jsx_runtime_1.jsx)(lucide_react_1.Search, { size: 20, className: "orderly-text-base-contrast-20" }) }) }));
};
exports.SearchForm = SearchForm;
//# sourceMappingURL=search.js.map