"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const sortItem_1 = require("../sections/sortItem");
const useSort_1 = require("../useSort");
const utils_1 = require("../../../utils");
const icon_1 = require("../../../icon");
const tooltip_1 = require("../../../tooltip");
const SortGroup = (props) => {
    //   const onClick = (value: SortKey) => {
    //     console.log(value);
    //   };
    const [open, setOpen] = (0, react_1.useState)(false);
    const { sortKey, onSort, direction, value: currentValue, } = (0, useSort_1.useSort)(props.value, props.readLastSortCondition);
    (0, react_1.useEffect)(() => {
        props.onChange?.({ key: sortKey, direction });
    }, [sortKey, direction]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_1.cn)("orderly-grid orderly-grid-cols-5 orderly-text-3xs orderly-text-base-contrast-54 orderly-py-3 orderly-px-5 orderly-mt-2", props.hasSuffix && "orderly-grid-cols-6"), children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-2", children: "Instrument" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-flex orderly-justify-end", children: (0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "Last", value: "price", onClick: onSort, currentValue: currentValue }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-col-span-1 orderly-flex orderly-justify-end", children: (0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "24h%", value: "change", onClick: onSort, currentValue: currentValue }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-col-span-1 orderly-flex orderly-pl-2", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1" }), (0, jsx_runtime_1.jsx)(tooltip_1.Tooltip, { content: "24 hour total trading volume on the Orderly Network.", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-end orderly-items-center", children: [(0, jsx_runtime_1.jsx)(icon_1.OrderlyIcon, { size: 14, className: "orderly-mr-[6px]" }), (0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "Volume", value: "vol", onClick: onSort, currentValue: currentValue })] }) })] })] }));
};
exports.SortGroup = SortGroup;
//# sourceMappingURL=sortGroup.js.map