"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSort = void 0;
const react_1 = require("react");
const types_1 = require("./shared/types");
const useSort = (value, readLastSortCondition) => {
    const sessionSortKey = sessionStorage.getItem("default_sort_key") || "vol";
    const sessionSortDirection = sessionStorage.getItem("default_sort_derection") || "2";
    const initSortKey = readLastSortCondition ? value || sessionSortKey : undefined;
    const initDirection = readLastSortCondition ? ((0, types_1.parseSortDirection)(sessionSortDirection) || types_1.SortDirection.DESC) : types_1.SortDirection.NONE;
    // @ts-ignore
    const [sortKey, setSortKey] = (0, react_1.useState)(initSortKey);
    const [direction, setDirection] = (0, react_1.useState)(initDirection);
    const onSort = (value) => {
        if (value === sortKey) {
            setDirection((d) => {
                let result;
                if (d === types_1.SortDirection.NONE) {
                    result = types_1.SortDirection.DESC;
                }
                else if (d === types_1.SortDirection.DESC) {
                    result = types_1.SortDirection.ASC;
                }
                else {
                    result = types_1.SortDirection.NONE;
                }
                sessionStorage.setItem("default_sort_derection", result.toString());
                return result;
            });
        }
        else {
            setSortKey(value);
            setDirection(types_1.SortDirection.DESC);
            sessionStorage.setItem("default_sort_key", value);
            sessionStorage.setItem("default_sort_derection", types_1.SortDirection.DESC.toString());
        }
    };
    const currentValue = (0, react_1.useMemo)(() => ({
        key: sortKey,
        direction: direction,
    }), [sortKey, direction]);
    return {
        sortKey,
        direction,
        value: currentValue,
        onSort,
    };
};
exports.useSort = useSort;
//# sourceMappingURL=useSort.js.map