"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopFreeCollat = exports.MobileFreeCollat = exports.FreeCollat = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../../divider");
const tooltip_1 = require("../../../tooltip");
const utils_1 = require("../../../utils");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const FreeCollat = () => {
    const isTable = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    return isTable ? ((0, jsx_runtime_1.jsx)(exports.MobileFreeCollat, {})) : ((0, jsx_runtime_1.jsx)(exports.DesktopFreeCollat, { title: "Available" }));
};
exports.FreeCollat = FreeCollat;
const MobileFreeCollat = () => {
    return (0, jsx_runtime_1.jsx)("span", { children: "Available" });
};
exports.MobileFreeCollat = MobileFreeCollat;
const DesktopFreeCollat = (props) => {
    return ((0, jsx_runtime_1.jsx)(tooltip_1.Tooltip
    // @ts-ignore
    , { 
        // @ts-ignore
        content: (0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("span", { children: "Free collateral for placing new orders." }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-py-2 orderly-border-white/10" }), (0, jsx_runtime_1.jsx)("span", { children: "Free collateral = Total balance + Total unsettlement PnL - Total position initial margin" })] }), className: "orderly-max-w-[270px]", children: (0, jsx_runtime_1.jsx)("span", { className: (0, utils_1.cn)("orderly-text-base-contrast-54 orderly-text-2xs orderly-cursor-pointer", props.className && props.className), children: props.title }) }));
};
exports.DesktopFreeCollat = DesktopFreeCollat;
//# sourceMappingURL=freeCollat.js.map