"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopHiddenLabel = exports.MobileHideenLabel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const label_1 = require("../../../label");
const modal_1 = require("../../../modal");
const react_1 = require("react");
const react_tooltip_1 = require("@radix-ui/react-tooltip");
const MobileHideenLabel = () => {
    const showHiddenHint = (0, react_1.useCallback)(() => {
        modal_1.modal.alert({
            title: "Hidden",
            message: ((0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs orderly-text-base-contrast/60", children: "Hidden order is a limit order that does not appear in the orderbook." })),
        });
    }, []);
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)(label_1.Label, { onClick: showHiddenHint, className: "orderly-text-base-contrast-54", children: "Hidden" }) }));
};
exports.MobileHideenLabel = MobileHideenLabel;
const DesktopHiddenLabel = () => {
    const [open, setOpen] = (0, react_1.useState)(false);
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsxs)(react_tooltip_1.Tooltip, { children: [(0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipTrigger, { children: (0, jsx_runtime_1.jsx)(label_1.Label, { className: "orderly-text-base-contrast-54", children: "Hidden" }) }), (0, jsx_runtime_1.jsxs)(react_tooltip_1.TooltipContent, { align: "end", alignOffset: -80, className: "orderly-max-w-[240px] orderly-z-20 orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-p-3 orderly-text-4xs", children: [(0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs", children: "Hidden order is a limit order that does not appear in the orderbook." }) }), (0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipArrow, { className: "orderly-fill-base-400" })] })] }) }));
};
exports.DesktopHiddenLabel = DesktopHiddenLabel;
//# sourceMappingURL=hiddenLabel.js.map