"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderConfirmView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const text_1 = require("../../../text");
const OrderConfirmView = (props) => {
    const { order, quote = "USDC", base } = props;
    const type = (0, react_1.useMemo)(() => {
        const type = order.order_type === types_1.OrderType.MARKET ? "Market" : "Limit";
        if (order.side === types_1.OrderSide.BUY) {
            return (0, jsx_runtime_1.jsx)(text_1.Text, { type: "buy", children: `${type} Buy` });
        }
        return (0, jsx_runtime_1.jsx)(text_1.Text, { type: "sell", children: `${type} Sell` });
    }, [order.side, order.order_type]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid orderly-grid-cols-2 orderly-text-base-contract-54 orderly-text-xs desktop:orderly-text-sm", children: [(0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("div", { className: "desktop:orderly-flex desktop:orderly-justify-start", children: type }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1 orderly-items-end", children: [(0, jsx_runtime_1.jsx)("span", { children: base }), (0, jsx_runtime_1.jsxs)("span", { className: "orderly-text-3xs orderly-text-base-contrast-54", children: ["/", quote] })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-gap-2", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Qty." }), (0, jsx_runtime_1.jsx)("span", { children: order.order_quantity })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Price" }), (0, jsx_runtime_1.jsx)("span", { children: order.order_type === types_1.OrderType.MARKET
                                    ? "Market"
                                    : order.order_price })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Total" }), (0, jsx_runtime_1.jsx)("span", { children: order.total })] })] })] }));
};
exports.OrderConfirmView = OrderConfirmView;
//# sourceMappingURL=orderConfirmView.js.map