"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderOptions = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const checkbox_1 = require("../../../checkbox");
const collapsible_1 = require("../../../collapsible");
const label_1 = require("../../../label");
const switch_1 = require("../../../switch");
const css_1 = require("../../../utils/css");
const types_1 = require("@orderly.network/types");
const lucide_react_1 = require("lucide-react");
const react_1 = require("react");
const orderTypes_1 = require("./orderTypes");
const hooks_1 = require("@orderly.network/hooks");
const hiddenLabel_1 = require("./hiddenLabel");
const reduceOnly_1 = require("./reduceOnly");
const OrderOptions = (props) => {
    const { reduceOnly, formattedOrder, onFieldChange } = props;
    const [optionsOpen, setOptionsOpen] = (0, hooks_1.useLocalStorage)("order_entry_options_open", false);
    const [open, setOpen] = (0, react_1.useState)(optionsOpen);
    // const { control, getValues, setValue } = useFormContext();
    const { order_type } = formattedOrder;
    const isTable = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    // console.log("------", formattedOrder);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-py-[2px] orderly-justify-between orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(switch_1.Switch, { id: "orderly-reduce-only-switch", color: "primary", checked: formattedOrder.reduce_only ?? reduceOnly, onCheckedChange: (checked) => {
                                    // onReduceOnlyChange?.(checked);
                                    onFieldChange("reduce_only", checked);
                                    // field.onChange(checked);
                                } }), isTable ? (0, jsx_runtime_1.jsx)(reduceOnly_1.MobileReduceOnlyLabel, {}) : (0, jsx_runtime_1.jsx)(reduceOnly_1.DesktopReduceOnlyLabel, {})] }), (0, jsx_runtime_1.jsx)("button", { type: "button", className: "orderly-w-[18px] orderly-h-[18px] orderly-px-5 orderly-text-base-contrast/60", onClick: () => {
                            setOpen((open) => !open);
                            setOptionsOpen(!open);
                        }, children: (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronDown, { size: 18, className: (0, css_1.cn)("orderly-transition-transform orderly-text-base-contrast/50", open && "orderly-rotate-180") }) })] }), (0, jsx_runtime_1.jsx)(collapsible_1.Collapsible, { open: open, children: (0, jsx_runtime_1.jsx)(collapsible_1.CollapsibleContent, { children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-pb-2 orderly-space-y-4", children: [order_type === types_1.OrderType.LIMIT && ((0, jsx_runtime_1.jsx)(orderTypes_1.OrderTypesCheckbox, { value: formattedOrder.order_type_ext, onValueChange: (value) => {
                                    // field.onChange(value);
                                    onFieldChange("order_type_ext", value);
                                } })), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-5", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1 first-letter:orderly-items-center", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { id: "orderConfirm", checked: props.showConfirm, onCheckedChange: (checked) => {
                                                    props.onConfirmChange?.(!!checked);
                                                } }), (0, jsx_runtime_1.jsx)(label_1.Label, { htmlFor: "orderConfirm", className: "orderly-text-base-contrast-54", children: "Order confirm" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { id: "hidden", checked: formattedOrder.visible_quantity === 0, onCheckedChange: (checked) => {
                                                    // props.setValue?.("visible_quantity", checked ? 0 : 1);
                                                    // field.onChange(checked ? 0 : 1);
                                                    onFieldChange("visible_quantity", checked ? 0 : 1);
                                                } }), isTable ? (0, jsx_runtime_1.jsx)(hiddenLabel_1.MobileHideenLabel, {}) : (0, jsx_runtime_1.jsx)(hiddenLabel_1.DesktopHiddenLabel, {})] })] })] }) }) })] }));
};
exports.OrderOptions = OrderOptions;
//# sourceMappingURL=orderOptions.js.map