"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopReduceOnlyLabel = exports.MobileReduceOnlyLabel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const label_1 = require("../../../label");
const modal_1 = require("../../../modal");
const react_1 = require("react");
const react_tooltip_1 = require("@radix-ui/react-tooltip");
const MobileReduceOnlyLabel = () => {
    const showReduceOnlyHint = (0, react_1.useCallback)(() => {
        modal_1.modal.alert({
            title: "Reduce only",
            message: ((0, jsx_runtime_1.jsx)("span", { className: "orderly-text-2xs orderly-text-base-contrast-54", children: "Reduce only ensures that you can only reduce or close a current position so that your position size will not be increased unintentionally." })),
        });
    }, []);
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)(label_1.Label, { className: "orderly-text-base-contrast-54", onClick: () => {
                showReduceOnlyHint();
            }, children: "Reduce only" }) }));
};
exports.MobileReduceOnlyLabel = MobileReduceOnlyLabel;
const DesktopReduceOnlyLabel = () => {
    const [open, setOpen] = (0, react_1.useState)(false);
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsxs)(react_tooltip_1.Tooltip, { children: [(0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipTrigger, { children: (0, jsx_runtime_1.jsx)(label_1.Label, { className: "orderly-text-base-contrast-54", children: "Reduce only" }) }), (0, jsx_runtime_1.jsxs)(react_tooltip_1.TooltipContent, { align: "center", className: "orderly-max-w-[300px] orderly-z-20 orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-p-3 orderly-text-4xs", children: [(0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs", children: "Reduce only ensures that you can only reduce or close a current position so that your position size will not be increased unintentionally." }) }), (0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipArrow, { className: "orderly-fill-base-400" })] })] }) }));
};
exports.DesktopReduceOnlyLabel = DesktopReduceOnlyLabel;
//# sourceMappingURL=reduceOnly.js.map