"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EstInfo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icons_1 = require("../../../icon/icons");
const numeral_1 = require("../../../text/numeral");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const EstInfo = ({ estLeverage, estLiqPrice, precision }) => {
    const { currentLeverage } = (0, hooks_1.useMarginRatio)();
    const { state } = (0, hooks_1.useAccount)();
    const leverageElement = (0, react_1.useMemo)(() => {
        if (state.status < types_1.AccountStatusEnum.EnableTrading) {
            return "0.00x";
        }
        if (typeof estLeverage === "undefined" || estLeverage === null) {
            return ((0, jsx_runtime_1.jsx)(numeral_1.Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: currentLeverage }));
        }
        return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(numeral_1.Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: currentLeverage }), (0, jsx_runtime_1.jsx)(icons_1.ArrowRightIcon, { size: 8 }), (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { className: "orderly-text-base-contrast", surfix: "x", children: Math.abs(estLeverage) })] }));
    }, [currentLeverage, estLeverage, state.status]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsx)("span", { children: "Est. Liq. price" }), (0, jsx_runtime_1.jsxs)("span", { className: "orderly-flex orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast", children: (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { precision: precision, children: estLiqPrice ?? "--" }) }), (0, jsx_runtime_1.jsx)("span", { children: "USDC" })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsx)("span", { children: "Account leverage" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-flex orderly-items-center orderly-gap-1", children: leverageElement })] })] }));
};
exports.EstInfo = EstInfo;
//# sourceMappingURL=setInfo.js.map