"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const provider_1 = require("../../provider");
const statistic_1 = require("../../statistic");
const tag_1 = require("../../tag");
const text_1 = require("../../text");
const string_1 = require("../../utils/string");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const Cell = (props) => {
    const { item } = props;
    const { quote, quote_dp, base, base_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    const typeTag = (0, react_1.useMemo)(() => {
        if (item.side === types_1.OrderSide.SELL) {
            return ((0, jsx_runtime_1.jsx)(tag_1.Tag, { color: "sell", size: "small", children: "Sell" }));
        }
        return ((0, jsx_runtime_1.jsx)(tag_1.Tag, { color: "buy", size: "small", children: "Buy" }));
    }, [item]);
    const onSymbol = () => {
        props.onSymbolChange?.({ symbol: item.symbol });
        // go to the top of page
        window.scrollTo(0, 0);
    };
    const state = (0, react_1.useMemo)(() => {
        const status = item.status || item.algo_status;
        if (status === "NEW") {
            return (0, string_1.upperCaseFirstLetter)("pending");
        }
        return (0, string_1.upperCaseFirstLetter)(status);
    }, [
        item.status,
        item.algo_status
    ]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-p-4", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-items-center", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-items-center", children: [typeTag, (0, jsx_runtime_1.jsx)("div", { className: "orderly-px-2 orderly-text-2xs", onClick: onSymbol, children: (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", children: item.symbol }) })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-4xs orderly-text-base-contrast-36", children: (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "date", children: item.created_time }) })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid orderly-grid-cols-3 orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Qty.", labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs", value: item.quantity ?? "-", rule: "price", precision: base_dp, className: item.side === types_1.OrderSide.BUY
                            ? "orderly-text-trade-profit"
                            : "orderly-text-trade-loss" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Filled", labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs orderly-text-base-contrast-80", 
                        // @ts-ignore
                        value: item.total_executed_quantity ?? "-", rule: "price", precision: base_dp }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Status", rule: "status", labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs orderly-text-base-contrast-80", value: state, align: "right" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Avg. price" }) }), labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs orderly-text-base-contrast-80", rule: "price", precision: quote_dp, value: item.average_executed_price ?? "-" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs orderly-text-base-contrast-80", label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Order price" }) }), value: item.type === types_1.OrderType.MARKET ? "Market" : item.price }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs orderly-text-base-contrast-80", label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Trigger price" }) }), value: item.type === types_1.OrderType.MARKET ||
                            item.type === types_1.OrderType.STOP_MARKET
                            ? "Market"
                            : item.trigger_price, align: "right" })] })] }));
};
exports.Cell = Cell;
//# sourceMappingURL=cell.js.map