"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Listview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const table_1 = require("../../../table");
const types_1 = require("@orderly.network/types");
const class_variance_authority_1 = require("class-variance-authority");
const string_1 = require("../../../utils/string");
const provider_1 = require("../../../provider");
const endReachedBox_1 = require("../../../listView/endReachedBox");
const utils_1 = require("../../../utils");
const columnsUtil_1 = require("../../../block/orders/columnsUtil");
const orderTrades_1 = require("../orderTrades");
const positionEmptyView_1 = require("../../../block/positions/full/positionEmptyView");
const Listview = (props) => {
    const columns = (0, react_1.useMemo)(() => {
        const cols = (0, columnsUtil_1.columnsBasis)({ onSymbolChange: props.onSymbolChange });
        //
        cols[2] = {
            title: "Side",
            className: "orderly-h-[48px]",
            width: 100,
            dataIndex: "side",
            render: (value, record) => ((0, jsx_runtime_1.jsx)("span", { className: (0, class_variance_authority_1.cx)("orderly-font-semibold", {
                    "orderly-text-trade-profit": record.status !== types_1.OrderStatus.CANCELLED &&
                        record.status !== types_1.OrderStatus.REJECTED &&
                        value === types_1.OrderSide.BUY,
                    "orderly-text-trade-loss": record.status !== types_1.OrderStatus.CANCELLED &&
                        record.status !== types_1.OrderStatus.REJECTED &&
                        value === types_1.OrderSide.SELL,
                }), children: (0, string_1.upperCaseFirstLetter)(value) })),
        };
        cols[3] = {
            title: "Filled / Quantity",
            className: "orderly-h-[48px] orderly-font-semibold",
            dataIndex: "quantity",
            width: 200,
            render: (value, record) => {
                return ((0, jsx_runtime_1.jsx)("span", { className: (0, class_variance_authority_1.cx)("orderly-font-semibold", {
                        "orderly-text-trade-profit": record.status !== types_1.OrderStatus.CANCELLED &&
                            record.status !== types_1.OrderStatus.REJECTED &&
                            record.side === types_1.OrderSide.BUY,
                        "orderly-text-trade-loss": record.status !== types_1.OrderStatus.CANCELLED &&
                            record.status !== types_1.OrderStatus.REJECTED &&
                            record.side === types_1.OrderSide.SELL,
                    }), children: `${record.total_executed_quantity} / ${record.quantity}` }));
            },
        };
        return cols;
    }, []);
    const divRef = (0, react_1.useRef)(null);
    return ((0, jsx_runtime_1.jsx)("div", { ref: divRef, className: "orderly-h-full orderly-overflow-y-auto", children: (0, jsx_runtime_1.jsxs)(endReachedBox_1.EndReachedBox, { onEndReached: () => {
                if (!props.loading) {
                    props.loadMore?.();
                }
            }, children: [(0, jsx_runtime_1.jsx)(table_1.Table, { bordered: true, justified: true, showMaskElement: false, columns: columns, loading: props.loading, dataSource: props.dataSource, headerClassName: "orderly-text-2xs orderly-text-base-contrast-54 orderly-py-3 orderly-bg-base-900", className: (0, utils_1.cn)("orderly-text-2xs orderly-text-base-contrast-80", props.className), generatedRowKey: (record, index) => `${index}${record.order_id || record.algo_order_id}`, onRow: (record) => {
                        // console.log(record);
                        if (record.status === types_1.OrderStatus.CANCELLED) {
                            return {
                                className: "orderly-text-base-contrast-20",
                                "data-cancelled": "true",
                            };
                        }
                        return {};
                    }, renderRowContainer: (record, index, children) => {
                        return ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: record.symbol, children: children }, index));
                    }, expandRowRender: (record, index) => {
                        return (0, jsx_runtime_1.jsx)(orderTrades_1.OrderTrades, { record: record, index: index });
                    } }), (!props.dataSource || props.dataSource.length <= 0) && ((0, jsx_runtime_1.jsx)(positionEmptyView_1.PositionEmptyView, { watchRef: divRef, left: 0, right: 120 }))] }) }));
};
exports.Listview = Listview;
//# sourceMappingURL=listview.js.map