"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Renew = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const button_1 = __importDefault(require("../../../button"));
const popover_1 = require("../../../popover");
const orderConfirmView_1 = require("../../../block/orderEntry/sections/orderConfirmView");
const divider_1 = require("../../../divider");
const Renew = (props) => {
    const { record } = props;
    const [open, setOpen] = (0, react_1.useState)(false);
    const [doCreateOrder, { data, error, reset, isMutating }] = (0, hooks_1.useMutation)("/v1/order");
    const [loading, setLoading] = (0, react_1.useState)(false);
    // @ts-ignore
    const { brokerId } = (0, hooks_1.useConfig)();
    const onSubmit = (0, react_1.useCallback)(() => {
        setLoading(false);
        setOpen(false);
        const data = {
            symbol: record.symbol,
            order_type: record.type,
            order_price: record.price,
            order_quantity: record.quantity,
            order_amount: record.amount,
            // visible_quantity: record.visible,
            side: record.side,
            // reduce_only: record.reduce_only,
            broker_id: brokerId,
        };
        if (Number(record.visible_quantity) < Number(record.quantity)) {
            data.visible_quantity = 0;
        }
        if (typeof record.reduce_only !== "undefined") {
            data.reduce_only = record.reduce_only;
        }
        doCreateOrder(data);
    }, []);
    const ordetEntity = (0, react_1.useMemo)(() => {
        return {
            symbol: record.symbol,
            order_type: record.type,
            order_price: record.price,
            order_quantity: record.quantity,
            order_amount: record.amount,
            visible_quantity: record.visible,
            side: record.side,
            broker_id: brokerId,
        };
    }, []);
    const base = (0, react_1.useMemo)(() => {
        return record.symbol.split("_")[1];
    }, [record.symbol]);
    const quote = (0, react_1.useMemo)(() => {
        return record.symbol.split("_")[2];
    }, [record.symbol]);
    // console.log("renew record", record, base, quote);
    return ((0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", color: "tertiary", loading: isMutating, disabled: isMutating, onClick: (event) => {
            // setOpen(true);
            event.preventDefault();
            event.stopPropagation();
            onSubmit();
        }, children: "Renew" }));
    return ((0, jsx_runtime_1.jsxs)(popover_1.Popover, { open: open, onOpenChange: setOpen, children: [(0, jsx_runtime_1.jsx)(popover_1.PopoverTrigger, { children: (0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", color: "tertiary", onClick: () => {
                        setOpen(true);
                    }, children: "Renew" }) }), (0, jsx_runtime_1.jsx)(popover_1.PopoverContent, { align: "end", side: "top", className: "orderly-w-[340px] orderly-z-20", sideOffset: 5, children: (0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-justify-start orderly-text-base-contrast orderly-text-lg orderly-pb-2", children: "Renew order" }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-mb-2" }), (0, jsx_runtime_1.jsx)(orderConfirmView_1.OrderConfirmView
                        // @ts-ignore
                        , { 
                            // @ts-ignore
                            order: { ...ordetEntity, total: record.price * record.quantity }, symbol: record.symbol, base: base, quote: quote }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-2" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid orderly-grid-cols-2 sm:orderly-flex sm:orderly-flex-row sm:orderly-justify-end orderly-gap-3 orderly-mt-3", children: [(0, jsx_runtime_1.jsx)(button_1.default, { className: "orderly-text-xs desktop:orderly-text-xs orderly-font-bold", type: "button", variant: "contained", color: "tertiary", disabled: loading, onClick: () => {
                                        setOpen(false);
                                    }, fullWidth: true, children: "Cancel" }, "cancel"), (0, jsx_runtime_1.jsx)(button_1.default, { className: "orderly-text-xs desktop:orderly-text-xs orderly-font-bold", type: "button", fullWidth: true, disabled: loading, onClick: () => {
                                        setLoading(true);
                                        onSubmit();
                                    }, children: "OK" }, "ok")] })] }) })] }));
};
exports.Renew = Renew;
//# sourceMappingURL=renew.js.map