"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderTrades = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const spinner_1 = require("../../spinner");
const text_1 = require("../../text");
const hooks_1 = require("@orderly.network/hooks");
const utils_1 = require("@orderly.network/utils");
const react_1 = require("react");
const OrderTrades = (props) => {
    const { record, index } = props;
    const path = record.algo_order_id !== undefined
        ? `/v1/algo/order/${record.algo_order_id}/trades`
        : `/v1/order/${record.order_id}/trades`;
    const { data } = (0, hooks_1.usePrivateQuery)(path);
    const base = record?.symbol?.split("_")?.[1] || "";
    const config = (0, hooks_1.useSymbolsInfo)();
    if (config.isNil)
        return null;
    const symbolInfo = config[record.symbol];
    const baseDp = symbolInfo("quote_dp", 2);
    const body = (0, react_1.useMemo)(() => {
        if (data === undefined) {
            return ((0, jsx_runtime_1.jsx)("tr", { children: (0, jsx_runtime_1.jsx)("td", { colSpan: 5, children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-h-[27.5px]", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1" }), (0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small", className: "orderly-block" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1" })] }) }) }));
        }
        if (data.length === 0) {
            return ((0, jsx_runtime_1.jsxs)("tr", { className: "orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: "-" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: "-" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: "-" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: "-" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: "-" })] }));
        }
        return data.map((item) => {
            const data = (0, utils_1.timestampToString)(item.executed_timestamp);
            const price = item.executed_price;
            const qty = item.executed_quantity;
            const total = new utils_1.Decimal(price).mul(qty).toNumber();
            return ((0, jsx_runtime_1.jsxs)("tr", { className: "orderly-text-base-contrast-54", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: item.id }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: data }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: baseDp, children: price }) }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: baseDp, children: qty }) }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-py-1", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: baseDp, children: total }) })] }));
        });
    }, [data]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-min-h-[50px] orderly-pb-1 orderly-max-h-[266px] orderly-overflow-auto", children: (0, jsx_runtime_1.jsxs)("table", { className: "orderly-w-full orderly-mx-6 orderly-text-2xs", children: [(0, jsx_runtime_1.jsx)("thead", { className: "orderly-py-2 orderly-text-left orderly-text-base-contrast-36 orderly-sticky", children: (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-bg-base-700", children: [(0, jsx_runtime_1.jsx)("th", { className: "orderly-w-1/5 orderly-pt-2 orderly-bg-base-700 orderly-sticky orderly-top-0", children: "Transaction ID" }), (0, jsx_runtime_1.jsx)("th", { className: "orderly-w-1/5 orderly-pt-2 orderly-bg-base-700 orderly-sticky orderly-top-0", children: "Date" }), (0, jsx_runtime_1.jsx)("th", { className: "orderly-w-1/5 orderly-pt-2 orderly-bg-base-700 orderly-sticky orderly-top-0", children: "Price (USDC)" }), (0, jsx_runtime_1.jsx)("th", { className: "orderly-w-1/5 orderly-pt-2 orderly-bg-base-700 orderly-sticky orderly-top-0", children: `Qty (${base})` }), (0, jsx_runtime_1.jsx)("th", { className: "orderly-w-1/5 orderly-pt-2 orderly-bg-base-700 orderly-sticky orderly-top-0", children: "Total (USDC)" })] }) }), (0, jsx_runtime_1.jsx)("tbody", { children: body })] }) }));
};
exports.OrderTrades = OrderTrades;
//# sourceMappingURL=orderTrades.js.map