"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderBookCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const cellBar_1 = require("./cellBar");
const orderContext_1 = require("../../block/orderbook/orderContext");
const utils_1 = require("@orderly.network/utils");
const numeral_1 = require("../../text/numeral");
const provider_1 = require("../../provider");
const utils_2 = require("../../utils");
const types_1 = require("./types");
const OrderBookCell = (props) => {
    const width = (props.accumulated / props.count) * 100;
    const { cellHeight, onItemClick, depth, showTotal } = (0, react_1.useContext)(orderContext_1.OrderBookContext);
    const { base_dp, quote_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    let qty = Number.isNaN(props.quantity)
        ? "-"
        : props.mode === "amount"
            ? new utils_1.Decimal(props.quantity).mul(props.price).toString()
            : props.quantity;
    if (showTotal) {
        qty = props.quantity;
    }
    const dp = (0, react_1.useMemo)(() => {
        return typeof depth === "number" ? (0, utils_1.getPrecisionByNumber)(depth) : quote_dp;
    }, [depth, quote_dp]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_2.cn)("orderly-order-book-list-item orderly-overflow-hidden orderly-relative orderly-cursor-pointer orderly-tabular-nums", showTotal && "orderly-flex-1"), style: { height: `${cellHeight}px` }, onClick: (e) => {
            if (Number.isNaN(props.price) || Number.isNaN(props.quantity))
                return;
            onItemClick?.([props.price, props.quantity]);
        }, children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-row orderly-justify-between orderly-items-center orderly-z-10 orderly-relative orderly-px-1 orderly-text-4xs desktop:orderly-text-2xs orderly-h-full", children: [(0, jsx_runtime_1.jsx)("div", { className: props.type === types_1.OrderBookCellType.ASK
                            ? "orderly-text-trade-loss"
                            : "orderly-text-trade-profit", children: (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { precision: dp, children: props.price }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-80", children: (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { precision: props.mode === "amount" ? 2 : base_dp, children: qty }) })] }), Number.isNaN(width) || showTotal ? null : ((0, jsx_runtime_1.jsx)(cellBar_1.CellBar, { width: width, className: props.type === types_1.OrderBookCellType.ASK
                    ? "orderly-bg-trade-loss/20"
                    : "orderly-bg-trade-profit/20" }))] }));
};
exports.OrderBookCell = OrderBookCell;
//# sourceMappingURL=cell.js.map