"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CellBar = exports.CellBarDirection = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../../utils/css");
var CellBarDirection;
(function (CellBarDirection) {
    CellBarDirection[CellBarDirection["LEFT_TO_RIGHT"] = 0] = "LEFT_TO_RIGHT";
    CellBarDirection[CellBarDirection["RIGHT_TO_LEFT"] = 1] = "RIGHT_TO_LEFT";
})(CellBarDirection || (exports.CellBarDirection = CellBarDirection = {}));
const CellBar = (props) => {
    const { direction = CellBarDirection.RIGHT_TO_LEFT } = props;
    const transform = (0, react_1.useMemo)(() => {
        const x = Math.max(props.width, 0);
        if (direction === CellBarDirection.LEFT_TO_RIGHT) {
            return { transform: `translateX(${x}%)` };
        }
        return { transform: `translateX(-${x}%)` };
    }, [props.width]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-absolute orderly-right-[-100%] orderly-top-0 orderly-h-full orderly-w-full orderly-transition-transform orderly-pointer-events-none", direction === CellBarDirection.LEFT_TO_RIGHT && "orderly-left-[-100%]", props.className), style: transform }));
};
exports.CellBar = CellBar;
//# sourceMappingURL=cellBar.js.map