"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopOrderBook = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const bids_desktop_1 = require("./bids.desktop");
const asks_desktop_1 = require("./asks.desktop");
const markPrice_desktop_1 = require("./markPrice.desktop");
const orderContext_1 = require("../../../block/orderbook/orderContext");
const spinner_1 = require("../../../spinner");
const css_1 = require("../../../utils/css");
const header_desktop_1 = require("./header.desktop");
const depthSelect_desktop_1 = require("./depthSelect.desktop");
const DesktopOrderBook = (props) => {
    const { lastPrice, markPrice, quote, base, isLoading, onDepthChange } = props;
    // const onModeChange = useCallback((mode: QtyMode) => {}, []);
    //
    const divRef = (0, react_1.useRef)(null);
    const [showTotal, setShowTotal] = (0, react_1.useState)(false);
    const rangeInfo = [
        { left: 370, right: 600 },
        { left: 740, right: 800 }
    ];
    (0, react_1.useEffect)(() => {
        const resizeObserver = new ResizeObserver(entries => {
            for (let entry of entries) {
                const { inlineSize: width } = entry.borderBoxSize[0];
                const count = rangeInfo.reduce((a, b) => a + ((width >= b.left && width < b.right) ? 1 : 0), 0);
                setShowTotal(() => count > 0);
            }
        });
        const targetDiv = divRef.current;
        if (targetDiv) {
            resizeObserver.observe(targetDiv);
        }
        return () => {
            if (targetDiv) {
                resizeObserver.unobserve(targetDiv);
            }
        };
    }, []);
    /// 
    return ((0, jsx_runtime_1.jsx)(orderContext_1.OrderBookProvider, { cellHeight: props.cellHeight ?? 20, onItemClick: props.onItemClick, depth: props.activeDepth, showTotal: showTotal, pendingOrders: props.pendingOrders || [], children: (0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-h-full orderly-relative", props.className), ref: divRef, children: [(0, jsx_runtime_1.jsx)(depthSelect_desktop_1.DesktopDepthSelect, { depth: props.depth, value: props.activeDepth, onChange: onDepthChange }), (0, jsx_runtime_1.jsx)(header_desktop_1.DesktopHeader, { quote: quote, base: base }), (0, jsx_runtime_1.jsx)(asks_desktop_1.DesktopAsks, { data: [...props.asks] }), (0, jsx_runtime_1.jsx)(markPrice_desktop_1.DesktopMarkPrice, { lastPrice: lastPrice, markPrice: markPrice, asks: [...props.asks], bids: [...props.bids] }), (0, jsx_runtime_1.jsx)(bids_desktop_1.DesktopBids, { data: [...props.bids] }), isLoading && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-absolute orderly-left-0 orderly-top-0 orderly-right-0 orderly-bottom-0 orderly-z-10 orderly-flex orderly-items-center orderly-justify-center orderly-bg-base-800/70 orderly-h-full orderly-min-h-[420px]", children: (0, jsx_runtime_1.jsx)(spinner_1.Spinner, {}) }))] }) }));
};
exports.DesktopOrderBook = DesktopOrderBook;
//# sourceMappingURL=index.desktop.js.map