"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const orderContext_1 = require("./orderContext");
const Header = (props) => {
    const { mode, onModeChange } = (0, react_1.useContext)(orderContext_1.OrderBookContext);
    const currency = (0, react_1.useMemo)(() => {
        if (mode === "amount") {
            return props.quote;
        }
        return props.base;
    }, [mode, props.quote, props.base]);
    const qtyLabel = (0, react_1.useMemo)(() => {
        return mode === "amount" ? "Value" : "Qty";
    }, [mode]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-1 orderly-flex-row orderly-justify-between orderly-text-base-contrast-36 orderly-text-4xs desktop:orderly-text-3xs orderly-pb-2 desktop:orderly-pt-2", children: [(0, jsx_runtime_1.jsxs)("div", { id: "orderly-order-book-header-price", className: "orderly-flex orderly-flex-col desktop:orderly-flex-row desktop:orderly-items-center", children: [(0, jsx_runtime_1.jsx)("span", { className: "desktop:orderly-text-2xs", children: "Price" }), (0, jsx_runtime_1.jsx)("span", { children: `(${props.quote})` })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center orderly-cursor-pointer", onClick: () => onModeChange?.(mode === "amount" ? "quantity" : "amount"), children: (0, jsx_runtime_1.jsxs)("div", { id: "orderly-order-book-header-qty", className: "orderly-flex orderly-flex-col desktop:orderly-flex-row desktop:orderly-items-center orderly-text-base-contrast-36 orderly-text-4xs orderly-items-end orderly-mr-1", children: [(0, jsx_runtime_1.jsx)("span", { className: "desktop:orderly-text-2xs", children: qtyLabel }), (0, jsx_runtime_1.jsx)("span", { children: `(${currency})` })] }) })] }));
};
exports.Header = Header;
//# sourceMappingURL=header.js.map