"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderBook = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const header_1 = require("./header");
const bids_1 = require("./bids");
const asks_1 = require("./asks");
const markPrice_1 = require("./markPrice");
const depthSelect_1 = require("../../block/orderbook/depthSelect");
const orderContext_1 = require("../../block/orderbook/orderContext");
const spinner_1 = require("../../spinner");
const css_1 = require("../../utils/css");
const OrderBook = (props) => {
    const { lastPrice, markPrice, quote, base, isLoading, onDepthChange } = props;
    // const onModeChange = useCallback((mode: QtyMode) => {}, []);
    return ((0, jsx_runtime_1.jsx)(orderContext_1.OrderBookProvider, { cellHeight: props.cellHeight ?? 20, onItemClick: props.onItemClick, depth: props.activeDepth, pendingOrders: [], showTotal: false, children: (0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-h-full orderly-relative", props.className), children: [(0, jsx_runtime_1.jsx)(header_1.Header, { quote: quote, base: base }), (0, jsx_runtime_1.jsx)(asks_1.Asks, { data: props.asks }), (0, jsx_runtime_1.jsx)(markPrice_1.MarkPrice, { lastPrice: lastPrice, markPrice: markPrice }), (0, jsx_runtime_1.jsx)(bids_1.Bids, { data: props.bids }), (0, jsx_runtime_1.jsx)(depthSelect_1.DepthSelect, { depth: props.depth, value: props.activeDepth, onChange: onDepthChange }), isLoading && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-absolute orderly-left-0 orderly-top-0 orderly-right-0 orderly-bottom-0 orderly-z-10 orderly-flex orderly-items-center orderly-justify-center orderly-bg-base-800/70 orderly-h-full orderly-min-h-[420px]", children: (0, jsx_runtime_1.jsx)(spinner_1.Spinner, {}) }))] }) }));
};
exports.OrderBook = OrderBook;
//# sourceMappingURL=index.js.map