"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarkPrice = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const provider_1 = require("../../provider");
const text_1 = require("../../text");
const css_1 = require("../../utils/css");
const lucide_react_1 = require("lucide-react");
const react_1 = require("react");
const modal_1 = require("../../modal");
const MarkPrice = (props) => {
    const { markPrice = 0, lastPrice } = props;
    const { quote_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    const [prevLastPrice, middlePrice] = lastPrice;
    //
    //
    const onMarkPrice = () => {
        modal_1.modal.alert({
            title: "Mark price",
            message: ((0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs orderly-text-base-contrast-54", children: "Obtained from a third-party oracle, the mark price is calculated as the median of three prices: the last price, the fair price based on the funding rate basis, and the fair price based on the order books." })),
        });
    };
    return ((0, jsx_runtime_1.jsxs)("div", { id: "orderly-order-book-mark-price", className: "orderly-py-1 orderly-flex orderly-justify-between orderly-text-xs orderly-text-base-contrast-80 desktop:orderly-h-[42px] desktop:orderly-text-[20px] desktop:orderly-justify-center desktop:orderly-gap-5 orderly-tabular-nums", children: [(0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-font-semibold orderly-flex orderly-items-center desktop:orderly-font-normal desktop:orderly-relative desktop:orderly-pr-4", {
                    "orderly-text-trade-profit": middlePrice > prevLastPrice,
                    "orderly-text-trade-loss": middlePrice < prevLastPrice,
                }), children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, children: middlePrice }), prevLastPrice !== middlePrice && (
                    // @ts-ignore
                    (0, jsx_runtime_1.jsx)(lucide_react_1.MoveUpIcon, { size: 14, color: "currentcolor", className: (0, css_1.cn)("desktop:orderly-absolute desktop:orderly-right-0", {
                            "orderly-rotate-180": middlePrice < prevLastPrice,
                        }) }))] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-3xs desktop:orderly-text-base", onClick: onMarkPrice, children: [(0, jsx_runtime_1.jsx)(lucide_react_1.Flag, { size: 14, className: "orderly-text-yellow-400" }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, className: "desktop:orderly-text-base-contrast-54", children: markPrice })] })] }));
};
exports.MarkPrice = MarkPrice;
//# sourceMappingURL=markPrice.js.map