"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CancelButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../../button"));
const toast_1 = require("../../../toast");
const react_1 = require("react");
const orderListContext_1 = require("../shared/orderListContext");
const CancelButton = (props) => {
    const { order } = props;
    const { onCancelOrder } = (0, react_1.useContext)(orderListContext_1.OrderListContext);
    const [isLoading, setIsLoading] = (0, react_1.useState)(false);
    return ((0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", color: "tertiary", loading: isLoading, onClick: (event) => {
            if (!onCancelOrder)
                return;
            event.preventDefault();
            event.stopPropagation();
            setIsLoading(true);
            onCancelOrder(order)
                .then((res) => { }, (error) => {
                toast_1.toast.error(error.message);
            })
                .finally(() => {
                setIsLoading(false);
            });
        }, children: "Cancel" }));
};
exports.CancelButton = CancelButton;
//# sourceMappingURL=cancelButton.js.map