"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const select_1 = require("../../../select");
const modal_1 = require("../../../modal");
const types_1 = require("@orderly.network/types");
const button_1 = __importDefault(require("../../../button"));
const hooks_1 = require("@orderly.network/hooks");
const react_hot_toast_1 = __importDefault(require("react-hot-toast"));
const Header = (props) => {
    const [side, setSide] = (0, react_1.useState)("");
    const [cancelAll, { error: cancelOrderError, isMutating: cancelMutating },] = (0, hooks_1.useMutation)("/v1/orders", "DELETE");
    function cancelAllOrder() {
        modal_1.modal.confirm({
            title: "Cancel all orders",
            content: ((0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: "Are you sure you want to cancel all of your pending orders?" })),
            contentClassName: "desktop:orderly-w-[364px]",
            onOk: async () => {
                // do cancel all orders
                try {
                    await cancelAll(null, { "source_type": "ALL" });
                }
                catch (error) {
                    // @ts-ignore
                    if (error?.message !== undefined) {
                        // @ts-ignore
                        react_hot_toast_1.default.error(error.message);
                    }
                }
                finally {
                    Promise.resolve();
                }
            },
            onCancel: () => {
                return Promise.reject();
            },
        });
    }
    const options = (0, react_1.useMemo)(() => {
        return [
            { label: "All sides", value: "" },
            { label: "Buy", value: types_1.OrderSide.BUY },
            { label: "Sell", value: types_1.OrderSide.SELL },
        ];
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-items-center orderly-py-3 orderly-font-semibold", children: [(0, jsx_runtime_1.jsx)(select_1.Select, { size: "small", options: options, value: props.side, onChange: (value) => {
                    // console.log(value);
                    // setSide(value as OrderSide);
                    props.onSideChange(value);
                    // props.onSearch?.({ side: value as OrderSide });
                } }), props.status === "INCOMPLETE" && (0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", disabled: props.count <= 0, color: "tertiary", onClick: cancelAllOrder, children: "Cancel all" })] }));
};
exports.Header = Header;
//# sourceMappingURL=header.js.map