"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditOrderConfirmContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const text_1 = require("../../../text");
const utils_1 = require("../../../utils");
const utils_2 = require("@orderly.network/utils");
const EditOrderConfirmContent = (isAlgoOrder, isMarketOrder, data, dirtyFields, base, symbol) => {
    if (isAlgoOrder) {
        return (0, jsx_runtime_1.jsx)(AlgoContent, { data: data, dirtyFields: dirtyFields, base: base, symbol: symbol, isMarketOrder: isMarketOrder });
    }
    return ((0, jsx_runtime_1.jsx)(NormalContent, { data: data, dirtyFields: dirtyFields, base: base }));
};
exports.EditOrderConfirmContent = EditOrderConfirmContent;
const NormalContent = (props) => {
    const { data, dirtyFields, base } = props;
    let confirmText;
    if (dirtyFields["order_price"] && dirtyFields["order_quantity"]) {
        confirmText = ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the price of ", base, "-PERP order to", " ", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: (0, utils_2.commify)(data.order_price) }), " ", "and the quantity to", " ", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: (0, utils_2.commify)(data.order_quantity) }), "."] }));
    }
    else {
        if (dirtyFields["order_price"]) {
            confirmText = ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the price of ", base, "-PERP order to", " ", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: (0, utils_2.commify)(data.order_price) }), "."] }));
        }
        if (dirtyFields["order_quantity"]) {
            confirmText = ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: ["You agree changing the quantity of ", base, "-PERP order to", " ", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: (0, utils_2.commify)(data.order_quantity) }), "."] }));
        }
    }
    return confirmText;
};
const AlgoContent = (props) => {
    const { data, dirtyFields, base, symbol, isMarketOrder } = props;
    const quote = symbol?.split("_")[2];
    const qty = data.order_quantity || "-";
    const triggerPrice = data.trigger_price || "-";
    const price = data.order_price || "-";
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-text-sm orderly-text-base-contrast-80", children: `You agree to edit your ${base}-PERP order.` }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-pt-6 orderly-pb-3", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { symbol: symbol, type: "symbol", size: 20 }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-lg orderly-pl-2", children: `${base}-PERP` })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-sm orderly-pb-1", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Qty" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-inline-block", children: [(0, jsx_runtime_1.jsx)(text_1.Text, { className: (0, utils_1.cn)("orderly-mr-1", data.side === "BUY" ? "orderly-text-trade-profit" : "orderly-text-trade-loss"), children: (0, utils_2.commify)(qty) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: base })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-sm orderly-pb-1", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Trigger price" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-inline-block", children: [(0, jsx_runtime_1.jsx)(text_1.Text, { className: "orderly-mr-1", children: (0, utils_2.commify)(triggerPrice) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: quote })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-sm", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Price" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-inline-block", children: [isMarketOrder ? (0, jsx_runtime_1.jsx)("span", { children: "Market" }) : (0, jsx_runtime_1.jsx)(text_1.Text, { children: (0, utils_2.commify)(price) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-ml-1 orderly-text-base-contrast-36", children: quote })] })] })] }));
};
//# sourceMappingURL=confirmContent.js.map