"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderListProvider = exports.OrderListContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modal_1 = require("../../../modal");
const react_1 = require("react");
const editorSheet_1 = require("../dialog/editor/editorSheet");
exports.OrderListContext = (0, react_1.createContext)({});
const OrderListProvider = (props) => {
    const { cancelOrder, editOrder, cancelAlgoOrder, editAlgoOrder } = props;
    const onCancelOrder = (0, react_1.useCallback)(async (order) => {
        if (order.algo_order_id !== undefined) {
            return cancelAlgoOrder(order.algo_order_id, order.symbol).then(() => { });
        }
        // @ts-ignore
        return cancelOrder(order.order_id, order.symbol).then(() => {
            // toast.success("Order canceled successfully");
        });
    }, []);
    const onEditOrder = (0, react_1.useCallback)(async (order) => {
        // @ts-ignore
        let isHidden = order.visible_quantity !== undefined ? order.visible_quantity === 0 : (order.visible !== undefined ? order.visible === 0 : false);
        const orderEntry = await modal_1.modal.sheet({
            title: "Edit Order",
            contentClassName: "orderly-edit-order-sheet-content",
            content: ((0, jsx_runtime_1.jsx)(editorSheet_1.OrderEditFormSheet, { order: order, editOrder: (value) => {
                    if (order.algo_order_id !== undefined) {
                        return editAlgoOrder(order.algo_order_id.toString(), { ...value });
                    }
                    return editOrder(order.order_id.toString(), { ...value, ...(isHidden ? { visible_quantity: 0 } : {}) });
                } })),
        });
    }, []);
    return ((0, jsx_runtime_1.jsx)(exports.OrderListContext.Provider, { value: { onCancelOrder, onEditOrder, editOrder, editAlgoOrder }, children: props.children }));
};
exports.OrderListProvider = OrderListProvider;
//# sourceMappingURL=orderListContext.js.map