"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toolbar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../button"));
const label_1 = require("../../label");
const checkbox_1 = require("../../checkbox");
const hooks_1 = require("@orderly.network/hooks");
const modal_1 = require("../../modal");
const Toolbar = (props) => {
    const [cancelAll, { error: cancelOrderError, isMutating: cancelMutating },] = (0, hooks_1.useMutation)("/v1/orders", "DELETE");
    function cancelAllOrder() {
        modal_1.modal.confirm({
            title: "Cancel all orders",
            content: ((0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: "Are you sure you want to cancel all of your pending orders?" })),
            contentClassName: "desktop:orderly-w-[364px]",
            onOk: async () => {
                // do cancel all orders
                try {
                    await cancelAll(null, { "source_type": "ALL" });
                }
                catch (error) {
                    // @ts-ignore
                    if (error?.message !== undefined) {
                        // @ts-ignore
                        toast.error(error.message);
                    }
                }
                finally {
                    Promise.resolve();
                }
            },
            onCancel: () => {
                return Promise.reject();
            },
        }).catch((error) => {
        });
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-data-list-filter orderly-flex orderly-justify-between orderly-items-center orderly-py-3 orderly-px-4", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { id: "showAll", checked: props.showAllSymbol, onCheckedChange: props.onShowAllSymbolChange }), (0, jsx_runtime_1.jsx)(label_1.Label, { htmlFor: "showAll", className: "orderly-text-base-contrast-54", children: "Show all instruments" })] }), (0, jsx_runtime_1.jsx)(button_1.default, { variant: "outlined", size: "small", color: "tertiary", onClick: cancelAllOrder, children: "Cancel all" })] }));
};
exports.Toolbar = Toolbar;
//# sourceMappingURL=toolbar.js.map