"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modalHelper_1 = require("../../../modal/modalHelper");
const chainListView_1 = require("./chainListView");
const modal_1 = require("../../../modal");
const dialog_1 = require("../../../dialog/dialog");
exports.ChainDialog = (0, modalHelper_1.create)((props) => {
    const { visible, onOpenChange, hide, resolve } = (0, modal_1.useModal)();
    const { onItemClick, ...rest } = props;
    const _onItemClick = async (value) => {
        const result = onItemClick?.(value) || value;
        resolve(result);
        hide();
    };
    const _onOpenChange = (open) => {
        if (!open) {
            resolve("cancel");
        }
        onOpenChange(open);
    };
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: visible, onOpenChange: _onOpenChange, children: (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { onOpenAutoFocus: (event) => event.preventDefault(), closable: true, children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { children: (0, jsx_runtime_1.jsx)(dialog_1.DialogTitle, { className: "orderly-switch-network-dialog-title", children: "Switch network" }) }), (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { className: "orderly-max-h-[335.5px] orderly-overflow-y-auto", children: (0, jsx_runtime_1.jsx)(chainListView_1.ChainListView, { ...rest, onItemClick: _onItemClick }) })] }) }));
});
//# sourceMappingURL=chainDialog.js.map