"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGetBalance = void 0;
const react_1 = require("react");
function useGetBalance(token, fetchBalance) {
    const [balance, setBalance] = (0, react_1.useState)("");
    const [loading, setLoading] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        if (loading)
            return;
        setLoading(true);
        fetchBalance(token.address, token.decimals)
            .then((balance) => {
            setBalance(balance);
        }, (error) => { })
            .finally(() => {
            setLoading(false);
        });
    }, [token]);
    return { balance, loading };
}
exports.useGetBalance = useGetBalance;
//# sourceMappingURL=useGetBalance.js.map