"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../button"));
const icon_1 = require("../../icon");
const statistic_1 = require("../../statistic");
const react_1 = require("react");
const text_1 = require("../../text");
const provider_1 = require("../../provider");
const css_1 = require("../../utils/css");
const sharePnLIcon_1 = require("../shared/sharePnLIcon");
const PositionCell = (props) => {
    const { item } = props;
    const { quote, quote_dp, base, base_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    const onSymbol = () => {
        props.onSymbolChange?.({ symbol: item.symbol });
        // go to the top of page
        window.scrollTo(0, 0);
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-px-4", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-py-2", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-space-x-2", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "symbol", symbol: item.symbol, size: "small" }), (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", onClick: onSymbol, className: "orderly-text-3xs", children: item.symbol })] }) }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs", label: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Unreal. PnL" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-20", children: "(USDC)" })] }), value: (0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-flex orderly-justify-end orderly-text-3xs orderly-items-center", item["unrealized_pnl"] > 0
                                ? "orderly-text-trade-profit"
                                : item["unrealized_pnl"] < 0
                                    ? "orderly-text-trade-loss"
                                    : "orderly-text-base-contrast/50"), children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { children: item["unrealized_pnl"] }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "percentages", prefix: "(", surfix: ")", className: "orderly-text-4xs", children: item.unsettled_pnl_ROI }), (0, jsx_runtime_1.jsx)(sharePnLIcon_1.SharePnLIcon, { className: "orderly-ml-2", position: item })] }), rule: "price", coloring: true, align: "right" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid orderly-grid-cols-3 orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Qty.", labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs", value: item["position_qty"], coloring: true, rule: "price", precision: base_dp }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { rule: "price", labelClassName: "orderly-text-4xs", valueClassName: "orderly-text-3xs", label: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Margin" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-20", children: "(USDC)" })] }), value: item["mm"] }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs", valueClassName: "orderly-text-3xs", label: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Notional" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-20", children: "(USDC)" })] }), rule: "price", precision: base_dp, value: item["notional"], align: "right" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs", valueClassName: "orderly-text-3xs", label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Avg. open" }) }), rule: "price", precision: quote_dp, value: item["average_open_price"] }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs", valueClassName: "orderly-text-3xs", label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Mark price" }) }), rule: "price", precision: quote_dp, value: item["mark_price"] }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs", label: (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: "Liq. price" }) }), valueClassName: "orderly-text-warning orderly-text-3xs", value: item["est_liq_price"] === 0 ? "--" : item["est_liq_price"], align: "right", rule: "price", precision: quote_dp })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-end orderly-items-center orderly-gap-2 orderly-py-2", children: [(0, jsx_runtime_1.jsx)(button_1.default, { id: "orderly-position-cell-limit-close-button", variant: "outlined", size: "small", color: "tertiary", onClick: () => props.onLimitClose?.(props.item), className: "orderly-w-[120px] orderly-h-[28px] orderly-text-base-contrast-54 orderly-text-4xs", children: "Limit close" }), (0, jsx_runtime_1.jsx)(button_1.default, { id: "orderly-position-cell-mark-close-button", variant: "outlined", size: "small", color: "tertiary", onClick: () => props.onMarketClose?.(props.item), className: "orderly-w-[120px] orderly-h-[28px] orderly-text-base-contrast-54 orderly-text-4xs", children: "Market close" })] })] }));
};
exports.PositionCell = PositionCell;
//# sourceMappingURL=cell.js.map