"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const positionRowContext_1 = require("./positionRowContext");
const popover_1 = require("../../../popover");
const types_1 = require("@orderly.network/types");
const symbolProvider_1 = require("../../../provider/symbolProvider");
const marketConfirmDialog_1 = require("./marketConfirmDialog");
const css_1 = require("../../../utils/css");
const limitConfirmDialog_1 = require("./limitConfirmDialog");
const toast_1 = require("../../../toast");
const CloseButton = () => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const { onSubmit, price, quantity, closeOrderData, type, submitting } = (0, positionRowContext_1.usePositionsRowContext)();
    const { base, quote } = (0, symbolProvider_1.useSymbolContext)();
    const onConfirm = () => {
        return onSubmit().then((res) => {
            setOpen(false);
        }, (error) => {
            if (typeof error === 'string') {
                toast_1.toast.error(error);
            }
            else {
                toast_1.toast.error(error.message);
            }
        });
    };
    const onClose = () => {
        setOpen(false);
    };
    const disabled = (0, react_1.useMemo)(() => {
        if (type === types_1.OrderType.MARKET) {
            if (!quantity) {
                return true;
            }
            return false;
        }
        return !price || !quantity;
    }, [price, quantity, type]);
    return ((0, jsx_runtime_1.jsxs)(popover_1.Popover, { onOpenChange: setOpen, open: open, children: [(0, jsx_runtime_1.jsx)(popover_1.PopoverTrigger, { asChild: true, children: (0, jsx_runtime_1.jsx)("button", { disabled: disabled, className: (0, css_1.cn)("orderly-border orderly-border-base-contrast-36 orderly-text-base-contrast-54 orderly-rounded orderly-w-full orderly-h-[28px] hover:orderly-bg-base-contrast/10 disabled:orderly-opacity-50 disabled:orderly-cursor-not-allowed", {
                        "orderly-text-base-contrast-80 orderly-border-base-contrast-80": open,
                    }), children: "Close" }) }), (0, jsx_runtime_1.jsx)(popover_1.PopoverContent, { align: "end", side: "top", className: "orderly-w-[340px]", children: type === types_1.OrderType.MARKET ? ((0, jsx_runtime_1.jsx)(marketConfirmDialog_1.CloseBaseConfirm, { base: base, quantity: quantity, onClose: onClose, onConfirm: onConfirm, submitting: submitting })) : ((0, jsx_runtime_1.jsx)(limitConfirmDialog_1.LimitConfirmDialog, { order: closeOrderData, base: base, quote: quote, quantity: quantity, onClose: onClose, onConfirm: onConfirm, submitting: submitting })) })] }));
};
exports.CloseButton = CloseButton;
//# sourceMappingURL=closeButton.js.map