"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const statistic_1 = require("../../../statistic");
const react_1 = require("react");
const defaultStaticStyle_1 = require("../../../statistic/defaultStaticStyle");
const text_1 = require("../../../text");
const css_1 = require("../../../utils/css");
const assetsProvider_1 = require("../../../provider/assetsProvider");
const modal_1 = require("../../../modal");
const withdraw_1 = require("../../../block/withdraw");
const tabContext_1 = require("../../../tab/tabContext");
const Header = (props) => {
    const unrealPnL = props.aggregated?.unrealPnL ?? 0;
    const { onSettle } = (0, react_1.useContext)(assetsProvider_1.AssetsContext);
    const { data: { pnlNotionalDecimalPrecision }, } = (0, tabContext_1.useTabContext)();
    const onSettleClick = (0, react_1.useCallback)(() => {
        modal_1.modal
            .confirm({
            title: "Settle PnL",
            content: (0, jsx_runtime_1.jsx)(withdraw_1.SettlePnlContent, {}),
            maxWidth: "xs",
            onCancel() {
                return Promise.reject("cancel");
            },
            onOk() {
                return onSettle().catch((e) => { });
            },
        })
            .then(() => { }, (error) => { });
    }, []);
    return ((0, jsx_runtime_1.jsx)(defaultStaticStyle_1.StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast-54", valueClassName: "orderly-text-base-contrast/80 orderly-tabular-nums orderly-font-semibold", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-justify-between orderly-py-3 orderly-items-center", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-space-x-6", children: [(0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Unreal. PnL", value: (0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-flex orderly-gap-1", {
                                "orderly-text-trade-loss": unrealPnL < 0,
                                "orderly-text-trade-profit": unrealPnL > 0,
                            }), children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: pnlNotionalDecimalPrecision, children: unrealPnL }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "percentages", prefix: "(", surfix: ")", className: "orderly-ml-1", precision: pnlNotionalDecimalPrecision, children: props.aggregated?.unrealPnlROI ?? 0 })] }), rule: "price", coloring: true }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Notional", value: props.aggregated?.notional, rule: "price", precision: pnlNotionalDecimalPrecision })] }) }) }));
};
exports.Header = Header;
//# sourceMappingURL=header.js.map