"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LimitConfirmDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const confirmHeader_1 = require("./confirmHeader");
const confrimFooter_1 = require("./confrimFooter");
const text_1 = require("../../../text");
const divider_1 = require("../../../divider");
const networkImage_1 = require("../../../icon/networkImage");
const orderDetail_1 = require("../shared/orderDetail");
const utils_1 = require("@orderly.network/utils");
const LimitConfirmDialog = (props) => {
    const { order, quote } = props;
    const { side } = order;
    const onCancel = () => {
        props.onClose();
    };
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(confirmHeader_1.ConfirmHeader, { onClose: onCancel, title: "Limit close" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast orderly-text-sm orderly-mt-5", children: `You agree closing ${(0, utils_1.commify)(props.quantity)} ${props.base} position at limit price.` }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-4" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-mb-4 orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { type: "symbol", symbol: order.symbol }), (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", children: order.symbol })] }), (0, jsx_runtime_1.jsx)(orderDetail_1.OrderDetail, { className: "orderly-text-sm", order: props.order, quote: props.quote }), (0, jsx_runtime_1.jsx)(confrimFooter_1.ConfirmFooter, { onCancel: onCancel, onConfirm: props.onConfirm, submitting: props.submitting })] }));
};
exports.LimitConfirmDialog = LimitConfirmDialog;
//# sourceMappingURL=limitConfirmDialog.js.map