"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../../../input");
const positionRowContext_1 = require("./positionRowContext");
const icon_1 = require("../../../icon");
const dropdown_1 = require("../../../dropdown/dropdown");
const types_1 = require("@orderly.network/types");
const css_1 = require("../../../utils/css");
const PriceInput = () => {
    const { price, position: posotion, updatePriceChange, type, updateOrderType, } = (0, positionRowContext_1.usePositionsRowContext)();
    //   console.log("priceInput: render", price, posotion);
    const onFocus = () => {
        if (!!price && price !== "Market")
            return;
        updateOrderType(types_1.OrderType.LIMIT, posotion.mark_price.toString());
    };
    return ((0, jsx_runtime_1.jsx)(input_1.Input, { size: "small", onFocus: onFocus, value: type === types_1.OrderType.LIMIT ? price : "Market", onChange: (e) => updatePriceChange(e.target.value), className: (0, css_1.cn)("orderly-pr-0 orderly-font-semibold", {
            "orderly-text-base-contrast-54": type === types_1.OrderType.MARKET,
        }), suffix: (0, jsx_runtime_1.jsxs)(dropdown_1.DropdownMenu, { children: [(0, jsx_runtime_1.jsx)(dropdown_1.DropdownMenuTrigger, { asChild: true, children: (0, jsx_runtime_1.jsx)("button", { className: "orderly-px-1 orderly-h-full orderly-text-base-contrast-54 hover:orderly-text-base-contrast-80", children: (0, jsx_runtime_1.jsx)(icon_1.ArrowIcon, { size: 10 }) }) }), (0, jsx_runtime_1.jsx)(dropdown_1.DropdownMenuContent, { align: "end", className: "orderly-py-0 orderly-w-[92px] orderly-min-w-[92px]", children: (0, jsx_runtime_1.jsx)(dropdown_1.DropdownMenuItem, { onSelect: (e) => {
                            // console.log(e);
                            updateOrderType(types_1.OrderType.MARKET);
                        }, textValue: types_1.OrderType.MARKET, children: "Market" }) })] }) }));
};
exports.PriceInput = PriceInput;
//# sourceMappingURL=priceInput.js.map