"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuantityInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../../../input");
const positionRowContext_1 = require("./positionRowContext");
const react_1 = require("react");
const popover_1 = require("../../../popover");
const slider_1 = require("../../../slider");
const symbolProvider_1 = require("../../../provider/symbolProvider");
const utils_1 = require("@orderly.network/utils");
const types_1 = require("@orderly.network/types");
const QuantityInput = () => {
    const { position, quantity, side, updateQuantity } = (0, positionRowContext_1.usePositionsRowContext)();
    const [open, setOpen] = (0, react_1.useState)(false);
    const { base_tick } = (0, symbolProvider_1.useSymbolContext)();
    const onChange = (e) => {
        // console.log(e.target.value);
        updateQuantity(e.target.value);
    };
    const percentageClick = (value) => {
        const d = new utils_1.Decimal(position.position_qty);
        updateQuantity(d.mul(value).toString());
    };
    return ((0, jsx_runtime_1.jsxs)(popover_1.Popover, { children: [(0, jsx_runtime_1.jsx)(popover_1.PopoverTrigger, { children: (0, jsx_runtime_1.jsx)(input_1.Input, { value: quantity, size: "small", onChange: onChange, className: "orderly-font-semibold" }) }), (0, jsx_runtime_1.jsx)(popover_1.PopoverContent, { align: "start", side: "bottom", onOpenAutoFocus: (e) => e.preventDefault(), className: "orderly-w-[278px]", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-w-[40px] orderly-text-3xs orderly-pt-[3px]", children: `${Math.min(100, Math.ceil((Number(quantity ?? 0) / Math.abs(position.position_qty)) * 100))}
            %` }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-min-w-0", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-h-[26px]", children: (0, jsx_runtime_1.jsx)(slider_1.Slider, { color: side === types_1.OrderSide.BUY ? "buy" : "sell", step: base_tick, min: 0, max: Math.abs(position.position_qty), markCount: 4, value: [Number(quantity ?? 0)], onValueChange: (value) => {
                                            if (typeof value[0] !== "undefined") {
                                                updateQuantity(value[0].toString());
                                            }
                                        } }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-3xs", children: [(0, jsx_runtime_1.jsx)(PercentageButton, { value: 0, label: "0%", onClick: percentageClick }), (0, jsx_runtime_1.jsx)(PercentageButton, { value: 0.25, label: "25%", onClick: percentageClick }), (0, jsx_runtime_1.jsx)(PercentageButton, { value: 0.5, label: "50%", onClick: percentageClick }), (0, jsx_runtime_1.jsx)(PercentageButton, { value: 0.75, label: "75%", onClick: percentageClick }), (0, jsx_runtime_1.jsx)(PercentageButton, { value: 1, label: "Max", onClick: percentageClick })] })] })] }) })] }));
};
exports.QuantityInput = QuantityInput;
const PercentageButton = (props) => {
    return ((0, jsx_runtime_1.jsx)("button", { className: "orderly-border orderly-border-base-contrast-54 orderly-rounded orderly-px-1 orderly-text-base-contrast-80 hover:orderly-bg-base-contrast/10", onClick: () => {
            props.onClick(props.value);
        }, children: props.label }));
};
//# sourceMappingURL=quantityInput.js.map