"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionOverview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const statistic_1 = require("../../statistic");
const modal_1 = require("../../modal");
const checkbox_1 = require("../../checkbox");
const label_1 = require("../../label");
const PositionOverview = (props) => {
    const { aggregated } = props;
    const onMarketCloseAll = () => {
        modal_1.modal
            .confirm({
            title: "Market Close All",
            content: "Are you sure you want to market close all positions?",
        })
            .then((res) => {
            if (res) {
                props.onMarketCloseAll?.();
            }
        });
    };
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { id: "orderly-data-list-positions-header", className: "orderly-flex orderly-justify-between orderly-bg-base-900 orderly-px-4 orderly-py-3", children: [(0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs", label: "Unreal. PnL", value: aggregated?.unrealPnL, coloring: true, rule: "price" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs", label: "Notional", value: aggregated?.notional, rule: "price" }), (0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "", labelClassName: "orderly-text-4xs orderly-text-base-contrast-36", valueClassName: "orderly-text-3xs", value: (0, jsx_runtime_1.jsx)("div", {}), rule: "price", coloring: true, align: "right" })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-data-list-filter orderly-flex orderly-justify-between orderly-py-3 orderly-px-4 orderly-items-center", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { id: "showAll", checked: props.showAllSymbol, onCheckedChange: props.onShowAllSymbolChange }), (0, jsx_runtime_1.jsx)(label_1.Label, { htmlFor: "showAll", className: "orderly-text-base-contrast-54 orderly-text-3xs", children: "Show all instruments" })] }) })] }));
};
exports.PositionOverview = PositionOverview;
//# sourceMappingURL=overview.js.map