"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderDetail = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const types_1 = require("@orderly.network/types");
const text_1 = require("../../../text");
const numeralTotal_1 = require("../../../text/numeralTotal");
const css_1 = require("../../../utils/css");
const utils_1 = require("@orderly.network/utils");
const OrderDetail = (props) => {
    const { order, quote } = props;
    const { side } = order;
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-grid orderly-grid-cols-[1fr_2fr]", props.className), children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-flex-col", children: (0, jsx_runtime_1.jsx)(text_1.Text, { type: side === types_1.OrderSide.SELL ? "sell" : "buy", children: side === types_1.OrderSide.SELL ? "Limit Sell" : "Limit Buy" }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-space-y-2", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Qty." }), (0, jsx_runtime_1.jsx)(text_1.Text, { type: side === types_1.OrderSide.SELL ? "sell" : "buy", children: (0, utils_1.commify)(order.order_quantity) })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Price" }), (0, jsx_runtime_1.jsx)(text_1.Text, { surfix: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: quote }), children: (0, utils_1.commify)(order.order_price) })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "Total" }), (0, jsx_runtime_1.jsx)(numeralTotal_1.NumeralTotal, { quantity: order.order_quantity ?? 0, price: order.order_price ?? 0, surfix: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-36", children: quote }) })] })] })] }));
};
exports.OrderDetail = OrderDetail;
//# sourceMappingURL=orderDetail.js.map