"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuantityInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const divider_1 = require("../../divider");
const button_1 = __importDefault(require("../../button"));
const css_1 = require("../../utils/css");
const utils_1 = require("@orderly.network/utils");
const spinner_1 = require("../../spinner");
const num_1 = require("../../utils/num");
const tokenPicker_1 = require("../pickers/tokenPicker");
const QuantityInput = (props) => {
    const { disabled } = props;
    const inputRef = (0, react_1.useRef)(null);
    const amount = (0, react_1.useMemo)(() => {
        return (new utils_1.Decimal(props.quantity || 0)
            .mul(props.markPrice)
            // .todp(props.decimals)
            .todp(Math.abs(2 - 5))
            .toString());
    }, [props.quantity, props.markPrice]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-bg-base-500 dark:orderly-bg-base-100 orderly-rounded orderly-pl-1 orderly-pr-2 orderly-py-2 focus-within:orderly-bg-bg-base-500 focus-within:orderly-outline focus-within:orderly-outline-1 orderly-outline-primary", props.className, {
                    "orderly-outline orderly-outline-1 orderly-outline-danger-light": props.status === "error",
                    "orderly-outline orderly-outline-1 orderly-outline-warning": props.status === "warning",
                }), onClick: () => inputRef.current?.focus(), children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-justify-between", children: [(0, jsx_runtime_1.jsx)("input", { type: "text", inputMode: "decimal", ref: inputRef, disabled: disabled, value: props.quantity, 
                                        // onChange={onChange}
                                        onChange: (event) => {
                                            //
                                            props?.onValueChange?.({
                                                value: event.target.value,
                                                token: props.token?.symbol ?? "",
                                            });
                                        }, className: "orderly-quantity-input orderly-bg-transparent orderly-h-full orderly-flex-1 orderly-px-2 focus-visible:orderly-outline-none orderly-font-semibold orderly-text-sm orderly-text-base-contrast placeholder:orderly-text-base-contrast-36 desktop:orderly-text-base", placeholder: "Quantity" }), (0, jsx_runtime_1.jsx)(button_1.default, { variant: "text", size: "small", className: "orderly-quantity-input-max orderly-font-semibold orderly-text-link orderly-px-2 orderly-min-w-[40px] orderly-text-3xs desktop:orderly-text-xs", disabled: !props.maxAmount, onClick: (event) => {
                                            props?.onValueChange?.({
                                                value: (0, num_1.parseNumber)(props.maxAmount ?? 0, {
                                                    precision: 2,
                                                }),
                                                token: props.token?.symbol ?? "",
                                            });
                                            event.preventDefault();
                                            event.stopPropagation();
                                        }, children: "MAX" })] }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { vertical: true }), (0, jsx_runtime_1.jsx)(tokenPicker_1.TokenSelect, { tokens: props.tokens, token: props.token, fetchBalance: props.fetchBalance, onTokenChange: props.onTokenChange, disabled: disabled, onClosed: () => inputRef.current?.focus() })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-text-4xs orderly-justify-between orderly-px-2 orderly-py-1 orderly-text-base-contrast-36 desktop:orderly-text-3xs orderly-tabular-nums", children: [(0, jsx_runtime_1.jsx)("span", { children: `$${amount}` }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-space-x-2", children: [(0, jsx_runtime_1.jsx)("span", { children: `Available: ${(0, num_1.parseNumber)(props.maxAmount ?? 0, {
                                            precision: 2,
                                            rule: "price",
                                        }) ?? "-"} ${props.token?.symbol ?? ""}` }), props.balanceRevalidating && (0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small" })] })] })] }), props.hintMessage && ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-mt-2 orderly-text-4xs orderly-relative before:orderly-block orderly-pl-3 before:orderly-w-[4px] before:orderly-rounded-[4px] before:orderly-h-[4px] before:orderly-absolute before:orderly-left-0 before:orderly-top-1/2 before:orderly--translate-y-1/2", {
                    "orderly-text-danger-light": props.status === "error",
                    "orderly-before:bg-danger-light": props.status === "error",
                    "orderly-text-warning": props.status === "warning",
                }), children: props.hintMessage }))] }));
};
exports.QuantityInput = QuantityInput;
//# sourceMappingURL=quantityInput.js.map