"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CarouselBackgroundImage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const embla_carousel_react_1 = __importDefault(require("embla-carousel-react"));
const react_1 = require("react");
const buttons_1 = require("./buttons");
const utils_1 = require("../../../utils");
const CarouselBackgroundImage = (props) => {
    const { backgroundImages, selectedSnap, setSelectedSnap } = props;
    const [emblaRef, emblaApi] = (0, embla_carousel_react_1.default)({
        // loop: true,
        containScroll: "keepSnaps",
        dragFree: true,
    });
    const onPrevButtonClick = (0, react_1.useCallback)(() => {
        if (!emblaApi)
            return;
        emblaApi.scrollPrev();
    }, [emblaApi]);
    const onNextButtonClick = (0, react_1.useCallback)(() => {
        if (!emblaApi)
            return;
        emblaApi.scrollNext();
    }, [emblaApi]);
    const onSelect = (0, react_1.useCallback)((emblaApi) => {
        // setPrevBtnDisabled(!emblaApi.canScrollPrev());
        // setNextBtnDisabled(!emblaApi.canScrollNext());
        setSelectedSnap(emblaApi.selectedScrollSnap());
    }, []);
    (0, react_1.useEffect)(() => {
        if (!emblaApi)
            return;
        onSelect(emblaApi);
        emblaApi.on("reInit", onSelect);
        emblaApi.on("select", onSelect);
        emblaApi?.scrollTo(selectedSnap);
    }, [emblaApi, onSelect]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-px-[10px] orderly-mt-5", children: [(0, jsx_runtime_1.jsx)(buttons_1.PrevButton, { onClick: onPrevButtonClick }), (0, jsx_runtime_1.jsx)("div", { ref: emblaRef, className: "orderly-w-[552px] orderly-overflow orderly-overflow-x-auto orderly-scrollbar-hidden orderly-hide-scrollbar orderly-mx-2", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex", children: backgroundImages.map((e, index) => ((0, jsx_runtime_1.jsx)("div", { onClick: () => {
                            console.log("scroll to", index);
                            emblaApi?.scrollTo(index);
                        }, className: (0, utils_1.cn)("orderly-shrink-0 orderly-mx-2 orderly-w-[162px] orderly-my-1 orderly-mr-[21px] orderly-rounded-sm", selectedSnap === index &&
                            "orderly-outline orderly-outline-1 orderly-outline-primary"), children: (0, jsx_runtime_1.jsx)("img", { src: e, className: "orderly-rounded-sm" }) }, e))) }) }), (0, jsx_runtime_1.jsx)(buttons_1.NextButton, { onClick: onNextButtonClick })] }));
};
exports.CarouselBackgroundImage = CarouselBackgroundImage;
//# sourceMappingURL=carousel.js.map