"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const checkbox_1 = require("../../../checkbox");
const icon_1 = require("../../../icon");
const input_1 = require("../../../input");
const toast_1 = require("../../../toast");
const react_1 = require("react");
const Message = (props) => {
    const { message, setMessage, check, setCheck } = props;
    const [focus, setFocus] = (0, react_1.useState)(false);
    const inputRef = (0, react_1.useRef)(null);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-mt-4 orderly-mb-7 orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { checked: check, onCheckedChange: (e) => {
                    setCheck(e);
                } }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-xs orderly-text-base-contrast-54 orderly-ml-2 hover:orderly-cursor-pointer", onClick: () => {
                    setCheck(!props.check);
                }, children: "Your message" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-bg-base-900 orderly-mx-2 orderly-rounded-sm", children: (0, jsx_runtime_1.jsx)(input_1.Input, { ref: inputRef, placeholder: "Max 25 characters", containerClassName: "orderly-bg-transparent orderly-h-[32px] orderly-w-[295px]", value: message, autoFocus: false, suffix: focus && ((0, jsx_runtime_1.jsx)("button", { className: "orderly-mr-3 orderly-cursor-pointer", onMouseDown: (e) => {
                            console.log("set message to empty");
                            setMessage("");
                            setTimeout(() => {
                                inputRef.current?.focus();
                            }, 50);
                            e.stopPropagation();
                        }, children: (0, jsx_runtime_1.jsx)(icon_1.CircleCloseIcon, { size: 18 }) })), onFocus: () => setFocus(true), onBlur: () => setFocus(false), onChange: (e) => {
                        if (e.target.value.length > 25) {
                            toast_1.toast.error("Maximum support of 25 characters");
                            return;
                        }
                        setCheck(e.target.value.length > 0);
                        setMessage(e.target.value);
                    } }) })] }));
};
exports.Message = Message;
//# sourceMappingURL=message.js.map