"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShareOption = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const utils_1 = require("../../../utils");
const checkbox_1 = require("../../../checkbox");
const ShareOption = (props) => {
    const { type, curType, setShareOption } = props;
    const text = (0, react_1.useMemo)(() => {
        switch (type) {
            case "openPrice":
                return "Open price";
            case "openTime":
                return "Opened at";
            case "markPrice":
                return "Mark price";
            case "quantity":
                return "Quantity";
            case "leverage":
                return "Leverage";
        }
    }, [type]);
    const isSelected = curType.has(type);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_1.cn)("orderly-h-[20px] hover:orderly-cursor-pointer orderly-items-center orderly-flex"), onClick: () => {
            // setPnlFormat(type);
            setShareOption((value) => {
                const updateSet = new Set(value);
                if (isSelected) {
                    updateSet.delete(type);
                }
                else {
                    updateSet.add(type);
                }
                return updateSet;
            });
        }, children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { checked: isSelected, onCheckedChange: (checked) => {
                    setShareOption((value) => {
                        const updateSet = new Set(value);
                        if (isSelected) {
                            updateSet.delete(type);
                        }
                        else {
                            updateSet.add(type);
                        }
                        return updateSet;
                    });
                } }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-sm orderly-text-base-contrast-54 orderly-pl-1", children: text })] }));
};
exports.ShareOption = ShareOption;
//# sourceMappingURL=options.js.map