"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PnlFormatView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const utils_1 = require("../../../utils");
const lucide_react_1 = require("lucide-react");
const PnlFormatView = (props) => {
    const { type, curType, setPnlFormat } = props;
    const text = (0, react_1.useMemo)(() => {
        switch (type) {
            case "roi_pnl":
                return "ROI & PnL";
            case "roi":
                return "ROI";
            case "pnl":
                return "PnL";
        }
    }, [type]);
    const isSelected = type === curType;
    let clsName = "orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer";
    if (isSelected) {
        clsName += " orderly-text-base-contrast";
    }
    else {
        clsName += "";
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: clsName, onClick: () => {
            setPnlFormat(type);
        }, children: [(0, jsx_runtime_1.jsx)("button", { type: "button", className: "orderly-order-entry-radio-button orderly-w-[14px] orderly-h-[14px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast-20", children: isSelected && (
                // @ts-ignore
                (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-order-entry-radio-circle orderly-w-[10px] orderly-h-[10px] orderly-text-link orderly-bg-link orderly-rounded-full" })) }), (0, jsx_runtime_1.jsx)("span", { className: (0, utils_1.cn)("orderly-text-[16px] orderly-ml-2 orderly-text-base-contrast-54", isSelected && "orderly-text-base-contrast"), children: text })] }));
};
exports.PnlFormatView = PnlFormatView;
//# sourceMappingURL=pnlFormat.js.map