"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileSharePnLContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const utils_1 = require("../../utils");
const icon_1 = require("../../icon");
const react_1 = require("react");
const input_1 = require("../../input");
const button_1 = __importDefault(require("../../button"));
const react_hot_toast_1 = __importDefault(require("react-hot-toast"));
const poster_1 = require("../poster");
const provider_1 = require("../../provider");
const sharePnLUtils_1 = require("./sharePnLUtils");
const carousel_1 = require("../../carousel/carousel");
const carousel_2 = require("../../carousel");
const MobileSharePnLContent = (props) => {
    const localPnlConfig = (0, sharePnLUtils_1.getPnlInfo)();
    const [pnlFormat, setPnlFormat] = (0, react_1.useState)(localPnlConfig.pnlFormat);
    const [shareOption, setShareOption] = (0, react_1.useState)(new Set(localPnlConfig.options));
    const [message, setMessage] = (0, react_1.useState)(localPnlConfig.message);
    const [selectIndex, setSelectIndex] = (0, react_1.useState)(localPnlConfig.bgIndex);
    const { shareOptions } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const { backgroundImages, ...resetOptions } = shareOptions.pnl;
    const [domain, setDomain] = (0, react_1.useState)("");
    const posterRefs = shareOptions.pnl.backgroundImages.map(() => (0, react_1.useRef)(null));
    (0, react_1.useEffect)(() => {
        const currentDomain = window.location.hostname;
        setDomain(currentDomain);
    }, []);
    const posterData = (0, sharePnLUtils_1.getPnLPosterData)(props.position, props.leverage, message, domain, pnlFormat, shareOption, props.baseDp, props.quoteDp);
    // console.log("pster data", posterData, props.position);
    const carouselRef = (0, react_1.useRef)();
    const aspectRatio = 552 / 310;
    const [scale, setScale] = (0, react_1.useState)(1);
    const [carouselHeight, setCarouselHeight] = (0, react_1.useState)(0);
    (0, react_1.useEffect)(() => {
        if (carouselRef.current) {
            const divWidth = carouselRef.current.offsetWidth;
            const divHeight = divWidth / aspectRatio;
            setCarouselHeight(divHeight);
            setScale(divWidth / 552);
        }
    }, [carouselRef, domain]);
    const onSharePnL = async (posterRef) => {
        if (!posterRef.current)
            return;
        const data = posterRef.current?.toDataURL();
        const blob = dataURItoBlob(data);
        try {
            // Check if the browser supports the share feature
            if (navigator.share) {
                await navigator.share({
                    // title: "Share PnL",
                    text: message,
                    // url: imageUrl,
                    files: [new File([blob], "image.png", { type: "image/png" })],
                });
                console.log("Image shared successfully!");
            }
            else {
                console.log("Share API is not supported in this browser.");
            }
            props.hide?.();
        }
        catch (error) {
            console.error("Error sharing image:", error);
        }
    };
    (0, sharePnLUtils_1.savePnlInfo)(pnlFormat, shareOption, selectIndex, message);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-referral", children: [(0, jsx_runtime_1.jsx)("div", { ref: carouselRef, className: "orderly-w-full orderly-mt-4 orderly-overflow-hidden", style: { height: `${carouselHeight + 20}px` }, children: (0, jsx_runtime_1.jsxs)(carousel_2.Carousel, { className: "orderly-w-full orderly-overflow-hidden", opts: { align: "start" }, initIndex: selectIndex, children: [(0, jsx_runtime_1.jsx)(carousel_1.CarouselContent, { style: { height: `${carouselHeight}px` }, children: shareOptions.pnl.backgroundImages.map((item, index) => ((0, jsx_runtime_1.jsx)(carousel_1.CarouselItem, { children: (0, jsx_runtime_1.jsx)(poster_1.Poster, { className: "orderly-transform orderly-origin-top-left", style: { scale: `${scale}` }, width: 552, height: 310, data: {
                                        backgroundImg: item,
                                        ...resetOptions,
                                        data: posterData,
                                    }, ref: posterRefs[index] }) }, index))) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-mt-2 orderly-mb-1 orderly-flex orderly-justify-center", children: (0, jsx_runtime_1.jsx)(MyIdentifier, { dotClassName: "orderly-w-[16px] orderly-h-[4px] orderly-bg-base-300 orderly-dot-normal", dotActiveClassName: "orderly-bg-primary orderly-w-[20px] orderly-dot-sel", setSelectIndex: setSelectIndex }) })] }) }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-max-h-[200px] orderly-overflow-y-auto", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-mt-4", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-text-3xs orderly-text-base-contrast-54", children: "PnL display format" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-pt-3 orderly-px-1 orderly-flex orderly-justify-between orderly-gap-3", children: [(0, jsx_runtime_1.jsx)(PnlFormatView, { setPnlFormat: setPnlFormat, type: "roi_pnl", curType: pnlFormat }), (0, jsx_runtime_1.jsx)(PnlFormatView, { setPnlFormat: setPnlFormat, type: "roi", curType: pnlFormat }), (0, jsx_runtime_1.jsx)(PnlFormatView, { setPnlFormat: setPnlFormat, type: "pnl", curType: pnlFormat })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-mt-3", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-text-3xs orderly-text-base-contrast-54 orderly-h-[18px]", children: "Optional information to share" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-wrap orderly-gap-3 orderly-mt-3", children: [(0, jsx_runtime_1.jsx)(ShareOption, { setShareOption: setShareOption, type: "openPrice", curType: shareOption }), (0, jsx_runtime_1.jsx)(ShareOption, { setShareOption: setShareOption, type: "openTime", curType: shareOption }), (0, jsx_runtime_1.jsx)(ShareOption, { setShareOption: setShareOption, type: "leverage", curType: shareOption }), (0, jsx_runtime_1.jsx)(ShareOption, { setShareOption: setShareOption, type: "markPrice", curType: shareOption }), (0, jsx_runtime_1.jsx)(ShareOption, { setShareOption: setShareOption, type: "quantity", curType: shareOption })] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-mt-3 orderly-mb-8", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-text-3xs orderly-text-base-contrast-54 orderly-h-[18px]", children: "Your message" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-mt-3 orderly-h-[48px] orderly-bg-base-600 orderly-mx-1", children: (0, jsx_runtime_1.jsx)(input_1.Input, { placeholder: "Max 25 characters", containerClassName: "orderly-bg-transparent orderly-h-[48px]", value: message, autoFocus: false, onChange: (e) => {
                                        if (e.target.value.length > 25) {
                                            react_hot_toast_1.default.error("Maximum support of 25 characters");
                                            return;
                                        }
                                        setMessage(e.target.value);
                                    } }) })] })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-pt-2", children: (0, jsx_runtime_1.jsx)(button_1.default, { fullWidth: true, className: "orderly-h-[40px] orderly-text-[16px]", onClick: () => {
                        onSharePnL(posterRefs[selectIndex]);
                    }, children: "Share" }) })] }));
};
exports.MobileSharePnLContent = MobileSharePnLContent;
const PnlFormatView = (props) => {
    const { type, curType, setPnlFormat } = props;
    const text = (0, react_1.useMemo)(() => {
        switch (type) {
            case "roi_pnl":
                return "ROI & PnL";
            case "roi":
                return "ROI";
            case "pnl":
                return "PnL";
        }
    }, [type]);
    const isSelected = type === curType;
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, utils_1.cn)("orderly-shadow-lg orderly-rounded-lg orderly-h-[46px] orderly-flex-1 orderly-bg-base-400 hover:orderly-cursor-pointer orderly-flex orderly-items-center orderly-px-3 orderly-referral-shadow", isSelected && "orderly-bg-primary orderly-dot-sel"), onClick: () => {
            setPnlFormat(type);
        }, children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-sm orderly-text-base-contrast", children: text }) }));
};
const ShareOption = (props) => {
    const { type, curType, setShareOption } = props;
    const text = (0, react_1.useMemo)(() => {
        switch (type) {
            case "openPrice":
                return "Open price";
            case "openTime":
                return "Opened at";
            case "markPrice":
                return "Mark price";
            case "quantity":
                return "Quantity";
            case "leverage":
                return "Leverage";
        }
    }, [type]);
    const isSelected = curType.has(type);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, utils_1.cn)("orderly-shadow-lg orderly-rounded-lg orderly-h-[46px] orderly-mt-0 orderly-w-[calc(50%-6px)] orderly-bg-base-400 hover:orderly-cursor-pointer orderly-items-center orderly-flex orderly-p-3 orderly-referral-shadow"), onClick: () => {
            // setPnlFormat(type);
            setShareOption((value) => {
                const updateSet = new Set(value);
                if (isSelected) {
                    updateSet.delete(type);
                }
                else {
                    updateSet.add(type);
                }
                return updateSet;
            });
        }, children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-text-sm orderly-flex-1 orderly-text-base-contrast", children: text }), isSelected && (0, jsx_runtime_1.jsx)(icon_1.CircleCheckIcon, { size: 20 })] }));
};
function dataURItoBlob(dataURI) {
    const byteString = atob(dataURI.split(",")[1]);
    const mimeString = dataURI.split(",")[0].split(":")[1].split(";")[0];
    const ab = new ArrayBuffer(byteString.length);
    const ia = new Uint8Array(ab);
    for (let i = 0; i < byteString.length; i++) {
        ia[i] = byteString.charCodeAt(i);
    }
    return new Blob([ab], { type: mimeString });
}
const MyIdentifier = (props) => {
    const { scrollSnaps, selectedIndex } = (0, carousel_1.useCarousel)();
    (0, react_1.useEffect)(() => {
        props.setSelectIndex(selectedIndex);
    }, [selectedIndex]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, utils_1.cn)("orderly-flex orderly-gap-1"), children: scrollSnaps.map((_, index) => {
            return ((0, jsx_runtime_1.jsx)(carousel_1.Dot, { index: index, active: index === selectedIndex, onClick: props.onClick, className: props.dotClassName, activeClassName: props.dotActiveClassName }, index));
        }) }));
};
//# sourceMappingURL=mobileSharePnl.js.map