"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharePoisitionView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modal_1 = require("../../modal");
const modalHelper_1 = require("../../modal/modalHelper");
const sheet_1 = require("../../sheet/sheet");
const dialog_1 = require("../../dialog/dialog");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const desktopSharePnl_1 = require("./desktopSharePnl");
const mobileSharePnl_1 = require("./mobileSharePnl");
exports.SharePoisitionView = (0, modalHelper_1.create)((props) => {
    const isTablet = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    const { position } = props;
    const [leverage] = (0, hooks_1.useLeverage)();
    const symbolInfo = (0, hooks_1.useSymbolsInfo)();
    if (symbolInfo.isNil)
        return null;
    const base_dp = symbolInfo[position.symbol]("base_dp");
    const quote_dp = symbolInfo[position.symbol]("quote_dp");
    return isTablet ? ((0, jsx_runtime_1.jsx)(MobileSharePnL, { position: position, leverage: leverage, baseDp: base_dp, quoteDp: quote_dp })) : ((0, jsx_runtime_1.jsx)(DesktopSharePnL, { position: position, leverage: leverage, baseDp: base_dp, quoteDp: quote_dp }));
});
const MobileSharePnL = (props) => {
    const { leverage, position, baseDp, quoteDp } = props;
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    return ((0, jsx_runtime_1.jsx)(sheet_1.Sheet, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsxs)(sheet_1.SheetContent, { id: "orderly-referral-mweb-bg", className: "orderly-px-4", onOpenAutoFocus: (e) => e.preventDefault(), onCloseAutoFocus: (e) => e.preventDefault(), children: [(0, jsx_runtime_1.jsx)(sheet_1.SheetHeader, { id: "orderly-asset-and-margin-sheet-title", children: "PnL Sharing" }), (0, jsx_runtime_1.jsx)(mobileSharePnl_1.MobileSharePnLContent, { position: position, leverage: leverage, hide: hide, baseDp: baseDp, quoteDp: quoteDp })] }) }));
};
const DesktopSharePnL = (props) => {
    const { leverage, position, baseDp, quoteDp } = props;
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const [viewportHeight, setViewportHeight] = (0, react_1.useState)(window.innerHeight < 900 ? 660 : 807);
    (0, react_1.useEffect)(() => {
        const handleResize = () => {
            setViewportHeight(window.innerHeight < 900 ? 660 : 807);
        };
        window.addEventListener("resize", handleResize);
        return () => {
            window.removeEventListener("resize", handleResize);
        };
    }, []);
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(dialog_1.DialogContent, { className: "orderly-shadow-lg orderly-w-[640px] orderly-bg-base-800 desktop:orderly-max-w-[640px] orderly-py-0", style: { height: `${viewportHeight}px` }, autoFocus: false, onOpenAutoFocus: (e) => e.preventDefault(), onCloseAutoFocus: (e) => e.preventDefault(), children: (0, jsx_runtime_1.jsx)("div", { id: "orderly-referral-desktop-bg", style: { height: `${viewportHeight}px` }, children: (0, jsx_runtime_1.jsx)(desktopSharePnl_1.DesktopSharePnLContent, { position: position, leverage: leverage, hide: hide, baseDp: baseDp, quoteDp: quoteDp }) }) }) }));
};
//# sourceMappingURL=sharePosition.js.map