"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemStatusBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../divider");
const react_1 = require("react");
const networkStatus_1 = require("./networkStatus");
const communityIcon_1 = require("./communityIcon");
const orderlyLogo_1 = require("./orderlyLogo");
const SystemStatusBar = (props) => {
    const { xUrl, telegramUrl, discordUrl, commutitylist, powerBy = (0, jsx_runtime_1.jsx)(orderlyLogo_1.OrderlyLogo, {}), } = props;
    const children = (0, react_1.useMemo)(() => {
        if (commutitylist !== undefined) {
            return commutitylist;
        }
        const children = [];
        if (telegramUrl !== undefined) {
            children.push((0, jsx_runtime_1.jsx)("button", { onClick: () => {
                    window.open(telegramUrl, "_blank");
                }, children: (0, jsx_runtime_1.jsx)(communityIcon_1.CommunityTG, {}) }));
        }
        if (discordUrl !== undefined) {
            children.push((0, jsx_runtime_1.jsx)("button", { onClick: () => {
                    window.open(discordUrl, "_blank");
                }, children: (0, jsx_runtime_1.jsx)(communityIcon_1.CommunityDiscord, {}) }));
        }
        if (xUrl !== undefined) {
            children.push((0, jsx_runtime_1.jsx)("button", { onClick: () => {
                    window.open(xUrl, "_blank");
                }, children: (0, jsx_runtime_1.jsx)(communityIcon_1.CommunityX, {}) }));
        }
        return children;
    }, [xUrl, telegramUrl, discordUrl, commutitylist]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)(networkStatus_1.NetworkStatus, {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-pl-2", children: (0, jsx_runtime_1.jsx)(divider_1.Divider, { vertical: true }) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54 orderly-text-4xs orderly-font-semibold orderly-pr-2", children: "Join our community" }), children.map((item) => item)] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54 orderly-text-4xs orderly-font-semibold orderly-pr-2 orderly-justify-end", children: "Powered by" }), powerBy] })] }));
};
exports.SystemStatusBar = SystemStatusBar;
//# sourceMappingURL=systemStatusBar.js.map