"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradingViewChart = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const timeIntervalToolbar_1 = require("./timeIntervalToolbar");
const trading_view_1 = require("@orderly.network/trading-view");
const toast_1 = require("../../toast");
const spinner_1 = require("../../spinner");
const TradingViewChart = (props) => {
    const { intervals } = props;
    const [timeInterval, setTimeInterval] = (0, react_1.useState)(() => {
        const tradingViewSDK_adapter = localStorage.getItem("TradingViewSDK_adapter");
        if (tradingViewSDK_adapter) {
            const data = JSON.parse(tradingViewSDK_adapter);
            const savedIntervals = data["chart.lastUsedTimeBasedResolution"];
            return savedIntervals || "1";
        }
        return "1";
    });
    const onIntervalChange = (0, react_1.useCallback)((interval) => {
        setTimeInterval(interval);
    }, []);
    if (!props.scriptSRC) {
        return null;
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-h-[240px]", children: [(0, jsx_runtime_1.jsx)(timeIntervalToolbar_1.TimeIntervalToolbar, { intervals: intervals, timeInterval: timeInterval, onIntervalChange: (timeInterval) => {
                    onIntervalChange(timeInterval);
                } }), (0, jsx_runtime_1.jsx)(trading_view_1.TradingView, { symbol: props.symbol, mode: trading_view_1.ChartMode.MOBILE, interval: timeInterval, libraryPath: props.library_path, tradingViewScriptSrc: props?.scriptSRC, tradingViewCustomCssUrl: props?.customCssUrl, overrides: props.overrides, onToast: toast_1.toast, loadingElement: (0, jsx_runtime_1.jsx)(spinner_1.Spinner, {}) })] }));
};
exports.TradingViewChart = TradingViewChart;
//# sourceMappingURL=tradingView.js.map