"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Widget = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.Widget = (0, react_1.forwardRef)(({ scriptHTML, scriptSRC, containerId, type }, ref) => {
    // const containerRef: { current: HTMLDivElement | null } = createRef();
    const containerRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        let refValue;
        if (containerRef.current) {
            const script = document.createElement("script");
            script.setAttribute("data-nscript", "afterInteractive");
            script.src = scriptSRC;
            script.async = true;
            script.type = "text/javascript";
            if (type === "Widget" || type === "MediumWidget") {
                script.onload = () => {
                    if (typeof TradingView !== undefined) {
                        // script.innerHTML = JSON.stringify(
                        type === "Widget"
                            ? (ref = new TradingView.widget(scriptHTML))
                            : type === "MediumWidget"
                                ? (ref = new TradingView.MediumWidget(scriptHTML))
                                : undefined;
                        // );
                    }
                };
            }
            else {
                script.innerHTML = JSON.stringify(scriptHTML);
            }
            containerRef.current.appendChild(script);
            refValue = containerRef.current;
        }
        return () => {
            if (refValue) {
                while (refValue.firstChild) {
                    refValue.removeChild(refValue.firstChild);
                }
            }
        };
    }, [containerRef, scriptHTML, type, scriptSRC]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-w-full orderly-h-full", ref: containerRef, id: containerId }));
});
//# sourceMappingURL=widget.js.map