"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopRememberMe = exports.MobileRememberMe = exports.RememberMe = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const modal_1 = require("../../../modal");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_tooltip_1 = require("@radix-ui/react-tooltip");
const RememberMe = () => {
    const isTable = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    return isTable ? ((0, jsx_runtime_1.jsx)(exports.MobileRememberMe, {})) : ((0, jsx_runtime_1.jsx)(exports.DesktopRememberMe, {}));
};
exports.RememberMe = RememberMe;
const MobileRememberMe = () => {
    const showRememberHint = () => {
        modal_1.modal.alert({
            title: "Remember me",
            message: ((0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs orderly-text-base-contrast/60", children: "Toggle this option to skip these steps next time you want to trade." })),
        });
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-base-contrast-54 orderly-text-xs  desktop:orderly-text-base", onClick: showRememberHint, children: [(0, jsx_runtime_1.jsx)("span", { children: "Remember me" }), (0, jsx_runtime_1.jsx)(icon_1.InfoIcon, { className: "orderly-inline-block orderly-ml-2", size: 14 })] }));
};
exports.MobileRememberMe = MobileRememberMe;
const DesktopRememberMe = () => {
    return ((0, jsx_runtime_1.jsxs)(react_tooltip_1.Tooltip, { children: [(0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipTrigger, { asChild: true, children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-base-contrast-54 orderly-text-xs desktop:orderly-text-base orderly-cursor-pointer", children: [(0, jsx_runtime_1.jsx)("span", { children: "Remember me" }), (0, jsx_runtime_1.jsx)(icon_1.InfoIcon, { className: "orderly-inline-block orderly-ml-2", size: 14 })] }) }), (0, jsx_runtime_1.jsxs)(react_tooltip_1.TooltipContent, { align: "center", className: "orderly-max-w-[300px] orderly-z-20 orderly-text-base-contrast orderly-select-none orderly-rounded orderly-bg-base-400 orderly-p-3 orderly-text-4xs", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs orderly-text-base-contrast/60", children: "Toggle this option to skip these steps next time you want to trade." }), (0, jsx_runtime_1.jsx)(react_tooltip_1.TooltipArrow, { className: "orderly-fill-base-400" })] })] }));
};
exports.DesktopRememberMe = DesktopRememberMe;
//# sourceMappingURL=rememberMe.js.map