"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const spinner_1 = require("../../../spinner");
const css_1 = require("../../../utils/css");
const lucide_react_1 = require("lucide-react");
const react_1 = require("react");
const StepItem = (props) => {
    const child = (0, react_1.useMemo)(() => {
        if (props.isLoading) {
            return (0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small" });
        }
        if (props.isCompleted) {
            // @ts-ignore
            return (0, jsx_runtime_1.jsx)(lucide_react_1.Check, { size: 20 });
        }
        return props.children;
    }, [props.isLoading, props.isCompleted]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-flex orderly-items-center orderly-justify-center orderly-w-[32px] orderly-h-[32px] orderly-bg-base-100 orderly-rounded-full", props.active && "orderly-bg-primary", props.isLoading &&
            "orderly-bg-white/10 orderly-border orderly-border-primary", props.isCompleted &&
            "orderly-bg-white/10 orderly-border orderly-border-primary orderly-text-primary"), children: child }));
};
exports.StepItem = StepItem;
//# sourceMappingURL=step.js.map