"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CrossChainConfirm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const numeral_1 = require("../../../text/numeral");
const CrossChainConfirm = (props) => {
    const { address, chain, amount } = props;
    return ((0, jsx_runtime_1.jsxs)("div", { id: "orderly-deposit-and-withdraw", children: [(0, jsx_runtime_1.jsx)(Title, { title: "Recipient address" }), (0, jsx_runtime_1.jsx)(SubTitle, { subtitle: address }), (0, jsx_runtime_1.jsx)(Title, { title: "Recipient network" }), (0, jsx_runtime_1.jsx)(SubTitle, { subtitle: ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "chain", id: chain?.info?.network_infos?.chain_id, rounded: true, size: 11 }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-ml-2 orderly-text-base orderly-font-simibold orderly-text-base-contrast/90", children: chain?.info?.network_infos?.name })] })) }), (0, jsx_runtime_1.jsx)(Title, { title: "Withdraw amount (USDC)" }), (0, jsx_runtime_1.jsx)(SubTitle, { subtitle: ((0, jsx_runtime_1.jsx)(numeral_1.Numeral, { children: amount })) }), (0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning orderly-text-3xs", children: "Withdrawals that require cross-chain rebalancing can't be cancelled or followed up with more withdrawals until they've been processed." }) })] }));
};
exports.CrossChainConfirm = CrossChainConfirm;
const Title = ({ title }) => {
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-font-simibold orderly-text-sm orderly-text-base-contrast/30 orderly-withdraw-rebalance-title", children: title }));
};
const SubTitle = ({ subtitle }) => {
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-mb-3 orderly-font-simibold orderly-text-base orderly-text-base-contrast/90 orderly-break-all orderly-withdraw-rebalance-subtitle", children: subtitle }));
};
//# sourceMappingURL=crossChainConfirm.js.map