"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsettledInfo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../../button"));
const modal_1 = require("../../../modal");
const assetsProvider_1 = require("../../../provider/assetsProvider");
const text_1 = require("../../../text");
const lucide_react_1 = require("lucide-react");
const react_1 = require("react");
const settlePnlContent_1 = require("../settlePnlContent");
const UnsettledInfo = (props) => {
    const { onSettle } = (0, react_1.useContext)(assetsProvider_1.AssetsContext);
    const onSettleClick = (0, react_1.useCallback)(() => {
        modal_1.modal
            .confirm({
            title: "Settle PnL",
            content: (0, jsx_runtime_1.jsx)(settlePnlContent_1.SettlePnlContent, {}),
            maxWidth: "xs",
            onCancel() {
                return Promise.reject("cancel");
            },
            onOk() {
                return onSettle().catch((e) => { });
            },
        })
            .then(() => { }, (error) => { });
    }, []);
    if (props.unsettledPnL === 0 && props.hasPositions === false)
        return null;
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-justify-between orderly-mt-1", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-4xs orderly-flex orderly-items-center orderly-space-x-1 orderly-text-base-contrast-36", children: [(0, jsx_runtime_1.jsx)("span", { children: `Unsettled:` }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { coloring: true, precision: 6, children: props.unsettledPnL }), (0, jsx_runtime_1.jsx)("span", { children: "USDC" })] }), (0, jsx_runtime_1.jsx)(button_1.default, { className: "orderly-text-primary-light orderly-text-4xs desktop:orderly-text-3xs", size: "small", variant: "text", 
                // @ts-ignore
                leftIcon: (0, jsx_runtime_1.jsx)(lucide_react_1.RotateCw, { size: 15 }), onClick: onSettleClick, children: "Settle" })] }));
};
exports.UnsettledInfo = UnsettledInfo;
//# sourceMappingURL=settledInfo.js.map