"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Withdraw = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const withdrawForm_1 = require("./withdrawForm");
const hooks_1 = require("@orderly.network/hooks");
const page_1 = require("../../page");
const hooks_2 = require("@orderly.network/hooks");
const utils_1 = require("@orderly.network/utils");
const Withdraw = (props) => {
    const { connectedChain, wallet, setChain } = (0, hooks_1.useWalletConnector)();
    const networkId = (0, hooks_2.useConfig)("networkId");
    const [chains, { findByChainId }] = (0, hooks_1.useChains)(networkId, {
        pick: "network_infos",
    });
    // @ts-ignore
    const currentChain = (0, react_1.useMemo)(() => {
        if (!connectedChain)
            return null;
        // const chainId = parseInt(connectedChain.id);
        const { id } = connectedChain;
        const chainId = (0, utils_1.praseChainIdToNumber)(id);
        const chain = findByChainId(chainId);
        return {
            ...connectedChain,
            id: chainId,
            info: chain,
        };
    }, [connectedChain, findByChainId]);
    const { maxAmount, availableBalance, availableWithdraw, unsettledPnL, withdraw, } = (0, hooks_1.useWithdraw)();
    const context = (0, react_1.useContext)(page_1.TradingPageContext);
    const symbol = context.symbol;
    const [data] = (0, hooks_1.usePositionStream)(symbol);
    const hasPositions = data?.rows?.length > 0;
    return ((0, jsx_runtime_1.jsx)(withdrawForm_1.WithdrawForm, { address: wallet?.accounts?.[0].address, chain: currentChain, 
        // @ts-ignore
        chains: chains, walletName: wallet?.label, switchChain: setChain, 
        // @ts-ignore
        decimals: chains?.decimals ?? 2, 
        // @ts-ignore
        minAmount: chains?.minimum_withdraw_amount ?? 1, maxAmount: maxAmount, availableBalance: availableBalance, unsettledPnL: unsettledPnL, hasPositions: hasPositions, onWithdraw: withdraw, onOk: props.onOk }));
};
exports.Withdraw = Withdraw;
//# sourceMappingURL=withdraw.js.map