import type { ButtonHTMLAttributes, FC, PropsWithChildren } from "react";
import { VariantProps } from "class-variance-authority";
declare const iconButtonVariants: (props?: ({
    variant?: "default" | "outlined" | null | undefined;
    size?: "small" | "large" | "default" | null | undefined;
    color?: "primary" | "tertiary" | null | undefined;
    disabled?: boolean | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface ButtonProps extends Omit<ButtonHTMLAttributes<HTMLButtonElement>, "disabled" | "color">, VariantProps<typeof iconButtonVariants> {
    /**
     * If `true`, the button will show a loading indicator.
     * @default false
     */
    loading?: boolean;
}
declare const IconButton: FC<PropsWithChildren<ButtonProps>>;
export { IconButton, iconButtonVariants };
//# sourceMappingURL=iconButton.d.ts.map