"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iconButtonVariants = exports.IconButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const class_variance_authority_1 = require("class-variance-authority");
const iconButtonVariants = (0, class_variance_authority_1.cva)([
    "orderly-rounded-full orderly-flex orderly-items-center orderly-justify-center",
], {
    variants: {
        variant: {
            outlined: "",
            default: "orderly-bg-black/10 hover:orderly-bg-black/20",
        },
        size: {
            small: "orderly-px-2 orderly-h-[28px] orderly-w-[28px]",
            default: "orderly-px-2 orderly-py-1 orderly-h-[40px] orderly-w-[40px]",
            large: "orderly-px-6 orderly-py-3",
        },
        color: {
            primary: "orderly-text-primary",
            tertiary: "orderly-text-tertiary",
        },
        disabled: {
            true: "orderly-opacity-50 orderly-cursor-not-allowed",
        },
    },
    defaultVariants: {
        variant: "default",
        size: "default",
    },
});
exports.iconButtonVariants = iconButtonVariants;
const IconButton = ({ className, size, color, variant, disabled, ...props }) => {
    return ((0, jsx_runtime_1.jsx)("button", { className: (0, css_1.cn)(iconButtonVariants({
            size,
            variant,
            color,
            disabled,
            className,
        })), ...props }));
};
exports.IconButton = IconButton;
IconButton.displayName = "IconButton";
//# sourceMappingURL=iconButton.js.map