"use strict";
"use client";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CarouselIdentifier = exports.CarouselNext = exports.CarouselPrevious = exports.CarouselItem = exports.CarouselContent = exports.Carousel = exports.Dot = exports.useCarousel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const embla_carousel_react_1 = __importDefault(require("embla-carousel-react"));
const css_1 = require("../utils/css");
const lucide_react_1 = require("lucide-react");
const button_1 = require("../button/button");
const CarouselContext = React.createContext(null);
function useCarousel() {
    const context = React.useContext(CarouselContext);
    if (!context) {
        throw new Error("useCarousel must be used within a <Carousel />");
    }
    return context;
}
exports.useCarousel = useCarousel;
const Carousel = React.forwardRef(({ orientation = "horizontal", opts, setApi, plugins, className, children, ...props }, ref) => {
    const [carouselRef, api] = (0, embla_carousel_react_1.default)({
        ...opts,
        axis: orientation === "horizontal" ? "x" : "y",
    }, plugins);
    const [canScrollPrev, setCanScrollPrev] = React.useState(false);
    const [canScrollNext, setCanScrollNext] = React.useState(false);
    const [selectedIndex, setSelectedIndex] = React.useState(props.initIndex || 0);
    const [scrollSnaps, setScrollSnaps] = React.useState([]);
    const onSelect = React.useCallback((api) => {
        if (!api) {
            return;
        }
        // console.log("selected", api.scrollSnapList());
        if (scrollSnaps.length === 0) {
            setScrollSnaps(api.scrollSnapList());
        }
        setSelectedIndex(api.selectedScrollSnap());
        setCanScrollPrev(api.canScrollPrev());
        setCanScrollNext(api.canScrollNext());
    }, [scrollSnaps]);
    const scrollPrev = React.useCallback(() => {
        api?.scrollPrev();
    }, [api]);
    const scrollNext = React.useCallback(() => {
        api?.scrollNext();
    }, [api]);
    const handleKeyDown = React.useCallback((event) => {
        if (event.key === "ArrowLeft") {
            event.preventDefault();
            scrollPrev();
        }
        else if (event.key === "ArrowRight") {
            event.preventDefault();
            scrollNext();
        }
    }, [scrollPrev, scrollNext]);
    React.useEffect(() => {
        if (!api || !setApi) {
            return;
        }
        setApi(api);
    }, [api, setApi]);
    React.useEffect(() => {
        if (!api) {
            return;
        }
        onSelect(api);
        api.on("reInit", onSelect);
        api.on("select", onSelect);
        if (props.initIndex) {
            api.scrollTo(props.initIndex);
        }
        return () => {
            api?.off("select", onSelect);
        };
    }, [api, onSelect]);
    return ((0, jsx_runtime_1.jsx)(CarouselContext.Provider, { value: {
            carouselRef,
            api: api,
            opts,
            orientation: orientation || (opts?.axis === "y" ? "vertical" : "horizontal"),
            scrollPrev,
            scrollNext,
            canScrollPrev,
            canScrollNext,
            selectedIndex,
            scrollSnaps,
        }, children: (0, jsx_runtime_1.jsx)("div", { ref: ref, onKeyDownCapture: handleKeyDown, className: (0, css_1.cn)("orderly-relative", className), role: "region", "aria-roledescription": "carousel", ...props, children: children }) }));
});
exports.Carousel = Carousel;
Carousel.displayName = "Carousel";
const CarouselContent = React.forwardRef(({ className, ...props }, ref) => {
    const { carouselRef, orientation } = useCarousel();
    return ((0, jsx_runtime_1.jsx)("div", { ref: carouselRef, className: "orderly-overflow-hidden", children: (0, jsx_runtime_1.jsx)("div", { ref: ref, className: (0, css_1.cn)("orderly-flex", orientation === "horizontal"
                ? "orderly--ml-4"
                : "orderly--mt-4 orderly-flex-col", className), ...props }) }));
});
exports.CarouselContent = CarouselContent;
CarouselContent.displayName = "CarouselContent";
const CarouselItem = React.forwardRef(({ className, ...props }, ref) => {
    const { orientation } = useCarousel();
    return ((0, jsx_runtime_1.jsx)("div", { ref: ref, role: "group", "aria-roledescription": "slide", className: (0, css_1.cn)("orderly-min-w-0 orderly-shrink-0 orderly-grow-0 orderly-basis-full", orientation === "horizontal" ? "orderly-pl-4" : "orderly-pt-4", className), ...props }));
});
exports.CarouselItem = CarouselItem;
CarouselItem.displayName = "CarouselItem";
const CarouselPrevious = React.forwardRef(({ className, variant = "contained", size = "icon", ...props }, ref) => {
    const { orientation, scrollPrev, canScrollPrev } = useCarousel();
    return ((0, jsx_runtime_1.jsxs)(button_1.Button
    // @ts-ignore
    , { 
        // @ts-ignore
        ref: ref, variant: variant, size: size, className: (0, css_1.cn)("orderly-absolute  orderly-h-8 orderly-w-8 orderly-rounded-full", orientation === "horizontal"
            ? "orderly--left-12 orderly-top-1/2 orderly--translate-y-1/2"
            : "orderly--top-12 orderly-left-1/2 orderly--translate-x-1/2 orderly-rotate-90", className), disabled: !canScrollPrev, onClick: scrollPrev, ...props, children: [(0, jsx_runtime_1.jsx)(lucide_react_1.ChevronLeft, { size: 20 }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-sr-only", children: "Previous slide" })] }));
});
exports.CarouselPrevious = CarouselPrevious;
CarouselPrevious.displayName = "CarouselPrevious";
const CarouselNext = React.forwardRef(({ className, variant = "contained", size = "icon", ...props }, ref) => {
    const { orientation, scrollNext, canScrollNext } = useCarousel();
    return ((0, jsx_runtime_1.jsxs)(button_1.Button
    // @ts-ignore
    , { 
        // @ts-ignore
        ref: ref, variant: variant, size: size, className: (0, css_1.cn)("orderly-absolute orderly-h-8 orderly-w-8 orderly-rounded-full", orientation === "horizontal"
            ? "orderly--right-12 orderly-top-1/2 orderly--translate-y-1/2"
            : "orderly--bottom-12 orderly-left-1/2 orderly--translate-x-1/2 orderly-rotate-90", className), disabled: !canScrollNext, onClick: scrollNext, ...props, children: [(0, jsx_runtime_1.jsx)(lucide_react_1.ChevronRight, { size: 20 }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-sr-only", children: "Next slide" })] }));
});
exports.CarouselNext = CarouselNext;
CarouselNext.displayName = "CarouselNext";
const CarouselIdentifier = (props) => {
    const { scrollSnaps, selectedIndex } = useCarousel();
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-flex orderly-gap-1", props.className), children: scrollSnaps.map((_, index) => {
            return ((0, jsx_runtime_1.jsx)(exports.Dot, { index: index, active: index === selectedIndex, onClick: props.onClick, className: props.dotClassName, activeClassName: props.dotActiveClassName }, index));
        }) }));
};
exports.CarouselIdentifier = CarouselIdentifier;
CarouselIdentifier.displayName = "CarouselIdentifier";
const Dot = ({ index, active, onClick, className, activeClassName }) => {
    const activedClassName = activeClassName || "orderly-bg-primary";
    return ((0, jsx_runtime_1.jsx)("button", { onClick: () => onClick?.(index), className: (0, css_1.cn)("orderly-w-2 orderly-h-2 orderly-rounded-full orderly-bg-white/30", className, active && `active ${activedClassName}`) }));
};
exports.Dot = Dot;
//# sourceMappingURL=carousel.js.map