"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Panel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const collapsible_1 = require("../collapsible");
const collapseContext_1 = require("./collapseContext");
const css_1 = require("../../utils/css");
const lucide_react_1 = require("lucide-react");
const Panel = (props) => {
    const { activeKey, setActiveKey } = (0, collapseContext_1.useCollapseContext)();
    const header = (0, react_1.useMemo)(() => {
        if (typeof props.header === "string") {
            return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-py-2 orderly-border-b orderly-border-divider flex items-center orderly-group orderly-cursor-pointer", props.headerClassName), children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 group-data-[state=open]:orderly-font-semibold", children: props.header }), (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronDown, { size: 16, className: "group-data-[state=open]:orderly-rotate-180 orderly-transition-transform" })] }));
        }
        return props.header;
    }, [props.header, props.headerClassName]);
    return ((0, jsx_runtime_1.jsxs)(collapsible_1.Collapsible, { disabled: props.disabled, open: props.itemKey === activeKey, onOpenChange: (open) => {
            if (open) {
                setActiveKey(props.itemKey);
            }
            else {
                setActiveKey("");
            }
        }, children: [(0, jsx_runtime_1.jsx)(collapsible_1.CollapsibleTrigger, { asChild: true, children: header }), (0, jsx_runtime_1.jsx)(collapsible_1.CollapsibleContent, { className: "orderly-py-3", children: props.children })] }));
};
exports.Panel = Panel;
//# sourceMappingURL=panel.js.map