"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const dialog_1 = require("../dialog/dialog");
const react_1 = require("react");
const button_1 = __importDefault(require("../button"));
const css_1 = require("../utils/css");
const SimpleDialog = (props) => {
    const [loading, setLoading] = (0, react_1.useState)(false);
    const actions = (0, react_1.useMemo)(() => {
        if (props.footer !== undefined) {
            return props.footer;
        }
        if (!props.onCancel && !props.onOk) {
            return null;
        }
        const buttons = [];
        if (typeof props.onCancel === "function") {
            buttons.push((0, jsx_runtime_1.jsx)(button_1.default, { className: "orderly-confirm-dialog-cancal-button orderly-text-xs desktop:orderly-text-xs orderly-font-bold", type: "button", variant: "contained", color: "tertiary", onClick: props.onCancel, disabled: loading, fullWidth: true, children: "Cancel" }, "cancel"));
        }
        if (typeof props.onOk === "function") {
            buttons.push((0, jsx_runtime_1.jsx)(button_1.default, { className: "orderly-confirm-dialog-ok-button orderly-text-xs desktop:orderly-text-xs orderly-font-bold", type: "button", disabled: loading, loading: loading, fullWidth: true, onClick: () => {
                    setLoading(true);
                    props.onOk?.().finally(() => setLoading(false));
                }, children: "OK" }, "ok"));
        }
        return ((0, jsx_runtime_1.jsx)(dialog_1.DialogFooter, { className: (0, css_1.cn)(buttons.length > 1 ? "orderly-grid-cols-2" : "orderly-grid-cols-1"), children: buttons }));
    }, [props.onCancel, props.onOk, loading, props.footer]);
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: props.open, onOpenChange: props.onOpenChange, children: (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { closable: props.closable, closeableSize: props.closeableSize, onOpenAutoFocus: (event) => event.preventDefault(), className: (0, css_1.cn)("orderly-confirm-dialog", props.contentClassName), maxWidth: props.maxWidth, children: [props.title && (0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { children: (0, jsx_runtime_1.jsx)(dialog_1.DialogTitle, { children: props.title }) }), props.children, actions] }) }));
};
exports.SimpleDialog = SimpleDialog;
//# sourceMappingURL=simpleDialog.js.map