"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Divider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../utils/css");
const class_variance_authority_1 = require("class-variance-authority");
const dividerVariants = (0, class_variance_authority_1.cva)([
    "orderly-flex orderly-items-center orderly-min-h-[2px] before:orderly-block before:orderly-content-[''] before:orderly-h-[1px] before:orderly-border-b before:orderly-border-solid before:orderly-w-[50%] before:orderly-border-inherit after:orderly-block after:orderly-content-[''] after:orderly-h-[1px] after:orderly-border-b after:orderly-border-solid after:orderly-w-[50%] after:orderly-border-inherit orderly-whitespace-nowrap",
], {
    variants: {
        vertical: {
            true: "orderly-min-w-[10px] before:orderly-w-[1px] before:orderly-h-[20px] before:orderly-border-r before:orderly-border-inherit after:orderly-hidden",
        },
        color: {
            // primary: "before:border-primary after:border-primary",
            // secondary: "before:border-secondary after:border-secondary",
            tertiary: "orderly-border-divider",
        },
    },
    defaultVariants: {
        color: "tertiary",
    },
});
const Divider = (props) => {
    const children = (0, react_1.useMemo)(() => {
        if (typeof props.children === "undefined")
            return null;
        return (0, jsx_runtime_1.jsx)("div", { className: "orderly-px-2", children: props.children });
    }, [props.children]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)(dividerVariants({
            vertical: props.vertical,
            color: props.color,
            className: props.className,
        })), children: children }));
};
exports.Divider = Divider;
//# sourceMappingURL=divider.js.map