"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_intl_1 = require("react-intl");
const en_US_1 = require("./locale/en-US");
const LocalProvider = (props) => {
    const { messages, locale = "en", defaultLocale = "en" } = props;
    const mergeMsgs = (0, react_1.useMemo)(() => {
        return {
            ...en_US_1.en,
            ...messages,
        };
    }, [messages, locale, defaultLocale]);
    return ((0, jsx_runtime_1.jsx)(react_intl_1.IntlProvider, { messages: mergeMsgs, locale: locale, defaultLocale: defaultLocale, children: props.children }));
};
exports.LocalProvider = LocalProvider;
//# sourceMappingURL=localProvider.js.map