"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkImage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const react_1 = __importStar(require("react"));
const utils_1 = require("./utils");
const icons_1 = require("./icons");
exports.NetworkImage = (0, react_1.memo)((props) => {
    const { rounded = true } = props;
    const [url, setUrl] = react_1.default.useState();
    const [loading, setLoading] = (0, react_1.useState)(false);
    const [failed, setFailed] = (0, react_1.useState)(false);
    const [isPlaceholder, setIsPlacholder] = (0, react_1.useState)(() => props.type === "placeholder");
    const currentUrl = (0, react_1.useRef)();
    (0, react_1.useEffect)(() => {
        if (typeof props.type === "undefined" &&
            typeof props.symbol === "undefined") {
            throw new Error("NetworkImage must have a type or symbol");
        }
        if (props.type === "placeholder" || props.type === "unknown") {
            return;
        }
        const img = new Image();
        setLoading(true);
        img.onload = function () {
            if (currentUrl.current !== img.src) {
                return;
            }
            setUrl(img.src);
            setLoading(false);
            setFailed(false);
        };
        img.onerror = function () {
            // setIsPlacholder(true);
            setFailed(true);
            setLoading(false);
        };
        // if (props.type === "token") {
        // }
        try {
            if (props.type === "symbol" || props.type === "token") {
                let name = props.name;
                if (typeof props.symbol === "string") {
                    const arr = props.symbol?.split("_");
                    name = arr[1];
                }
                // coin logos
                img.src = `https://oss.orderly.network/static/symbol_logo/${name}.png`;
            }
            if (props.type === "chain") {
                img.src = `https://oss.orderly.network/static/network_logo/${props.id}.png`;
            }
            if (props.type === "wallet") {
                const split = props.name?.split(" ");
                const formatWalletName = split?.[0]?.toLowerCase();
                img.src = `https://oss.orderly.network/static/wallet_icon/${formatWalletName}.png`;
            }
            if (props.type === "path") {
                img.src = props.path;
            }
            currentUrl.current = img.src;
        }
        catch (e) {
            setIsPlacholder(true);
        }
        // crypto logos
        // https://cryptologos.cc/logos/
        // img.src = `https://cryptologos.cc/logos/${props.name.toLowerCase()}-${props.size}.png?v=010`;
    }, [props.type, props.symbol, props.name, props.id]);
    const icon = (0, react_1.useMemo)(() => {
        // if (failed) {
        if (props.type === "unknown") {
            return ((0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast/50 orderly-text-[10px]", children: "U" }));
        }
        // }
        if (!url) {
            return null;
        }
        return (0, jsx_runtime_1.jsx)("img", { src: url, alt: props.name });
    }, [url, failed, props.type]);
    const size = (0, react_1.useMemo)(() => {
        return (0, utils_1.getSize)(props.size);
    }, [props.size]);
    if (isPlaceholder) {
        return (0, jsx_runtime_1.jsx)(icons_1.WalletIcon, { size: 20 });
    }
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-inline-flex orderly-overflow-hidden orderly-leading-none orderly-text-center orderly-items-center orderly-justify-center", (isPlaceholder || loading) && "orderly-bg-slate-200", rounded && "orderly-rounded-full", loading && "orderly-animate-pulse", (failed || props.type === "unknown") && "orderly-bg-base-100", props.className), style: {
            width: size,
            height: size,
            backgroundColor: props.backgroundColor,
        }, children: icon }));
});
exports.NetworkImage.displayName = "NetworkImage";
//# sourceMappingURL=networkImage.js.map