"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenQtyInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../input");
const inputMask_1 = require("../input/inputMask");
const networkImage_1 = require("../icon/networkImage");
const react_1 = require("react");
const divider_1 = require("../divider");
const utils_1 = require("@orderly.network/utils");
const spinner_1 = require("../spinner");
const TokenQtyInput = (props) => {
    const { onChange, onValueChange, onTokenChange, token, loading, needCalc = false, ...rest } = props;
    const amount = (0, react_1.useMemo)(() => {
        if (!props.amount)
            return "";
        const num = Number(props.amount);
        if (isNaN(num))
            return "";
        if (num <= 0)
            return "";
        if (needCalc) {
            return (0, utils_1.commify)(new utils_1.Decimal(props.amount).sub(props.fee).toFixed(2));
        }
        return (0, utils_1.commify)(new utils_1.Decimal(props.amount).toFixed(2));
        // return commify(props.amount);
    }, [props.amount, props.fee, needCalc]);
    return ((0, jsx_runtime_1.jsx)(input_1.Input, { ...props, 
        // onChange={_onChange}
        placeholder: "Quantity", readOnly: true, value: amount, prefix: loading ? (0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small", className: "orderly-mx-2" }) : undefined, containerClassName: "orderly-bg-base-500 orderly-rounded-borderRadius", className: "orderly-token-quantity-input orderly-text-sm orderly-text-base-contrast-54 desktop:orderly-text-base", suffix: (0, jsx_runtime_1.jsxs)(inputMask_1.InputMask, { className: "orderly-flex-row orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(divider_1.Divider, { vertical: true }), (0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { name: token.symbol, type: "token", size: "small" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-80 orderly-text-3xs  desktop:orderly-text-xs", children: token.symbol })] }) }));
};
exports.TokenQtyInput = TokenQtyInput;
//# sourceMappingURL=tokenQtyInput.js.map