"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseLayout = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_slot_1 = require("@radix-ui/react-slot");
const BaseLayout = (props) => {
    const ref = (0, react_1.useRef)(null);
    const { asChild, ...rest } = props;
    (0, react_1.useEffect)(() => {
        const boundingClientRect = ref.current?.getBoundingClientRect();
        if (boundingClientRect && boundingClientRect.height) {
            // console.log(boundingClientRect);
            props.onMeasure?.(boundingClientRect.height, boundingClientRect.width);
        }
    }, []);
    const Comp = asChild ? react_slot_1.Slot : "div";
    return (0, jsx_runtime_1.jsx)(Comp, { ...rest, ref: ref });
};
exports.BaseLayout = BaseLayout;
//# sourceMappingURL=baseLayout.js.map