"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Footer = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const layoutContext_1 = require("./layoutContext");
const react_slot_1 = require("@radix-ui/react-slot");
const __1 = require("..");
const Footer = (props) => {
    const ref = (0, react_1.useRef)(null);
    const { asChild, className, ...rest } = props;
    const { setFooterHeight, isTopLevel } = (0, react_1.useContext)(layoutContext_1.LayoutContext);
    if (!isTopLevel) {
        throw new Error("Footer component must be in top layout component.");
    }
    (0, react_1.useEffect)(() => {
        const boundingClientRect = ref.current?.getBoundingClientRect();
        if (boundingClientRect && boundingClientRect.height) {
            // console.log(boundingClientRect);
            setFooterHeight(boundingClientRect.height);
        }
    }, []);
    const Comp = asChild ? react_slot_1.Slot : "div";
    return ((0, jsx_runtime_1.jsx)(Comp, { ...rest, className: (0, __1.cn)("orderly-fixed orderly-bottom-0 orderly-left-0 orderly-right-0", className), ref: ref }));
};
exports.Footer = Footer;
exports.Footer.displayName = "Footer";
//# sourceMappingURL=footer.js.map