"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_slot_1 = require("@radix-ui/react-slot");
const layoutContext_1 = require("./layoutContext");
const tradingPageContext_1 = require("../page/trading/context/tradingPageContext");
const __1 = require("..");
const Header = (props) => {
    const ref = (0, react_1.useRef)(null);
    const { asChild, ...rest } = props;
    const { setHeaderHeight, isTopLevel } = (0, react_1.useContext)(layoutContext_1.LayoutContext);
    const { disableFeatures } = (0, tradingPageContext_1.useTradingPageContext)();
    if (!isTopLevel) {
        throw new Error("Header component must be in top layout component.");
    }
    (0, react_1.useEffect)(() => {
        setTimeout(() => {
            const boundingClientRect = ref.current?.getBoundingClientRect();
            if (boundingClientRect && boundingClientRect.height) {
                // console.log(boundingClientRect);
                setHeaderHeight(boundingClientRect.height);
            }
        }, 50);
    }, []);
    /**
     * if disableFeatures includes TradingFeatures.Header, then return null
     */
    if (disableFeatures?.includes(__1.TradingFeatures.Header)) {
        return null;
    }
    const Comp = asChild ? react_slot_1.Slot : "div";
    return (0, jsx_runtime_1.jsx)(Comp, { ...rest, ref: ref });
};
exports.Header = Header;
exports.Header.displayName = "Header";
//# sourceMappingURL=header.js.map