"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Layout = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const layoutContext_1 = require("./layoutContext");
const __1 = require("..");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const InnerLayout = (props) => {
    const { mobile, ...rest } = props;
    const [elements, setElements] = (0, react_1.useState)([]);
    // console.log("Layout", headerHeight, footerHeight);
    const matches = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    (0, react_1.useEffect)(() => {
        const elements = [];
        react_1.Children.forEach(props.children, (child) => {
            // console.log(child);
            const displayName = child?.type?.displayName;
            elements.push(displayName);
        });
        setElements(elements);
    }, []);
    if (matches) {
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: mobile });
    }
    return ((0, jsx_runtime_1.jsx)("div", { ...rest, className: (0, __1.cn)("orderly-flex orderly-flex-1", {
            "orderly-flex-col": elements.includes("Header"),
        }), children: props.children }));
};
exports.Layout = (0, react_1.memo)((props) => {
    return ((0, jsx_runtime_1.jsx)(layoutContext_1.LayoutProvider, { children: (0, jsx_runtime_1.jsx)(InnerLayout, { ...props }) }));
});
exports.Layout.displayName = "Layout";
//# sourceMappingURL=layout.js.map