"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutProvider = exports.LayoutContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.LayoutContext = (0, react_1.createContext)({});
const LayoutProvider = (props) => {
    const context = (0, react_1.useContext)(exports.LayoutContext);
    const isTopLevel = (0, react_1.useMemo)(() => !context.isTopLevel, []);
    const [siderWidth, setSiderWidth] = (0, react_1.useState)(0);
    const [headerHeight, setHeaderHeight] = (0, react_1.useState)(0);
    const [footerHeight, setFooterHeight] = (0, react_1.useState)(0);
    const [pageHeaderHeight, setPageHeaderHeight] = (0, react_1.useState)(0);
    const [pageFooterHeight, setPageFooterHeight] = (0, react_1.useState)(0);
    return ((0, jsx_runtime_1.jsx)(exports.LayoutContext.Provider, { value: {
            siderWidth,
            headerHeight: isTopLevel ? headerHeight : context.headerHeight,
            footerHeight: isTopLevel ? footerHeight : context.footerHeight,
            setSiderWidth,
            setHeaderHeight,
            setFooterHeight,
            pageHeaderHeight,
            pageFooterHeight,
            setPageHeaderHeight,
            setPageFooterHeight,
            isTopLevel,
        }, children: props.children }));
};
exports.LayoutProvider = LayoutProvider;
//# sourceMappingURL=layoutContext.js.map