"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paperVariants = exports.Paper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const react_slot_1 = require("@radix-ui/react-slot");
const class_variance_authority_1 = require("class-variance-authority");
const paperVariants = (0, class_variance_authority_1.cva)(["orderly-rounded orderly-p-3"], {
    variants: {
        variant: {
            outline: "orderly-border orderly-border-base-100 ",
            contained: "orderly-bg-base-300",
        },
        square: {
            true: "orderly-rounded-none",
        },
    },
    defaultVariants: {
        variant: "contained",
    },
});
exports.paperVariants = paperVariants;
const Paper = (props) => {
    const { asChild, className, variant, square, ...rest } = props;
    const Comp = asChild ? react_slot_1.Slot : "div";
    return ((0, jsx_runtime_1.jsx)(Comp, { className: (0, css_1.cn)(paperVariants({ variant, square, className })), ...rest }));
};
exports.Paper = Paper;
//# sourceMappingURL=paper.js.map