"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const layoutContext_1 = require("./layoutContext");
const react_slot_1 = require("@radix-ui/react-slot");
const Sider = (props) => {
    const ref = (0, react_1.useRef)(null);
    const { asChild, ...rest } = props;
    const { setSiderWidth } = (0, react_1.useContext)(layoutContext_1.LayoutContext);
    (0, react_1.useEffect)(() => {
        const boundingClientRect = ref.current?.getBoundingClientRect();
        if (boundingClientRect && boundingClientRect.height) {
            setSiderWidth(boundingClientRect.width);
        }
    }, []);
    const Comp = asChild ? react_slot_1.Slot : "div";
    return (0, jsx_runtime_1.jsx)(Comp, { ...rest, ref: ref });
};
exports.Sider = Sider;
exports.Sider.displayName = "Sider";
//# sourceMappingURL=sider.js.map