"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListTile = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const networkImage_1 = require("../icon/networkImage");
const css_1 = require("../utils/css");
const ListTile = (props) => {
    const leading = (0, react_1.useMemo)(() => {
        if (!props.avatar) {
            return null;
        }
        if ((typeof props.avatar === "object" &&
            props.avatar.type === "token") ||
            props.avatar.type === "chain") {
            return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center", children: (0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { ...props.avatar }) }));
        }
        if (typeof props.avatar === "string") {
            return ((0, jsx_runtime_1.jsx)("img", { src: props.avatar, className: "orderly-w-10 orderly-h-10 orderly-rounded-full" }));
        }
        return props.avatar;
    }, [[props.avatar]]);
    const children = (0, react_1.useMemo)(() => {
        if (props.title || props.subtitle) {
            return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-gap-1", children: [props.title && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-font-semibold", children: props.title }, "title")), props.subtitle && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-text-3xs desktop:orderly-text-2xs orderly-text-base-contrast-54", children: props.subtitle }, "subtitle"))] }));
        }
        return props.children;
    }, [props.title, props.subtitle, props.children]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-py-3 orderly-flex orderly-gap-3 active:orderly-bg-base-100", props.className, props.disabled && "orderly-opacity-60 orderly-cursor-not-allowed"), onClick: props.onClick, children: [leading, (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1", children: children }), props.tailing] }));
};
exports.ListTile = ListTile;
//# sourceMappingURL=listTile.js.map