import React, { ForwardedRef } from "react";
export interface ListViewProps<T, D extends unknown> {
    dataSource: T[] | null | undefined;
    renderItem: (item: T, index: number, extraData?: D) => React.ReactNode;
    className?: string;
    contentClassName?: string;
    isLoading?: boolean;
    loadMore?: () => void;
    style?: React.CSSProperties;
    extraData?: D;
}
export type ListViewRef = ForwardedRef<{
    scroll: (direction: {
        x: number;
        y: number;
    }) => void;
}>;
export declare const ListView: <T, D>(props: ListViewProps<T, D> & {
    ref?: React.ForwardedRef<{
        scroll: (direction: {
            x: number;
            y: number;
        }) => void;
    }> | undefined;
}) => JSX.Element;
//# sourceMappingURL=listView.d.ts.map