"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const react_2 = require("react");
const emptyView_1 = require("./emptyView");
const css_1 = require("../utils/css");
const spinner_1 = require("../spinner");
const useEndReached_1 = require("./useEndReached");
const ListViewInner = (props, ref) => {
    const sentinelRef = (0, react_2.useRef)(null);
    const containerRef = (0, react_2.useRef)(null);
    (0, useEndReached_1.useEndReached)(sentinelRef, () => {
        if (!props.isLoading) {
            props.loadMore?.();
        }
    });
    const listViewElement = (0, react_2.useMemo)(() => {
        if (!props.dataSource) {
            return null;
        }
        if (Array.isArray(props.dataSource) && props.dataSource.length <= 0) {
            // @ts-ignore
            return (0, jsx_runtime_1.jsx)(emptyView_1.EmptyView, { visible: true });
        }
        return props.dataSource.map((item, index) => ((0, jsx_runtime_1.jsx)(react_1.default.Fragment, { children: props.renderItem(item, index, props.extraData) }, index)));
    }, [props.dataSource, props.extraData]);
    const loadingViewElement = (0, react_2.useMemo)(() => {
        if (!props.isLoading && !!props.dataSource) {
            return null;
        }
        return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-absolute orderly-w-full orderly-h-full orderly-z-20 orderly-left-0 orderly-top-0 orderly-bottom-0 orderly-right-0 orderly-flex orderly-justify-center orderly-items-center", children: (0, jsx_runtime_1.jsx)(spinner_1.Spinner, {}) }));
    }, [props.isLoading, props.dataSource]);
    (0, react_1.useImperativeHandle)(ref, () => {
        return {
            scroll: (direction) => {
                containerRef.current?.scroll({
                    left: direction.x,
                    top: direction.y,
                    behavior: "smooth",
                });
            },
        };
    });
    return ((0, jsx_runtime_1.jsxs)("div", { style: props.style, ref: containerRef, className: (0, css_1.cn)("orderly-relative orderly-min-h-[180px]", props.className), children: [(0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-list-view-inner orderly-space-y-3", props.contentClassName), children: listViewElement }), (0, jsx_runtime_1.jsx)("div", { ref: sentinelRef, className: "orderly-relative orderly-invisible orderly-h-[1px] orderly-top-[-300px]" }), loadingViewElement] }));
};
exports.ListView = (0, react_1.forwardRef)(ListViewInner);
//# sourceMappingURL=listView.js.map