"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEndReached = void 0;
const react_1 = require("react");
/**
 * Listen for the specified element to scroll to the bottom
 */
function useEndReached(sentinelRef, onEndReached) {
    const observer = (0, react_1.useRef)();
    const cb = (0, react_1.useRef)(onEndReached);
    cb.current = onEndReached;
    (0, react_1.useEffect)(() => {
        const options = {
            root: null,
            rootMargin: "0px",
            threshold: 0,
        };
        const handleObserver = (entries) => {
            entries.forEach((entry) => {
                if (entry.isIntersecting) {
                    cb.current?.();
                }
            });
        };
        observer.current = new IntersectionObserver(handleObserver, options);
        return () => {
            observer.current?.disconnect();
        };
    }, []);
    (0, react_1.useEffect)(() => {
        observer.current?.observe(sentinelRef.current);
    }, []);
}
exports.useEndReached = useEndReached;
//# sourceMappingURL=useEndReached.js.map