"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MainLogo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const appProvider_1 = require("../provider/appProvider");
const css_1 = require("../utils/css");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const MainLogo = ({ link = "/", 
// image,
title, size, }) => {
    const matches = (0, hooks_1.useMediaQuery)(types_1.MEDIA_TABLET);
    const { appIcons } = (0, react_1.useContext)(appProvider_1.OrderlyAppContext);
    if (!appIcons?.main?.img && !appIcons?.main?.component)
        return null;
    // const [url, setUrl] = React.useState<string>();
    const _size = (0, react_1.useMemo)(() => {
        if (typeof size === "number") {
            return size;
        }
        if (matches) {
            return 50;
        }
        return 48;
    }, [size]);
    const logoElement = (0, react_1.useMemo)(() => {
        if (appIcons?.main?.img) {
            return (0, jsx_runtime_1.jsx)("img", { src: appIcons?.main?.img, height: _size });
        }
        return null;
    }, [appIcons?.main, _size]);
    if (appIcons?.main?.component) {
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: appIcons.main.component });
    }
    // if(matches){
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-inline-flex orderly-flex-row orderly-justify-center orderly-items-center orderly-px-3", appIcons.main?.className), style: { height: `${_size}px` }, children: (0, jsx_runtime_1.jsx)("a", { href: link, children: logoElement }) }));
    // }
};
exports.MainLogo = MainLogo;
//# sourceMappingURL=mainLogo.js.map