/// <reference types="react" />
export { useModal } from "./useModal";
export type modalPersetName = "actionSheet" | "confirm" | "sheet";
export declare const modalPerset: Record<string, string>;
export declare const modal: {
    actionSheet: (items: import("../sheet").ActionSheetItem[]) => Promise<unknown>;
    confirm: (props: import("./preset/confirm").ConfirmProps) => Promise<unknown>;
    alert: (props: import("./preset/alert").AlertDialogProps) => Promise<unknown>;
    sheet: (props: import("./preset/sheet").SheetProps) => Promise<unknown>;
    dialog: (props: import("./preset/dialog").DialogProps) => Promise<unknown>;
    show: {
        <T extends unknown, C extends unknown>(modal: import("react").FC<C>, args?: Omit<C, "id"> | undefined): Promise<T>;
        <T_1 extends unknown>(modal: string, args?: Record<string, unknown> | undefined): Promise<T_1>;
        <T_2 extends unknown, P extends unknown>(modal: string, args?: P | undefined): Promise<T_2>;
    };
    hide: <T_3>(modal: string | import("react").FC<any>) => Promise<T_3>;
    remove: (id: string) => void;
    setStates: (id: string, states: Record<string, unknown>) => void;
    register: <T_4 extends import("react").FC<any>>(id: string, comp: T_4, props?: Partial<import("./types").ModalArgs<T_4>> | undefined) => void;
    unregister: (id: string) => void;
};
//# sourceMappingURL=index.d.ts.map