"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.alert = exports.AlertDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modalContext_1 = require("../modalContext");
const modalHelper_1 = require("../modalHelper");
const react_1 = require("react");
const useModal_1 = require("../useModal");
const dialog_1 = require("../../dialog");
const button_1 = __importDefault(require("../../button"));
const css_1 = require("../../utils/css");
const divider_1 = require("../../divider");
exports.AlertDialog = (0, modalHelper_1.create)((props) => {
    const { title, message, closeable = true } = props;
    const { visible, hide, resolve, reject, onOpenChange } = (0, useModal_1.useModal)();
    const onOk = (0, react_1.useCallback)(() => {
        hide();
    }, [props.onOk]);
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { className: "orderly-modal-alert", closable: closeable, maxWidth: "xs", onCloseAutoFocus: (e) => e.preventDefault(), onOpenAutoFocus: (e) => e.preventDefault(), children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { className: (0, css_1.cn)("after:orderly-hidden orderly-items-center", closeable && "orderly-items-start"), children: (0, jsx_runtime_1.jsx)(dialog_1.DialogTitle, { children: title }) }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-mx-5 orderly-bg-white/[0.12]" }), (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { className: "orderly-py-[20px]", children: message }), (0, jsx_runtime_1.jsx)(dialog_1.DialogFooter, { className: "orderly-flex orderly-justify-center", children: (0, jsx_runtime_1.jsx)(button_1.default, { onClick: onOk, className: "orderly-w-full orderly-text-xs orderly-text-base-contrast orderly-font-bold desktop:orderly-text-xs", children: "OK" }) })] }) }));
});
const alert = (props) => {
    return modalContext_1.modalActions.show(exports.AlertDialog, props);
};
exports.alert = alert;
//# sourceMappingURL=alert.js.map