"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const simpleDialog_1 = require("../../dialog/simpleDialog");
const modal_1 = require("../../modal");
const modalHelper_1 = require("../../modal/modalHelper");
const modalContext_1 = require("../../modal/modalContext");
const dialog_1 = require("../../dialog");
const ConfirmDialog = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    return ((0, jsx_runtime_1.jsx)(simpleDialog_1.SimpleDialog, { open: visible, title: props.title, contentClassName: props.contentClassName, maxWidth: props.maxWidth, closable: true, closeableSize: props.closeableSize, onOpenChange: (open) => {
            if (!open) {
                reject();
            }
            onOpenChange(open);
        }, onOk: () => {
            return Promise.resolve()
                .then(() => {
                if (typeof props.onOk === "function") {
                    return props.onOk();
                }
                return true;
            })
                .then((data) => {
                resolve(data);
                hide();
            });
        }, onCancel: typeof props.onCancel !== "undefined"
            ? () => {
                return props
                    .onCancel?.()
                    .then((data) => data, (reason) => {
                    reject(reason);
                })
                    .finally(() => hide());
            }
            : undefined, footer: props.footer, children: (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-py-5 orderly-text-xs", children: props.content }) }) }));
});
const confirm = (props) => {
    return modalContext_1.modalActions.show(ConfirmDialog, props);
};
exports.confirm = confirm;
//# sourceMappingURL=confirm.js.map