"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopNavbar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const accountStatus_desktop_1 = require("../../block/accountStatus/desktop/accountStatus.desktop");
const types_1 = require("@orderly.network/types");
const react_2 = require("@orderly.network/react");
const walletModal_1 = require("../../block/walletConnect/walletModal");
const chainIdSwitch_1 = require("../../block/accountStatus/sections/chainIdSwitch");
const WsStatus_1 = require("../../block/accountStatus/sections/WsStatus");
const TopNavbar = (props) => {
    const { state } = (0, hooks_1.useAccount)();
    // @ts-ignore
    const { errors, appIcons: logos, } = (0, react_1.useContext)(react_2.OrderlyAppContext);
    const { ws: wsStatus } = (0, react_1.useContext)(hooks_1.StatusContext);
    const { onWalletConnect, onSetChain, onWalletDisconnect } = 
    // @ts-ignore
    (0, react_1.useContext)(react_2.OrderlyAppContext);
    const onConnect = (0, react_1.useCallback)(() => {
        onWalletConnect().then((result) => {
            if (result && result.status < types_1.AccountStatusEnum.EnableTrading) {
                (0, walletModal_1.showAccountConnectorModal)({
                    status: result.status,
                }).catch((err) => {
                    console.log("cancel", err);
                });
            }
        });
    }, []);
    const logoElement = (0, react_1.useMemo)(() => {
        if (logos?.main?.component) {
            return logos?.main?.component;
        }
        if (logos?.main?.img) {
            return (0, jsx_runtime_1.jsx)("img", { src: logos?.main?.img });
        }
        return null;
    }, [logos?.main]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-h-[48px] orderly-flex", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1", children: props.children }), (0, jsx_runtime_1.jsx)(accountStatus_desktop_1.AccountStatus, { status: state.status, address: state.address, chains: [], accountInfo: undefined, className: "orderly-mr-3", onConnect: onConnect })] }), wsStatus === hooks_1.WsNetworkStatus.Unstable ? ((0, jsx_runtime_1.jsx)(WsStatus_1.WsStatus, {})) : (errors?.ChainNetworkNotSupport && ((0, jsx_runtime_1.jsx)(chainIdSwitch_1.ChainIdSwtich, { onSetChain: onSetChain })))] }));
};
exports.TopNavbar = TopNavbar;
//# sourceMappingURL=topNavbar.js.map