"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const orderHistory_1 = require("../../../../../../block/orderHistory");
const tradingPageContext_1 = require("../../../../../../page/trading/context/tradingPageContext");
const tabContext_1 = require("../../../../../../tab/tabContext");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const HistoryView = () => {
    const [side, setSide] = (0, react_1.useState)("");
    const [status, setStauts] = (0, react_1.useState)("");
    const { state } = (0, hooks_1.useAccount)();
    const { symbol, onSymbolChange } = (0, react_1.useContext)(tradingPageContext_1.TradingPageContext);
    const { data: tabExtraData } = (0, tabContext_1.useTabContext)();
    const [data, { isLoading, loadMore, cancelOrder, refresh }] = (0, hooks_1.useOrderStream)({
        // @ts-ignore
        side,
        // @ts-ignore
        status,
        symbol: tabExtraData.showAllSymbol ? "" : symbol,
    });
    const onCancelOrder = (0, react_1.useCallback)((orderId, symbol) => {
        // @ts-ignore
        return cancelOrder(orderId, symbol).then(() => {
            // update history list
            return refresh();
        });
    }, [refresh]);
    return ((0, jsx_runtime_1.jsx)(orderHistory_1.HistoryListViewFull, { isLoading: isLoading, 
        // @ts-ignore
        dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data, onSideChange: setSide, onStatusChange: setStauts, onSymbolChange: onSymbolChange, onCancelOrder: onCancelOrder, side: side, status: status, loadMore: loadMore }));
};
exports.HistoryView = HistoryView;
//# sourceMappingURL=index.js.map