"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoizedDataListView = exports.DataListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tab_1 = require("../../../../../tab");
const react_1 = require("react");
const positions_1 = require("./positions");
const orders_1 = require("./orders");
const types_1 = require("@orderly.network/types");
const tabTitle_1 = require("../../../../../page/trading/mobile/sections/dataList/orders/tabTitle");
const tabbarExtraNode_1 = require("../../../../../page/trading/desktop/sections/datalist/tabbarExtraNode");
const history_1 = require("./history");
const hooks_1 = require("@orderly.network/hooks");
const decimalPrecisionCheckBox_1 = require("./decimalPrecisionCheckBox");
const unPnlPriceBasisCheckBox_1 = require("./unPnlPriceBasisCheckBox");
const DataListView = () => {
    const [activeTab, setActiveTab] = (0, react_1.useState)("positions");
    const [data] = (0, hooks_1.usePositionStream)();
    const hasPositions = (data.rows?.length || 0) > 0;
    const [decimalPrecision, setDecimalPrecision] = (0, hooks_1.useSessionStorage)("orderly_dicimal_precision_key", decimalPrecisionCheckBox_1.DecimalPrecisionType.TWO);
    const [unPnlPriceBasis, setUnPnlPriceBasic] = (0, hooks_1.useSessionStorage)("orderly_unrealized_pnl_price_basis_key", unPnlPriceBasisCheckBox_1.UnPnlPriceBasisType.MARKET_PRICE);
    // const [orderStatus, setOrderStatus] = useSessionStorage(
    //   "orderly_order_status",
    //   "positions"
    // );
    const onTabChange = (0, react_1.useCallback)((value) => {
        setActiveTab(value);
        // setOrderStatus(
        //   {
        //     positions: "positions",
        //     orders: OrderStatus.INCOMPLETE,
        //     filled: OrderStatus.FILLED,
        //     cancelled: OrderStatus.CANCELLED,
        //     rejected: OrderStatus.REJECTED,
        //     history: "history",
        //   }[value]
        // );
    }, []);
    return ((0, jsx_runtime_1.jsxs)(tab_1.Tabs, { autoFit: true, value: activeTab, onTabChange: onTabChange, tabBarClassName: "orderly-h-[48px] orderly-text-sm desktop:orderly-font-semibold", tabBarExtra: (0, jsx_runtime_1.jsx)(tabbarExtraNode_1.TabBarExtraNode, { decimalPrecision: decimalPrecision, setDecimalPrecision: setDecimalPrecision, unPnlPriceBasis: unPnlPriceBasis, setUnPnlPriceBasic: setUnPnlPriceBasic }), extraData: {
            showAllSymbol: false,
            // value is 0 1 2
            pnlNotionalDecimalPrecision: decimalPrecision,
            // 0: mark price 1: last price
            unPnlPriceBasis: unPnlPriceBasis,
        }, children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: hasPositions ? `Positions(${data.rows?.length})` : "Positions", value: "positions", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(positions_1.PositionPane, { unPnlPriceBasis: unPnlPriceBasis, setUnPnlPriceBasic: setUnPnlPriceBasic }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: (0, jsx_runtime_1.jsx)(tabTitle_1.MemoizedOrdersTabTitle, {}), value: "orders", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(orders_1.MyOrders, { status: types_1.OrderStatus.INCOMPLETE }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Filled", value: "filled", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(orders_1.MyOrders, { status: types_1.OrderStatus.FILLED }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Cancelled", value: "cancelled", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(orders_1.MyOrders, { status: types_1.OrderStatus.CANCELLED }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Rejected", value: "rejected", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(orders_1.MyOrders, { status: types_1.OrderStatus.REJECTED }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Order history", value: "history", className: "orderly-px-3", children: (0, jsx_runtime_1.jsx)(history_1.HistoryView, {}) })] }));
};
exports.DataListView = DataListView;
exports.MemoizedDataListView = (0, react_1.memo)(exports.DataListView);
//# sourceMappingURL=index.js.map