"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabBarExtraNode = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const checkbox_1 = require("../../../../../checkbox");
const label_1 = require("../../../../../label");
const hooks_1 = require("@orderly.network/hooks");
const tabContext_1 = require("../../../../../tab/tabContext");
const react_dropdown_menu_1 = require("@radix-ui/react-dropdown-menu");
const divider_1 = require("../../../../../divider");
const decimalPrecisionCheckBox_1 = require("./decimalPrecisionCheckBox");
const unPnlPriceBasisCheckBox_1 = require("./unPnlPriceBasisCheckBox");
const icon_1 = require("../../../../../icon");
const TabBarExtraNode = (props) => {
    const [showAllSymbol, setShowAllSymbol] = (0, hooks_1.useSessionStorage)("showAllSymbol_position", true);
    const { updateData } = (0, tabContext_1.useTabContext)();
    // const [symbol, setSymbol] = useState(() =>
    //   showAllSymbol ? "" : context.symbol
    // );
    const onShowAllSymbolChange = (isAll) => {
        // setSymbol(isAll ? "" : context.symbol);
        setShowAllSymbol(isAll);
        updateData("showAllSymbol", isAll);
    };
    (0, react_1.useEffect)(() => updateData("showAllSymbol", showAllSymbol), []);
    // const onChecked = (checked: boolean) => {
    //   console.log(checked);
    // };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(checkbox_1.Checkbox, { id: "showAll", checked: showAllSymbol, onCheckedChange: onShowAllSymbolChange }), (0, jsx_runtime_1.jsx)(label_1.Label, { htmlFor: "showAll", className: "orderly-text-base-contrast-54 orderly-text-3xs", children: "Show all instruments" })] }), (0, jsx_runtime_1.jsx)(SettingIcon, { ...props })] }));
};
exports.TabBarExtraNode = TabBarExtraNode;
const SettingIcon = (props) => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const { updateData } = (0, tabContext_1.useTabContext)();
    const onDecimalPrecisionChanged = (0, react_1.useCallback)((type) => {
        var value = 0;
        switch (type) {
            case decimalPrecisionCheckBox_1.DecimalPrecisionType.ZERO:
                value = 0;
                break;
            case decimalPrecisionCheckBox_1.DecimalPrecisionType.ONE:
                value = 1;
                break;
            case decimalPrecisionCheckBox_1.DecimalPrecisionType.TWO:
                value = 2;
                break;
        }
        updateData("pnlNotionalDecimalPrecision", value);
        props.setDecimalPrecision(type);
    }, [props.decimalPrecision]);
    const onUnPnlPriceBasisChanged = (0, react_1.useCallback)((type) => {
        var value = 0;
        switch (type) {
            case unPnlPriceBasisCheckBox_1.UnPnlPriceBasisType.MARKET_PRICE:
                value = 0;
                break;
            case unPnlPriceBasisCheckBox_1.UnPnlPriceBasisType.LAST_PRICE:
                value = 1;
                break;
        }
        updateData("unPnlPriceBasis", value);
        props.setUnPnlPriceBasic(type);
    }, [props.unPnlPriceBasis]);
    return ((0, jsx_runtime_1.jsxs)(react_dropdown_menu_1.DropdownMenu, { open: open, onOpenChange: setOpen, children: [(0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuTrigger, { children: (0, jsx_runtime_1.jsx)("button", { className: "orderly-pb-[1px] orderly-h-[48px] orderly-text-base-contrast-80 orderly-cursor-pointer orderly-fill-base-contrast-54 hover:orderly-fill-base-contrast", children: (0, jsx_runtime_1.jsx)(icon_1.SettingsIcon, { fill: "currnet", fillOpacity: 1 }) }) }), (0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuContent, { align: "end", className: "orderly-bg-base-800 orderly-rounded orderly-rounded-borderRadius orderly-w-[280px] orderly-p-4 orderly-rounded-borderRadius orderly-shadow-[0px_12px_20px_0px_rgba(0,0,0,0.25)] orderly-z-40", onCloseAutoFocus: (e) => e.preventDefault(), children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-text-3xs", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-xs orderly-pb-3", children: "Portfolio Settings" }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)("span", { className: "orderly-pb-3 orderly-text-base-contrast-54 orderly-mt-2", children: "Decimal Precision for PnL & Notional" }), (0, jsx_runtime_1.jsx)(decimalPrecisionCheckBox_1.DecimalPrecisionCheckbox, { value: props.decimalPrecision, onValueChange: onDecimalPrecisionChanged }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-3" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-pb-3 orderly-text-base-contrast-54 orderly-mt-2", children: "Unrealized PnL Price Basis" }), (0, jsx_runtime_1.jsx)(unPnlPriceBasisCheckBox_1.UnPnlPriceBasisCheckBox, { value: props.unPnlPriceBasis, onValueChange: onUnPnlPriceBasisChanged })] }) })] }));
};
//# sourceMappingURL=tabbarExtraNode.js.map