"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedOrderBook = exports.MyOrderBook = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const index_desktop_1 = require("../../../../../block/orderbook/desktop/index.desktop");
const symbolProvider_1 = require("../../../../../provider/symbolProvider");
const tabContext_1 = require("../../../../../tab/tabContext");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
const usePendingOrderStream_1 = require("./usePendingOrderStream");
const CELL_MAX = 30;
const DEFAULT_CELL_HEIGHT = 20;
const SPACE = 104;
const MyOrderBook = (props) => {
    const { symbol } = props;
    const [cellHeight, setCellHeight] = (0, react_1.useState)(DEFAULT_CELL_HEIGHT);
    const [level, setLevel] = (0, react_1.useState)(10);
    const { base, quote } = (0, symbolProvider_1.useSymbolContext)();
    const [data, { onDepthChange, isLoading, onItemClick, depth, allDepths }] = (0, hooks_1.useOrderbookStream)(symbol, undefined, {
        level,
    });
    const pendingOrders = (0, usePendingOrderStream_1.usePendingOrderStream)(symbol);
    const { height } = (0, tabContext_1.useTabContext)();
    (0, react_1.useEffect)(() => {
        if (height?.content) {
            //   setCellHeight(height.content / level);
            const level = Math.floor((height.content - SPACE) / ((DEFAULT_CELL_HEIGHT + 1) * 2));
            const cellsHeight = (DEFAULT_CELL_HEIGHT + 1) * 2 * level;
            const restSpace = height.content - SPACE - cellsHeight;
            // console.log(
            //   "restSpace",
            //   level,
            //   height.content,
            //   SPACE,
            //   cellsHeight,
            //   restSpace
            // );
            if (restSpace > 10) {
                setCellHeight(DEFAULT_CELL_HEIGHT + restSpace / level / 2);
            }
            else {
                setCellHeight(DEFAULT_CELL_HEIGHT);
            }
            setLevel(level);
        }
    }, [height?.content]);
    return ((0, jsx_runtime_1.jsx)(index_desktop_1.DesktopOrderBook, { level: level, asks: data.asks, bids: data.bids, markPrice: data.markPrice, lastPrice: data.middlePrice, depth: allDepths, activeDepth: depth, base: base, quote: quote, isLoading: isLoading, onItemClick: onItemClick, cellHeight: cellHeight, onDepthChange: onDepthChange, className: props.className, pendingOrders: pendingOrders }));
};
exports.MyOrderBook = MyOrderBook;
exports.MemorizedOrderBook = (0, react_1.memo)(exports.MyOrderBook);
//# sourceMappingURL=orderbook.js.map