"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePendingOrderStream = void 0;
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const usePendingOrderStream = (symbol) => {
    const [data] = (0, hooks_1.useOrderStream)({
        status: types_1.OrderStatus.INCOMPLETE,
        symbol: symbol,
    });
    const pendingOrders = (0, react_1.useMemo)(() => {
        const info = data
            ?.filter((item) => item.symbol === symbol)
            .reduce((a, b) => {
            // TODO: check if this is the correct price, when the data is from WS, it crashes
            const price = b.price || b.trigger_price || 0;
            return [...a, price];
        }, []);
        return info;
    }, [data, symbol]);
    return pendingOrders;
};
exports.usePendingOrderStream = usePendingOrderStream;
//# sourceMappingURL=usePendingOrderStream.js.map