"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopTradingPage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_split_1 = __importDefault(require("@uiw/react-split"));
const accountInfo_1 = require("./elements/accountInfo");
const orderEntry_1 = require("../mobile/sections/orderEntry");
const topNav_1 = require("./sections/nav/topNav");
const orderbook_trade_1 = require("./sections/orderbook_trade");
const datalist_1 = require("./sections/datalist");
const myTradingview_1 = require("./myTradingview");
const assetsProvider_1 = require("../../../provider/assetsProvider");
const useCSSVariable_1 = require("../../../hooks/useCSSVariable");
const layoutContext_1 = require("../../../layout/layoutContext");
const tradingPageContext_1 = require("../context/tradingPageContext");
const useSplitPersistent_1 = require("./useSplitPersistent");
const DesktopTradingPage = (props) => {
    // const {} = useLayoutMeasure();
    const { siderWidth, pageHeaderHeight, headerHeight, footerHeight } = (0, react_1.useContext)(layoutContext_1.LayoutContext);
    const [mainSplitSize, setMainSplitSize] = (0, useSplitPersistent_1.useSplitPersistent)("mainSplitSize", "300px");
    const [dataListSplitSize, setDataListSplitSize] = (0, useSplitPersistent_1.useSplitPersistent)("dataListSplitSize", "350px");
    const [orderBookSplitSize, setOrderbookSplitSize] = (0, useSplitPersistent_1.useSplitPersistent)("orderBookSplitSize", "370px");
    const { disableFeatures } = (0, tradingPageContext_1.useTradingPageContext)();
    if (!disableFeatures) {
        throw new Error("TradingPage must be use in TradingPageProvider");
    }
    const cssVariable = (0, useCSSVariable_1.useCSSVariable)([
        "--orderly-color-primary",
        "--orderly-color-divider",
    ]);
    (0, react_1.useEffect)(() => {
        document.body.style.setProperty("--w-split-line-bar-background", 
        // "rgb(42, 46, 52)"
        `rgb(${cssVariable["--orderly-color-divider"]})`);
        document.body.style.setProperty("--w-split-line-bar-active-background", `rgb(${cssVariable["--orderly-color-primary"]})`);
    }, [cssVariable]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-tabular-nums", children: (0, jsx_runtime_1.jsxs)(react_split_1.default, { lineBar: true, style: {
                height: `calc(100vh - ${headerHeight + footerHeight + (pageHeaderHeight ?? 0)}px)`,
                minHeight: "990px",
                width: `calc(100vw - ${siderWidth}px)`,
                // paddingBottom:
            }, onDragEnd: (preSize, nextSize, paneNumber) => {
                setMainSplitSize(`${nextSize}`);
            }, children: [(0, jsx_runtime_1.jsx)("div", { style: { flex: 1 }, children: (0, jsx_runtime_1.jsxs)(react_split_1.default, { mode: "vertical", lineBar: true, onDragEnd: (_, height, num) => {
                            setDataListSplitSize(`${height}`);
                        }, children: [(0, jsx_runtime_1.jsxs)(react_split_1.default, { style: { flex: 1, minHeight: "450px" }, className: "orderly-min-h-0 orderly-overflow-y-visible", lineBar: true, onDragEnd: (_, width, num) => {
                                    setOrderbookSplitSize(`${width}`);
                                }, children: [(0, jsx_runtime_1.jsxs)("div", { style: { flex: 1, minWidth: "468px" }, className: "orderly-grid orderly-grid-rows-[48px_1fr]", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-border-b orderly-border-b-divider orderly-min-w-0", children: (0, jsx_runtime_1.jsx)(topNav_1.TopNav, { symbol: props.symbol }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1", children: (0, jsx_runtime_1.jsx)(myTradingview_1.MyTradingView, { symbol: props.symbol, tradingViewConfig: props.tradingViewConfig }) })] }), (0, jsx_runtime_1.jsx)("div", { style: { minWidth: "300px", maxWidth: "800px", width: orderBookSplitSize }, className: "orderly-overflow-hidden", children: (0, jsx_runtime_1.jsx)(orderbook_trade_1.MyOrderBookAndTrade, { symbol: props.symbol }) })] }), (0, jsx_runtime_1.jsx)("div", { style: { height: dataListSplitSize, minHeight: "350px" }, children: (0, jsx_runtime_1.jsx)(datalist_1.MemoizedDataListView, {}) })] }) }), (0, jsx_runtime_1.jsx)("div", { style: {
                        minWidth: "300px",
                        maxWidth: "500px",
                        minHeight: "990px",
                        width: mainSplitSize,
                    }, children: (0, jsx_runtime_1.jsxs)(assetsProvider_1.AssetsProvider, { children: [(0, jsx_runtime_1.jsx)(accountInfo_1.AccountInfoElement, {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-px-3 orderly-mt-3 orderly-z-30", children: (0, jsx_runtime_1.jsx)(orderEntry_1.MyOrderEntry, { symbol: props.symbol }) })] }) })] }) }));
};
exports.DesktopTradingPage = DesktopTradingPage;
//# sourceMappingURL=trading.js.map