"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSplitPersistent = void 0;
const react_1 = require("react");
const useSplitPersistent = (key, defaulValue) => {
    const size = (0, react_1.useMemo)(() => {
        const size = localStorage.getItem(key);
        if (size) {
            return `${size}%`;
        }
        return defaulValue;
    }, [key, defaulValue]);
    const setSize = (size) => {
        localStorage.setItem(key, size);
    };
    return [size, setSize];
};
exports.useSplitPersistent = useSplitPersistent;
//# sourceMappingURL=useSplitPersistent.js.map