"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomNavBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const accountStatus_1 = require("../../../../../block/accountStatus");
const WsStatus_1 = require("../../../../../block/accountStatus/sections/WsStatus");
const chainIdSwitch_1 = require("../../../../../block/accountStatus/sections/chainIdSwitch");
const getTestUSDC_1 = require("../../../../../block/operation/getTestUSDC");
const walletConnect_1 = require("../../../../../block/walletConnect");
const modal_1 = require("../../../../../modal");
const provider_1 = require("../../../../../provider");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const utils_1 = require("@orderly.network/utils");
const BottomNavBar = (props) => {
    const { state } = (0, hooks_1.useAccount)();
    const { data } = (0, hooks_1.useAccountInfo)();
    const { totalValue } = (0, hooks_1.useCollateral)();
    const { errors } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const { ws: wsStatus } = (0, react_1.useContext)(hooks_1.StatusContext);
    const { onWalletConnect, onSetChain, onWalletDisconnect } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    const { connectedChain } = (0, hooks_1.useWalletConnector)();
    const onConnect = (0, react_1.useCallback)(() => {
        onWalletConnect().then((result) => {
            if (result && result.status < types_1.AccountStatusEnum.EnableTrading) {
                modal_1.modal.show(walletConnect_1.WalletConnectSheet, {
                    status: result.status,
                });
            }
        });
    }, []);
    const showGetTestUSDC = (0, react_1.useMemo)(() => {
        const chainId = connectedChain?.id;
        if (chainId === undefined) {
            return false;
        }
        return (state.status === types_1.AccountStatusEnum.EnableTrading &&
            // @ts-ignore
            (0, utils_1.isTestnet)(parseInt(chainId)));
    }, [state.status, connectedChain]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [wsStatus === hooks_1.WsNetworkStatus.Unstable ? ((0, jsx_runtime_1.jsx)(WsStatus_1.WsStatus, {})) : (errors?.ChainNetworkNotSupport && ((0, jsx_runtime_1.jsx)(chainIdSwitch_1.ChainIdSwtich, { onSetChain: onSetChain }))), showGetTestUSDC && (0, jsx_runtime_1.jsx)(getTestUSDC_1.GetTestUSDC, {}), (0, jsx_runtime_1.jsx)("div", { id: "orderly-botom-bar-container", className: "orderly-fixed orderly-left-0 orderly-bottom-0 orderly-w-screen orderly-bg-base-800 orderly-p-[14px] orderly-pb-[20px] orderly-border-t orderly-border-base-contrast/10 orderly-z-30 orderly-h-[64px] orderly-flex orderly-justify-between orderly-items-center", children: (0, jsx_runtime_1.jsx)(accountStatus_1.AccountStatusBar, { chains: [], status: state.status, address: state.address, accountInfo: data, totalValue: totalValue, onConnect: onConnect, onDisconnect: onWalletDisconnect, showGetTestUSDC: showGetTestUSDC }) })] }));
};
exports.BottomNavBar = BottomNavBar;
//# sourceMappingURL=index.js.map