"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tab_1 = require("../../../../../tab");
const tradeHistory_1 = require("./tradeHistory");
const react_1 = require("react");
const tradeData_1 = require("./tradeData");
const tradingView_1 = require("../../../../../block/tradingView");
const lucide_react_1 = require("lucide-react");
const hooks_1 = require("@orderly.network/hooks");
const provider_1 = require("../../../../../provider");
const css_1 = require("../../../../../utils/css");
const ChartView = (props) => {
    const { symbol, tradingViewConfig } = props;
    const [activeTab, setActiveTab] = (0, react_1.useState)("tradingView");
    const apiBaseUrl = (0, hooks_1.useConfig)("apiBaseUrl");
    const [collapsed, setCollapsed] = (0, hooks_1.useLocalStorage)("orderly:chart:collapsed", true);
    return ((0, jsx_runtime_1.jsx)("div", { id: "orderly-chart-view-tabs", className: "orderly-text-3xs", children: (0, jsx_runtime_1.jsxs)(tab_1.Tabs, { showIdentifier: false, value: activeTab, onTabChange: setActiveTab, tabBarClassName: "orderly-h-[40px]", collapsed: collapsed, 
            // @ts-ignore
            onToggleCollapsed: () => setCollapsed((prev) => !prev), tabBarExtra: (context) => {
                return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center", children: (0, jsx_runtime_1.jsx)("button", { className: "orderly-px-5", onClick: () => {
                            context.toggleContentVisible();
                        }, children: (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronDown, { size: 18, className: (0, css_1.cn)("orderly-transition-transform orderly-text-base-contrast/50", context.contentVisible
                                ? "orderly-rotate-180"
                                : "orderly-rotate-0") }) }) }));
            }, children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Chart", value: "tradingView", children: (0, jsx_runtime_1.jsx)(tradingView_1.TradingView, { theme: "dark", symbol: symbol, autosize: false, 
                        // @ts-ignore
                        apiBaseUrl: apiBaseUrl, ...tradingViewConfig }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Trade", value: "tradeHistory", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-h-[240px] orderly-overflow-y-auto", children: (0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: symbol, children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-px-[16px]", children: (0, jsx_runtime_1.jsx)(tradeHistory_1.TradeHistoryPane, { symbol: symbol }) }) }) }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Data", value: "tradeData", children: (0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: symbol, children: (0, jsx_runtime_1.jsx)(tradeData_1.TradeData, { symbol: symbol }) }) })] }) }));
};
exports.ChartView = ChartView;
//# sourceMappingURL=index.js.map