"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrdersPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const orders_1 = require("../../../../../../block/orders");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const tradingPageContext_1 = require("../../../../../../page/trading/context/tradingPageContext");
const types_1 = require("@orderly.network/types");
const tab_1 = require("../../../../../../tab");
const types_2 = require("@orderly.network/types");
const OrdersPane = (props) => {
    const context = (0, react_1.useContext)(tradingPageContext_1.TradingPageContext);
    const tabContext = (0, react_1.useContext)(tab_1.TabContext);
    const [showAllSymbol, setShowAllSymbol] = (0, hooks_1.useSessionStorage)("showAllSymbol_orders", true);
    const [symbol, setSymbol] = (0, react_1.useState)(() => showAllSymbol ? "" : context.symbol);
    const [data, { isLoading, loadMore, cancelOrder, updateOrder, cancelAlgoOrder, updateAlgoOrder }] = (0, hooks_1.useOrderStream)({
        status: types_2.OrderStatus.INCOMPLETE,
        symbol: symbol,
    });
    const onShowAllSymbolChange = (isAll) => {
        setSymbol(isAll ? "" : context.symbol);
        setShowAllSymbol(isAll);
    };
    const { state } = (0, hooks_1.useAccount)();
    // const onCancelOrder = useCallback(
    //   (orderId: number | OrderEntity, symbol: string): Promise<any> => {
    //     // @ts-ignore
    //     return cancelOrder(orderId, symbol);
    //   },
    //   []
    // );
    return ((0, jsx_runtime_1.jsx)(orders_1.OrdersView
    // @ts-ignore
    , { 
        // @ts-ignore
        dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data, isLoading: isLoading, symbol: context.symbol, showAllSymbol: showAllSymbol, cancelOrder: cancelOrder, cancelAlgoOrder: cancelAlgoOrder, onShowAllSymbolChange: onShowAllSymbolChange, editOrder: updateOrder, editAlgoOrder: updateAlgoOrder, onSymbolChange: context.onSymbolChange, loadMore: loadMore }));
};
exports.OrdersPane = OrdersPane;
//# sourceMappingURL=index.js.map