"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const positions_1 = require("../../../../../../block/positions");
const hooks_1 = require("@orderly.network/hooks");
const modal_1 = require("../../../../../../modal");
const types_1 = require("@orderly.network/types");
const markPriceConfirm_1 = require("../../../../../../block/positions/sections/markPriceConfirm");
const closeDialog_1 = require("../../../../../../block/positions/sections/closeDialog");
const hooks_2 = require("@orderly.network/hooks");
const page_1 = require("../../../../../../page");
const toast_1 = require("../../../../../../toast");
const PositionPane = () => {
    const context = (0, react_1.useContext)(page_1.TradingPageContext);
    //
    const [showAllSymbol, setShowAllSymbol] = (0, hooks_1.useSessionStorage)("showAllSymbol_position", true);
    const [symbol, setSymbol] = react_1.default.useState(() => showAllSymbol ? "" : context.symbol);
    const onShowAllSymbolChange = (isAll) => {
        setSymbol(isAll ? "" : context.symbol);
        setShowAllSymbol(isAll);
    };
    const [data, info, { loading }] = (0, hooks_1.usePositionStream)(symbol);
    const { state } = (0, hooks_2.useAccount)();
    const [postOrder] = (0, hooks_2.useMutation)("/v1/order");
    const onLimitClose = (0, react_1.useCallback)(async (position) => {
        return modal_1.modal
            .sheet({
            title: "Limit Close",
            content: ((0, jsx_runtime_1.jsx)(closeDialog_1.PositionLimitCloseDialog, { positions: position, side: position.position_qty > 0 ? types_1.OrderSide.SELL : types_1.OrderSide.BUY })),
        })
            .then(() => { })
            .catch((e) => { });
    }, []);
    const onMarketClose = (0, react_1.useCallback)(async (position) => {
        return modal_1.modal
            .confirm({
            title: "Market Close",
            content: (0, jsx_runtime_1.jsx)(markPriceConfirm_1.MarkPriceConfirm, { position: position }),
            onCancel: () => {
                return Promise.reject();
            },
            onOk: () => {
                return postOrder({
                    symbol: position.symbol,
                    side: position.position_qty > 0 ? types_1.OrderSide.SELL : types_1.OrderSide.BUY,
                    order_type: types_1.OrderType.MARKET,
                    order_quantity: Math.abs(position.position_qty),
                    reduce_only: true,
                })
                    .then((res) => {
                    // toast.success("success");
                })
                    .catch((err) => {
                    //
                    toast_1.toast.error(err.message);
                });
            },
        })
            .catch(() => { });
    }, []);
    return ((0, jsx_runtime_1.jsx)(positions_1.PositionsView, { dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data.rows, aggregated: data.aggregated, isLoading: loading, onLimitClose: onLimitClose, onMarketClose: onMarketClose, showAllSymbol: showAllSymbol, onShowAllSymbolChange: onShowAllSymbolChange, onSymbolChange: context.onSymbolChange }));
};
exports.PositionPane = PositionPane;
//# sourceMappingURL=index.js.map