"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionTabTitle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const PositionTabTitle = () => {
    const { data: positions } = (0, hooks_1.usePrivateQuery)("/v1/positions");
    const positionCount = (0, react_1.useMemo)(() => {
        // @ts-ignore
        if (!positions || !positions.rows)
            return 0;
        // @ts-ignore
        return positions.rows.filter((item) => item.position_qty !== 0).length;
    }, [positions]);
    if (positionCount === 0) {
        return "Positions";
    }
    return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: `Positions(${positionCount})` });
};
exports.PositionTabTitle = PositionTabTitle;
//# sourceMappingURL=tabTitle.js.map