"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoizedCompnent = exports.MyLeverageView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const leverage_1 = require("../../../../block/leverage");
const modal_1 = require("../../../../modal");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
const MyLeverageView = (props) => {
    const data = (0, hooks_1.useFundingRate)(props.symbol);
    const { data: info } = (0, hooks_1.useAccountInfo)();
    const res = (0, hooks_1.useQuery)(`/v1/public/info/${props.symbol}`, {
        focusThrottleInterval: 1000 * 60 * 60 * 24,
        dedupingInterval: 1000 * 60 * 60 * 24,
        revalidateOnFocus: false,
    });
    const maxAccountLeverage = info?.max_leverage;
    const maxSymbolLeverage = (0, react_1.useMemo)(() => {
        const base = res?.data?.base_imr;
        if (base)
            return 1 / base;
    }, [res]);
    const showLeverageInfo = (0, react_1.useCallback)(() => {
        modal_1.modal.alert({
            title: "Max leverage",
            message: ((0, jsx_runtime_1.jsxs)("span", { className: "orderly-text-3xs orderly-text-base-contrast-54", children: ["This instrument supports up to ", maxSymbolLeverage, "x leverage. The actual amount cannot exceed the max account leverage."] })),
        });
    }, [maxSymbolLeverage]);
    const maxLeverage = (0, react_1.useMemo)(() => {
        if (!maxAccountLeverage || !maxSymbolLeverage) {
            return "-";
        }
        return Math.min(maxAccountLeverage, maxSymbolLeverage);
    }, [maxAccountLeverage, maxSymbolLeverage]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-px-3 orderly-py-2", children: (0, jsx_runtime_1.jsx)(leverage_1.LeverageView, { maxLeverage: maxLeverage, 
            // @ts-ignore
            predFundingRate: data.est_funding_rate, countdown: data.countDown, onShowLeverageInfo: showLeverageInfo }) }));
};
exports.MyLeverageView = MyLeverageView;
exports.MemoizedCompnent = (0, react_1.memo)(exports.MyLeverageView);
//# sourceMappingURL=leverage.js.map