"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Market = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const markets_1 = require("../../../../../block/markets");
const icon_1 = require("../../../../../icon");
const sheet_1 = require("../../../../../sheet");
const hooks_1 = require("@orderly.network/hooks");
const page_1 = require("../../../../../page");
const Market = (props) => {
    const { symbol } = props;
    const [open, setOpen] = (0, react_1.useState)(false);
    const symbolConfig = (0, hooks_1.useSymbolsInfo)();
    const { data } = (0, hooks_1.useMarketsStream)();
    const { onSymbolChange } = (0, react_1.useContext)(page_1.TradingPageContext);
    const onSymbolClick = (0, react_1.useCallback)((symbol) => {
        setOpen(false);
        onSymbolChange?.(symbol);
    }, [onSymbolChange]);
    const [innerHeight, setInnerHeight] = (0, react_1.useState)(window.innerHeight - 180);
    (0, react_1.useEffect)(() => {
        const handleResize = () => {
            setInnerHeight(window.innerHeight - 180);
        };
        window.addEventListener('resize', handleResize);
        return () => {
            window.removeEventListener('resize', handleResize);
        };
    }, []);
    return ((0, jsx_runtime_1.jsxs)(sheet_1.Sheet, { open: open, onOpenChange: setOpen, children: [(0, jsx_runtime_1.jsx)(sheet_1.SheetTrigger, { asChild: true, children: (0, jsx_runtime_1.jsxs)("button", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { children: symbolConfig[symbol]("name") }), (0, jsx_runtime_1.jsx)(icon_1.ArrowIcon, { size: 8, className: "orderly-fill-base-contrast-54" })] }) }), (0, jsx_runtime_1.jsx)(sheet_1.SheetContent, { id: "orderly-markets-sheet-content", side: "left", closeable: false, className: "orderly-w-84% orderly-h-100vh", onOpenAutoFocus: (event) => event.preventDefault(), children: (0, jsx_runtime_1.jsx)(markets_1.Markets
                // @ts-ignore
                , { 
                    // @ts-ignore
                    dataSource: data, onItemClick: onSymbolClick, listHeight: innerHeight }) })] }));
};
exports.Market = Market;
//# sourceMappingURL=market.js.map