"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedOrderBook = exports.MyOrderBook = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const orderbook_1 = require("../../../../../block/orderbook");
const provider_1 = require("../../../../../provider");
const css_1 = require("../../../../../utils/css");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
const MyOrderBook = (props) => {
    const { symbol } = props;
    const [cellHeight, setCellHeight] = (0, react_1.useState)(20);
    const [data, { onDepthChange, isLoading, onItemClick, depth, allDepths }] = (0, hooks_1.useOrderbookStream)(symbol, undefined, {
        level: 7,
    });
    const config = (0, hooks_1.useSymbolsInfo)();
    const symbolInfo = config?.[symbol];
    const ee = (0, hooks_1.useEventEmitter)();
    (0, react_1.useEffect)(() => {
        const resizeHandler = ({ height }) => {
            let innerHeight = height - 116;
            let cellHeight = innerHeight / 14;
            setCellHeight(() => cellHeight);
        };
        ee.on("dom:orderEntry:resize", resizeHandler);
        return () => {
            ee.off("dom:orderEntry:resize", resizeHandler);
        };
    }, []);
    return ((0, jsx_runtime_1.jsx)("div", { id: "orderly-order-book", className: (0, css_1.cn)("orderly-pr-1", props.className), children: (0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: symbol, children: (0, jsx_runtime_1.jsx)(orderbook_1.OrderBook, { level: 7, asks: data.asks, bids: data.bids, markPrice: data.markPrice, lastPrice: data.middlePrice, depth: allDepths, activeDepth: depth, base: symbolInfo("base"), quote: symbolInfo("quote"), isLoading: isLoading, onItemClick: onItemClick, cellHeight: cellHeight, onDepthChange: onDepthChange, 
                // @ts-ignore
                pendingOrders: [] }) }) }));
};
exports.MyOrderBook = MyOrderBook;
exports.MemorizedOrderBook = (0, react_1.memo)(exports.MyOrderBook);
//# sourceMappingURL=index.js.map