"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseTradingPage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tradingPageContext_1 = require("./context/tradingPageContext");
const trading_1 = require("./mobile/trading");
const trading_2 = require("./desktop/trading");
const layout_1 = require("../../layout");
const topNavbar_1 = require("../common/topNavbar");
const footer_1 = require("../../layout/footer");
const systemStatusBar_1 = require("../../block/systemStatusBar");
const provider_1 = require("../../provider");
const { Header, Content, Sider, PageHeader } = layout_1.Layout;
const BaseTradingPage = (props) => {
    const { footerStatusBarProps } = (0, react_1.useContext)(provider_1.OrderlyAppContext);
    return ((0, jsx_runtime_1.jsx)(tradingPageContext_1.TradingPageProvider, { symbol: props.symbol, onSymbolChange: props.onSymbolChange, disableFeatures: props.disableFeatures, children: (0, jsx_runtime_1.jsxs)(layout_1.Layout, { mobile: (0, jsx_runtime_1.jsx)(trading_1.MobileTradingPage, { ...props }), children: [(0, jsx_runtime_1.jsx)(Header, { className: "orderly-app-trading-header orderly-border-b orderly-border-divider", children: (0, jsx_runtime_1.jsx)(topNavbar_1.TopNavbar, {}) }), (0, jsx_runtime_1.jsx)(layout_1.Layout, { style: { paddingBottom: "42px" }, children: (0, jsx_runtime_1.jsx)(Content, { children: (0, jsx_runtime_1.jsx)(trading_2.DesktopTradingPage, { ...props }) }) }), (0, jsx_runtime_1.jsx)(footer_1.Footer, { fixed: true, className: "orderly-bg-base-900 orderly-flex orderly-items-center orderly-px-4 orderly-w-full orderly-h-[42px] orderly-justify-between orderly-border-t-[1px] orderly-border-base-500 orderly-z-50", children: (0, jsx_runtime_1.jsx)(systemStatusBar_1.SystemStatusBar, { xUrl: footerStatusBarProps?.xUrl, telegramUrl: footerStatusBarProps?.telegramUrl, discordUrl: footerStatusBarProps?.discordUrl }) })] }) }));
};
exports.BaseTradingPage = BaseTradingPage;
//# sourceMappingURL=page.js.map