"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useExecutionReport = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const toast_1 = require("../../../../toast");
const getOrderExecutionReportMsg_1 = require("../../../../block/orders/getOrderExecutionReportMsg");
const hooks_1 = require("@orderly.network/hooks");
function useExecutionReport() {
    const ee = (0, hooks_1.useEventEmitter)();
    const symbolsInfo = (0, hooks_1.useSymbolsInfo)();
    const symbolsInfoRef = (0, react_1.useRef)({});
    (0, react_1.useEffect)(() => {
        symbolsInfoRef.current = symbolsInfo;
    }, [symbolsInfo]);
    const handler = (0, hooks_1.useDebouncedCallback)((data) => {
        const showToast = (data) => {
            const { title, msg } = (0, getOrderExecutionReportMsg_1.getOrderExecutionReportMsg)(data, symbolsInfoRef.current);
            if (title && msg) {
                toast_1.toast.success((0, jsx_runtime_1.jsxs)("div", { children: [title, (0, jsx_runtime_1.jsx)("br", {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-white/[0.54]", children: msg })] }));
            }
        };
        showToast(data);
    }, 100);
    (0, react_1.useEffect)(() => {
        const showToast = (data) => {
            const { title, msg } = (0, getOrderExecutionReportMsg_1.getOrderExecutionReportMsg)(data, symbolsInfoRef.current);
            if (title && msg) {
                toast_1.toast.success((0, jsx_runtime_1.jsxs)("div", { children: [title, (0, jsx_runtime_1.jsx)("br", {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-white/[0.54]", children: msg })] }));
            }
        };
        // const handler = (data: any) => {
        //   // console.log("orders:changed", data);
        //   showToast(data);
        // };
        ee.on("orders:changed", handler);
        return () => {
            ee.off("orders:changed", handler);
        };
    }, []);
}
exports.useExecutionReport = useExecutionReport;
//# sourceMappingURL=useExecutionReport.js.map