"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installExtension = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const pluginContext_1 = require("./pluginContext");
const registry_1 = require("./registry");
// type ExtensionRenderComponent = (
//   component: ExtensionRenderComponentType<Props>
// ) => void;
const installExtension = (options) => {
    return (component) => {
        const registry = registry_1.OrderlyExtensionRegistry.getInstance();
        registry.register({
            name: options.name,
            positions: options.positions,
            __isInternal: !!options.__isInternal,
            render: (props) => {
                console.log("[plugin] render:", options.name);
                const children = typeof component === "function" ? component(props) : component;
                return (0, jsx_runtime_1.jsx)(pluginContext_1.ExtensionProvider, { children: children });
            },
        });
    };
};
exports.installExtension = installExtension;
//# sourceMappingURL=install.js.map