"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderlyAppProvider = exports.OrderlyAppContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const modalContext_1 = require("../modal/modalContext");
const Toaster_1 = require("../toast/Toaster");
const tooltip_1 = require("../tooltip/tooltip");
const hooks_1 = require("@orderly.network/hooks");
const react_hot_toast_1 = __importStar(require("react-hot-toast"));
const i18n_1 = require("../i18n");
const utils_1 = require("@orderly.network/utils");
const shareConfigProps_1 = require("../block/shared/shareConfigProps");
exports.OrderlyAppContext = (0, react_1.createContext)({});
const OrderlyAppProvider = (props) => {
    const { appIcons: logos, theme, configStore, keyStore, getWalletAdapter, brokerId, brokerName, networkId, includeTestnet, contracts, toastLimitCount, onChainChanged, footerStatusBarProps, shareOptions, chains, accountMenuItems, onClickAccountMenuItem, } = props;
    return ((0, jsx_runtime_1.jsx)(hooks_1.OrderlyConfigProvider, { configStore: configStore, keyStore: keyStore, getWalletAdapter: getWalletAdapter, brokerId: brokerId, networkId: networkId, contracts: contracts, children: (0, jsx_runtime_1.jsx)(InnerProvider, { appIcons: logos, theme: theme, toastLimitCount: toastLimitCount, onChainChanged: onChainChanged, brokerName: brokerName, footerStatusBarProps: footerStatusBarProps, shareOptions: { ...shareConfigProps_1.PnLDefaultProps, ...shareOptions }, chains: chains, accountMenuItems: accountMenuItems, onClickAccountMenuItem: onClickAccountMenuItem, children: props.children }) }));
};
exports.OrderlyAppProvider = OrderlyAppProvider;
const InnerProvider = (props) => {
    const { theme, appIcons: logos, brokerName, toastLimitCount = 1, onChainChanged, footerStatusBarProps, shareOptions, chains: customChains, accountMenuItems, onClickAccountMenuItem, } = props;
    const { toasts } = (0, react_hot_toast_1.useToasterStore)();
    const { connect, disconnect, wallet: currentWallet, setChain, } = (0, hooks_1.useWalletConnector)();
    const account = (0, hooks_1.useAccountInstance)();
    const { networkId } = (0, react_1.useContext)(hooks_1.OrderlyContext);
    const [orderlyChains] = (0, hooks_1.useChains)();
    const chains = (0, react_1.useMemo)(() => {
        const _chains = customChains || orderlyChains;
        if (!_chains) {
            return [];
        }
        return [..._chains?.mainnet, ..._chains.testnet];
    }, [customChains, orderlyChains]);
    const [errors, setErrors] = (0, hooks_1.useSessionStorage)("APP_ERRORS", {
        ChainNetworkNotSupport: false,
        IpNotSupport: false,
        NetworkError: false,
    });
    const checkChainId = (0, react_1.useCallback)((chainId) => {
        if (!chainId || !chains) {
            return false;
        }
        // if (typeof chainId === "number") {
        //   chainId = `0x${Number(chainId).toString(16)}`;
        // }
        // check whether chain id and network id match
        // const chainIdNum = parseInt(chainId, 16);
        if ((networkId === "mainnet" && (0, utils_1.isTestnet)(chainId)) ||
            (networkId === "testnet" && !(0, utils_1.isTestnet)(chainId))) {
            return false;
        }
        const isSupport = chains.some((item) => {
            const _chainId = item.network_infos?.chain_id;
            if (typeof _chainId === "string") {
                // return `0x${Number(_chainId).toString(16)}` === chainId;
                return parseInt(_chainId, 16) === chainId;
            }
            return _chainId === chainId;
        });
        return isSupport;
    }, [chains, networkId]);
    const _onWalletConnect = (0, react_1.useCallback)(async () => {
        if (connect) {
            const walletState = await connect();
            if (Array.isArray(walletState) &&
                walletState.length > 0 &&
                walletState[0] &&
                walletState[0].accounts.length > 0) {
                const wallet = walletState[0];
                ////// check chainid ///////
                const chainId = (0, utils_1.praseChainIdToNumber)(wallet.chains[0].id);
                if (!checkChainId(chainId)) {
                    return false;
                }
                //
                if (!account) {
                    throw new Error("account is not initialized");
                }
                console.info("🤝 connect wallet", wallet);
                // account.address = wallet.accounts[0].address;
                const status = await account.setAddress(wallet.accounts[0].address, {
                    provider: wallet.provider,
                    chain: {
                        id: (0, utils_1.praseChainIdToNumber)(wallet.chains[0].id),
                    },
                    wallet: {
                        name: wallet.label,
                    },
                    // label: ,
                });
                return { wallet, status };
            }
        }
        else {
            throw new Error("walletProvider is required");
        }
    }, [connect, account, networkId]);
    const _onWalletDisconnect = (0, react_1.useCallback)(async () => {
        if (typeof disconnect === "function" && currentWallet) {
            console.log("🤜 disconnect wallet");
            return disconnect(currentWallet).then(() => {
                return account.disconnect();
            });
        }
    }, [disconnect, currentWallet, account]);
    const _onSetChain = (0, react_1.useCallback)((chainId) => {
        return setChain({ chainId }).then((success) => {
            if (success) {
                // @ts-ignore
                setErrors((errors) => ({ ...errors, ChainNetworkNotSupport: false }));
            }
            return success;
        });
    }, []);
    const currentAddress = (0, react_1.useMemo)(() => {
        if (!currentWallet) {
            return null;
        }
        return currentWallet.accounts[0].address;
    }, [currentWallet]);
    // current connected chain id
    const currentChainId = (0, react_1.useMemo)(() => {
        if (!currentWallet) {
            return null;
        }
        const id = currentWallet.chains[0].id;
        return (0, utils_1.praseChainIdToNumber)(id);
    }, [currentWallet]);
    (0, react_1.useEffect)(() => {
        // currentWallet?.provider.detectNetwork().then((x) =>
        if (!chains || chains.length === 0 || !currentChainId) {
            return;
        }
        // console.log("currentWallet", currentWallet, account, currentChainId);
        if (!!currentWallet &&
            Array.isArray(currentWallet.accounts) &&
            currentWallet.accounts.length > 0 &&
            account) {
            if (account.address === currentAddress &&
                currentChainId === account.chainId) {
                return;
            }
            if (!checkChainId(currentChainId)) {
                // @ts-ignore
                setErrors((errors) => ({ ...errors, ChainNetworkNotSupport: true }));
                console.warn("current chain not support!!!!");
                // return;
            }
            else {
                setErrors((errors) => ({
                    ...errors,
                    ChainNetworkNotSupport: false,
                }));
            }
            if (currentAddress !== account.address) {
                account.setAddress(currentWallet.accounts[0].address, {
                    provider: currentWallet.provider,
                    chain: {
                        id: currentChainId,
                        // name: currentWallet.chains[0].name,
                    },
                    wallet: {
                        name: currentWallet.label,
                    },
                    // label: currentWallet.label,
                });
            }
            else if (currentChainId !== account.chainId) {
                account.switchChainId(currentChainId);
            }
        }
        // }
        // }, [ready, currentWallet]);
    }, [currentAddress, currentChainId, chains, account, networkId]);
    // limit toast count
    (0, react_1.useEffect)(() => {
        toasts
            .filter((t) => t.visible) // Only consider visible toasts
            .filter((_, i) => i >= toastLimitCount) // Is toast index over limit
            .forEach((t) => react_hot_toast_1.default.dismiss(t.id)); // Dismiss – Use toast.remove(t.id) removal without animation
    }, [toasts]);
    return ((0, jsx_runtime_1.jsxs)(exports.OrderlyAppContext.Provider, { value: {
            appIcons: logos,
            theme,
            errors,
            onWalletConnect: _onWalletConnect,
            onWalletDisconnect: _onWalletDisconnect,
            onSetChain: _onSetChain,
            onChainChanged,
            brokerName,
            footerStatusBarProps,
            shareOptions,
            chains: props.chains,
            accountMenuItems,
            onClickAccountMenuItem,
        }, children: [(0, jsx_runtime_1.jsx)(tooltip_1.TooltipProvider, { children: (0, jsx_runtime_1.jsx)(i18n_1.LocalProvider, { children: (0, jsx_runtime_1.jsx)(modalContext_1.ModalProvider, { children: props.children }) }) }), (0, jsx_runtime_1.jsx)(Toaster_1.Toaster, {})] }));
};
//# sourceMappingURL=appProvider.js.map