"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketProvider = exports.MarketContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const modal_1 = require("../modal");
const toast_1 = require("../toast");
exports.MarketContext = (0, react_1.createContext)({});
const MarketProvider = (props) => {
    const { account, state } = (0, hooks_1.useAccount)();
    const config = (0, hooks_1.useConfig)();
    const [doGetTestUSDC, { isMutating }] = (0, hooks_1.useMutation)(`${config.get("operatorUrl")}/v1/faucet/usdc`);
    const brokerId = config.get("brokerId");
    const getTestUSDC = (0, react_1.useCallback)(() => {
        return doGetTestUSDC({
            chain_id: account.wallet?.chainId.toString(),
            user_address: state.address,
            broker_id: brokerId,
        })
            .then((res) => {
            if (res.success) {
                return modal_1.modal.confirm({
                    title: "Get test USDC",
                    content: "1,000 USDC will be added to your balance. Please note this may take up to 3 minutes. Please check back later.",
                    onOk: () => {
                        return Promise.resolve();
                    },
                });
            }
            res.message && toast_1.toast.error(res.message);
            return Promise.reject(res);
        })
            .catch((error) => {
            toast_1.toast.error(error.message);
            // res.message && toast.error(res.message);
        });
    }, [state]);
    return ((0, jsx_runtime_1.jsx)(exports.MarketContext.Provider, { value: { getTestUSDC } }));
};
exports.MarketProvider = MarketProvider;
//# sourceMappingURL=marketProvider.js.map