"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SymbolProvider = exports.useSymbolContext = exports.SymbolContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
exports.SymbolContext = (0, react_1.createContext)({});
const useSymbolContext = () => {
    return (0, react_1.useContext)(exports.SymbolContext);
};
exports.useSymbolContext = useSymbolContext;
const SymbolProvider = (props) => {
    const symbolInfo = (0, hooks_1.useSymbolsInfo)()[props.symbol];
    return ((0, jsx_runtime_1.jsx)(exports.SymbolContext.Provider, { value: {
            base_dp: symbolInfo("base_dp"),
            quote_dp: symbolInfo("quote_dp"),
            base_tick: symbolInfo("base_tick"),
            base: symbolInfo("base"),
            quote: symbolInfo("quote"),
            symbol: props.symbol,
        }, children: props.children }));
};
exports.SymbolProvider = SymbolProvider;
//# sourceMappingURL=symbolProvider.js.map