"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectMenuItem = exports.MSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const select_1 = require("./select");
const css_1 = require("../utils/css");
const icon_1 = require("../icon");
const class_variance_authority_1 = require("class-variance-authority");
const react_2 = __importDefault(require("react"));
const MSelect = ({ className, size, disabled, color, fullWidth, ...props }) => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const label = (0, react_1.useMemo)(() => {
        if (typeof props.value !== "undefined") {
            const activeItem = props.options?.find((item) => item.value === props.value);
            if (activeItem)
                return activeItem.label;
        }
        return props.value || props.label || props.placeholder;
    }, [props.value]);
    const options = (0, react_1.useMemo)(() => {
        return props.options || [];
    }, [props]);
    const containerRef = react_2.default.useRef(null);
    (0, react_1.useEffect)(() => {
        const onTouchStart = (event) => {
            if (containerRef.current === event.target ||
                containerRef.current?.contains(event.target)) {
                return;
            }
            setOpen(false);
            //   document.removeEventListener("click", onClick);
        };
        const onClick = (event) => {
            if (containerRef.current === event.target ||
                containerRef.current?.contains(event.target)) {
                return;
            }
            //   event.stopPropagation();
            setOpen(false);
        };
        if (open) {
            //   const onTouchMove = () => {};
            setTimeout(() => {
                document.addEventListener("touchstart", onTouchStart, {
                    capture: true,
                    once: true,
                });
                document.addEventListener("click", onClick, {
                    capture: true,
                    once: true,
                });
            }, 100);
            return () => {
                //
                document.removeEventListener("touchstart", onTouchStart);
                document.removeEventListener("click", onClick);
            };
        }
        else {
            document.removeEventListener("touchstart", onTouchStart);
            document.removeEventListener("click", onClick);
        }
    }, [open]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-relative", ref: containerRef, children: [(0, jsx_runtime_1.jsxs)("button", { type: "button", disabled: Boolean(disabled), onClick: () => setOpen((open) => !open), className: (0, css_1.cn)("orderly-select", "orderly-flex orderly-flex-row orderly-items-center orderly-rounded orderly-space-x-1 orderly-text-3xs desktop:orderly-text-xs", (0, select_1.selectVariants)({
                    size,
                    disabled: disabled || options.length === 0,
                    className,
                    color,
                    fullWidth,
                }), open && "orderly-bg-base-600"), children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-flex orderly-flex-1 orderly-text-inherit", children: typeof label !== "undefined" && (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: label }) }), (0, jsx_runtime_1.jsx)(icon_1.ArrowIcon, { size: 12, className: (0, class_variance_authority_1.cx)("orderly-transition-transform", open && "orderly-rotate-180") })] }), open && ((0, jsx_runtime_1.jsx)("div", { "data-state": open ? "open" : "closed", className: (0, css_1.cn)("orderly-select-menu", "orderly-z-50 orderly-min-w-[8rem] orderly-overflow-hidden orderly-rounded orderly-bg-base-600 orderly-p-1 orderly-text-popover-foreground orderly-shadow-md orderly-py-2 orderly-absolute orderly-left-0 orderly-top-full orderly-mt-1 orderly-w-full orderly-space-y-1", "data-[state=open]:orderly-animate-in data-[state=closed]:orderly-animate-out data-[state=closed]:orderly-fade-out-0 data-[state=open]:orderly-fade-in-0 data-[state=closed]:orderly-zoom-out-95 data-[state=open]:orderly-zoom-in-95 data-[side=bottom]:orderly-slide-in-from-top-2 data-[side=left]:orderly-slide-in-from-right-2 data-[side=right]:orderly-slide-in-from-left-2 data-[side=top]:orderly-slide-in-from-bottom-2"), children: props.options?.map((option, index) => {
                    return ((0, jsx_runtime_1.jsx)(exports.SelectMenuItem, { value: option.value, className: (0, css_1.cn)("orderly-text-base-contrast-54 hover:orderly-bg-base-700 orderly-rounded", option.value === props.value &&
                            (color === "buy"
                                ? "orderly-text-trade-profit"
                                : "orderly-text-trade-loss")), onValueChange: (value) => {
                            setOpen(false);
                            // @ts-ignore
                            props.onChange?.(value);
                        }, children: option.label }, index));
                }) }))] }));
};
exports.MSelect = MSelect;
const SelectMenuItem = (props) => {
    const { value, className, onValueChange } = props;
    return ((0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsx)("button", { type: "button", className: (0, css_1.cn)("orderly-block orderly-p-2 orderly-text-inherit orderly-w-full orderly-h-full orderly-text-left orderly-text-3xs  desktop:orderly-text-xs", className), onClick: () => {
                onValueChange?.(value);
            }, children: props.children }) }));
};
exports.SelectMenuItem = SelectMenuItem;
//# sourceMappingURL=mSelect.js.map