"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Picker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const class_variance_authority_1 = require("class-variance-authority");
const css_1 = require("../utils/css");
const sheet_1 = require("../sheet");
const icon_1 = require("../icon");
const pickerVariants = (0, class_variance_authority_1.cva)("orderly-flex orderly-flex-row orderly-items-stretch orderly-rounded focus-within:orderly-outline orderly-outline-primary orderly-bg-base-700 orderly-text-base-contrast/50", {
    variants: {
        size: {
            small: "orderly-px-2 orderly-h-[26px] orderly-text-3xs",
            default: "orderly-px-3 orderly-h-[40px]",
            large: "orderly-px-6 orderly-py-3",
        },
        fullWidth: {
            true: "orderly-w-full",
        },
        disabled: {
            true: "orderly-opacity-50 orderly-cursor-not-allowed",
        },
        color: {
            // primary: "text-primary",
            default: "orderly-text-base-contract",
            buy: "orderly-text-trade-profit",
            sell: "orderly-text-trade-loss",
        },
    },
    defaultVariants: {
        size: "default",
        color: "default",
    },
});
exports.Picker = (0, react_1.forwardRef)(({ size, color, value, label, placeholder, className, options, fullWidth, disabled, ...props }, ref) => {
    const [open, setOpen] = (0, react_1.useState)(false);
    const selectedItem = (0, react_1.useMemo)(() => {
        if (value && !!value.value) {
            return value;
        }
        if (typeof value === "number" || typeof value === "string") {
            const option = options.find((option) => option.value === value);
            if (option) {
                return option;
            }
        }
    }, [value, options]);
    const text = (0, react_1.useMemo)(() => {
        if (selectedItem) {
            return selectedItem.label;
        }
        return placeholder || label || "";
    }, [selectedItem, label, placeholder]);
    // @ts-ignore
    const actions = (0, react_1.useMemo)(() => {
        return [...options, "---", "Cancel"];
    }, [options]);
    const triggerRef = (0, react_1.useRef)(null);
    const [dropdownWidth, setDropdownWidth] = (0, react_1.useState)(218);
    (0, react_1.useEffect)(() => {
        if (triggerRef.current) {
            // @ts-ignore
            const width = triggerRef.current.offsetWidth;
            setDropdownWidth(width);
        }
    }, []);
    return ((0, jsx_runtime_1.jsx)(sheet_1.ActionSheet, { actionSheets: actions, onOpenChange: setOpen, open: open, onClose: () => setOpen(false), 
        // @ts-ignore
        value: selectedItem, onValueChange: props.onValueChange, children: (0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-space-x-1 orderly-text-base-contrast/80", pickerVariants({
                size,
                color,
                fullWidth,
                disabled: disabled || options.length === 0,
                className,
            })), children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 orderly-flex orderly-justify-start orderly-items-center orderly-text-inherit", children: text }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center", children: (0, jsx_runtime_1.jsx)(icon_1.ArrowIcon, { size: 12, className: "orderly-text-inherit" }) })] }) }));
});
//# sourceMappingURL=picker.js.map