"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../../utils/css");
const ActionItem = (props) => {
    const { action } = props;
    const onItemClick = (0, react_1.useCallback)(() => {
        if (typeof action.onClick === "function") {
            action.onClick(action);
        }
        else {
            props.onClick?.({ ...action, index: props.index });
        }
    }, [action]);
    const child = (0, react_1.useMemo)(() => {
        return action.label;
    }, [action.label]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-flex orderly-justify-center orderly-items-center orderly-text-lg orderly-h-[52px] orderly-cursor-pointer", {
            "orderly-text-primary": props.active,
        }), onClick: onItemClick, children: child }));
};
exports.ActionItem = ActionItem;
//# sourceMappingURL=actionItem.js.map