"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionSheet = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const actionSheetContent_1 = require("../../sheet/actionSheet/actionSheetContent");
const sheet_1 = require("../../sheet");
const ActionSheet = (props) => {
    // create actionSheet items
    const items = (0, react_1.useMemo)(() => {
        const items = [];
        if (Array.isArray(props.actionSheets)) {
            for (const action of props.actionSheets) {
                if (typeof action === "string") {
                    if (action === "Cancel") {
                        items.push({
                            label: "Cancel",
                            value: "cancel",
                            onClick: () => {
                                props.onClose?.();
                            },
                        });
                    }
                    else if (action === "Confirm") {
                        items.push({
                            label: "Confirm",
                            value: "confirm",
                        });
                    }
                    else if (action.startsWith("---")) {
                        items.push({
                            label: "---",
                            value: "---",
                            type: "division",
                        });
                    }
                }
                else {
                    items.push(action);
                }
            }
        }
        return items;
    }, [props.actionSheets]);
    return ((0, jsx_runtime_1.jsxs)(sheet_1.Sheet, { open: props.open, onOpenChange: props.onOpenChange, children: [typeof props.children !== "undefined" && ((0, jsx_runtime_1.jsx)(sheet_1.SheetTrigger, { asChild: true, children: props.children })), (0, jsx_runtime_1.jsx)(sheet_1.SheetContent, { closeable: false, className: "orderly-action-sheet-content orderly-p-0", onOpenAutoFocus: (event) => event.preventDefault(), children: (0, jsx_runtime_1.jsx)(actionSheetContent_1.ActionSheetContent, { actionSheets: items, onClose: props.onClose, onValueChange: props.onValueChange, value: props.value }) })] }));
};
exports.ActionSheet = ActionSheet;
//# sourceMappingURL=actionSheet.js.map