"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SliderMarks = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const react_1 = require("react");
const utils_1 = require("../slider/utils");
const SliderMarks = (props) => {
    const { marks, value, markLabelVisible, isInnerMask } = props;
    // const spanRef = useRef<HTMLSpanElement | null>(null);
    const _value = (0, react_1.useMemo)(() => value?.[0] ?? 0, [value]);
    const _max = (0, react_1.useMemo)(() => (props.max === 0 ? 1 : props.max), [props.max]);
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: marks?.map((mark, index) => {
            // const percent = convertValueToPercentage(mark.value, props.min, _max);
            const percent = (0, utils_1.convertValueToPercentage)(index, 0, marks.length - 1);
            const thumbInBoundsOffset = (0, utils_1.getThumbInBoundsOffset)(6, percent, 1);
            const __value = isInnerMask ? mark.value : index;
            return ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: (0, css_1.cn)("orderly-absolute orderly-top-[7px] orderly-w-[6px] orderly-h-[6px] orderly-rounded orderly-border orderly-border-base-200 orderly-bg-base-800 orderly-pointer-events-none orderly-translate-x-[-50%]", {
                            "orderly-border-primary orderly-bg-primary": props.color === "primary" &&
                                _value >= __value &&
                                _value > 0 &&
                                !props.disabled,
                            "orderly-border-primary-light orderly-bg-primary-light": props.color === "primary-light" &&
                                _value >= __value &&
                                _value > 0 &&
                                !props.disabled,
                            "orderly-border-trade-profit orderly-bg-trade-profit": props.color === "buy" &&
                                _value >= __value &&
                                _value > 0 &&
                                !props.disabled,
                            "orderly-border-trade-loss orderly-bg-trade-loss": props.color === "sell" &&
                                _value >= __value &&
                                _value > 0 &&
                                !props.disabled,
                        }), style: {
                            left: `calc(${percent}% + ${thumbInBoundsOffset}px)`,
                            // top: "7px",
                        } }), !props.disabled && markLabelVisible && ((0, jsx_runtime_1.jsx)("span", { className: (0, css_1.cn)("orderly-absolute orderly-top-[20px] orderly-text-2xs orderly-text-base-contrast/50 orderly-pointer-events-none orderly-translate-x-[-50%] desktop:orderly-text-xs"), style: {
                            left: `calc(${percent}% + ${thumbInBoundsOffset}px)`,
                        }, children: mark.label }, index))] }, index));
        }) }));
};
exports.SliderMarks = SliderMarks;
//# sourceMappingURL=marks.js.map