"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const SliderPrimitive = __importStar(require("@radix-ui/react-slider"));
const css_1 = require("../utils/css");
const marks_1 = require("./marks");
const sliderTip_1 = require("./sliderTip");
const Slider = react_1.default.forwardRef(({ className, marks, markCount, markLabelVisible, color = "primary", showTip = true, onValueChange, ...props }, ref) => {
    const { min = 0, max = 100, step, value = 0 } = props;
    // const spanRef = useRef<HTMLSpanElement | null>(null);
    // const size = useSize(spanRef.current);
    const innerMasks = (0, react_1.useMemo)(() => {
        let _max = max;
        if (_max === 0) {
            _max = 1;
        }
        if (Array.isArray(marks) && marks.length > 0) {
            return marks;
        }
        if (typeof markCount !== "undefined") {
            const marks = [];
            // if(max === 0){
            // }
            const piece = _max / markCount;
            const len = markCount - 1;
            for (let i = 0; i <= len; i++) {
                const value = i * piece;
                marks.push({
                    value,
                    label: `${value}`,
                });
            }
            marks.push({
                value: _max,
                label: `100`,
            });
            return marks;
        }
    }, [marks, markCount, max]);
    //
    const onValueChangeInner = (value) => {
        onValueChange?.(value);
    };
    const bgClassName = (0, react_1.useMemo)(() => {
        return (0, css_1.cn)({
            "orderly-bg-primary orderly-border-primary": color === "primary",
            "orderly-bg-primary-light orderly-border-primary-light": color === "primary-light",
            "orderly-bg-trade-profit orderly-border-trade-profit": color === "buy",
            "orderly-bg-trade-loss orderly-border-trade-loss": color === "sell",
        }, props.disabled && "orderly-bg-base-200", "orderly-text-base-600");
    }, [color, props.disabled]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-relative"), children: (0, jsx_runtime_1.jsxs)(SliderPrimitive.Root, { ref: ref, className: (0, css_1.cn)("orderly-relative orderly-flex orderly-items-center orderly-select-none orderly-touch-none orderly-w-full orderly-h-[20px] orderly-cursor-pointer", className), onValueChange: onValueChangeInner, ...props, children: [(0, jsx_runtime_1.jsx)(SliderPrimitive.Track, { className: "orderly-bg-base-200 orderly-relative orderly-grow orderly-rounded-full orderly-h-[2px] orderly-z-0", children: (0, jsx_runtime_1.jsx)(SliderPrimitive.Range, { className: (0, css_1.cn)("orderly-absolute orderly-bg-base-200 orderly-rounded-full orderly-h-full", bgClassName) }) }), Array.isArray(innerMasks) && innerMasks.length > 0 && ((0, jsx_runtime_1.jsx)(marks_1.SliderMarks, { value: props.value, color: color, marks: innerMasks, isInnerMask: !Array.isArray(marks) || marks.length === 0, min: min, max: max, markLabelVisible: markLabelVisible, disabled: props.disabled })), (0, jsx_runtime_1.jsx)(SliderPrimitive.Thumb, { className: (0, css_1.cn)("orderly-block orderly-w-[10px] orderly-h-[10px] orderly-bg-base-700 orderly-border-[2px] orderly-border-base-200 orderly-rounded-[10px] focus:orderly-outline-none focus:orderly-w-[16px] focus:orderly-h-[16px] focus:orderly-shadow-[0_0_0_8px] focus:orderly-shadow-base-contrast/20 orderly-z-20 disabled:orderly-pointer-events-none orderly-group data-[disabled]:orderly-hidden", {
                        "orderly-border-primary": color === "primary",
                        "orderly-border-primary-light": color === "primary-light",
                        "orderly-border-trade-profit": color === "buy",
                        "orderly-border-trade-loss": color === "sell",
                    }, props.disabled && "orderly-border-transparent orderly-bg-base-200"), "aria-label": "Volume", children: showTip && ((0, jsx_runtime_1.jsx)(sliderTip_1.SliderTip, { value: props.value, className: bgClassName, max: max, min: 0 })) })] }) }));
});
exports.Slider = Slider;
Slider.displayName = SliderPrimitive.Root.displayName;
//# sourceMappingURL=slider.js.map