"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedTabContent = exports.TabContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tabContext_1 = require("./tabContext");
const css_1 = require("../utils/css");
const constants_1 = require("./constants");
const TabContent = (props) => {
    const { keepAlive, activeIndex, tabs, mode } = props;
    const { contentVisible } = (0, tabContext_1.useTabContext)();
    // const contentVisible = true;
    const children = (0, react_1.useMemo)(() => {
        if (!tabs)
            return null;
        if (!keepAlive) {
            return tabs[activeIndex ?? 0];
        }
        return tabs.map((tab, index) => {
            return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-h-full orderly-w-full orderly-transition-all orderly-min-w-0", mode === constants_1.TabViewMode.Tab
                    ? index === activeIndex
                        ? "orderly-inset-0"
                        : "orderly-hidden"
                    : "orderly-border-l orderly-border-divider first:orderly-border-l-0"), children: tab }, index));
        });
    }, [activeIndex, keepAlive, tabs, mode]);
    const layout = (0, react_1.useMemo)(() => {
        return {};
    }, []);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-transition-all orderly-grid", contentVisible ? "orderly-grid-rows-[1fr]" : "orderly-grid-rows-[0fr]"), children: (0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-overflow-hidden orderly-relative", mode === constants_1.TabViewMode.Group && "orderly-grid"), style: mode === constants_1.TabViewMode.Group
                ? {
                    gridTemplateColumns: `repeat(${props.tabs?.length}, 1fr)`,
                    ...layout,
                }
                : layout, children: children }) }));
};
exports.TabContent = TabContent;
exports.MemorizedTabContent = (0, react_1.memo)(exports.TabContent);
//# sourceMappingURL=tabContent.js.map