"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabList = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
// import { TabIndicator } from "./indicator";
const tab_1 = require("./tab");
const tabContext_1 = require("./tabContext");
const css_1 = require("../utils/css");
const TabList = (props) => {
    const boxRef = (0, react_1.useRef)(null);
    const tabContext = (0, react_1.useContext)(tabContext_1.TabContext);
    const onItemClick = (0, react_1.useCallback)((value, event) => {
        if (typeof props.onTabChange === "undefined")
            return;
        // calcLeft(event.currentTarget as HTMLButtonElement);
        props.onTabChange?.(value);
        if (!tabContext.contentVisible) {
            tabContext.toggleContentVisible();
        }
    }, [props.onTabChange, tabContext.contentVisible]);
    const extraNode = (0, react_1.useMemo)(() => {
        if (typeof props.tabBarExtra === "undefined")
            return null;
        if (typeof props.tabBarExtra === "function") {
            return props.tabBarExtra(tabContext);
        }
        return props.tabBarExtra;
    }, [props.tabBarExtra, tabContext]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-flex orderly-border-b orderly-border-b-divider orderly-px-3 orderly-items-center orderly-tab-header", props.className), children: [(0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-relative orderly-flex-1 orderly-h-full orderly-flex orderly-items-center"
                // {
                //   "orderly-pb-1": props.mode === TabViewMode.Tab,
                // }
                ), children: (0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-flex orderly-h-full orderly-gap-5 tabs-list", {
                        "orderly-w-full": props.fullWidth,
                    }), ref: boxRef, children: props.tabs.map((item, index) => {
                        return ((0, jsx_runtime_1.jsx)(tab_1.Tab, { title: item.title, value: item.value ?? index, disabled: item.disabled, fullWidth: props.fullWidth, mode: props.mode, active: !!item.value &&
                                !!props.value &&
                                item.value === props.value &&
                                tabContext.contentVisible, onClick: onItemClick }, index));
                    }) }) }), extraNode] }));
};
exports.TabList = TabList;
//# sourceMappingURL=tabList.js.map