"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tabs = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const react_2 = require("react");
const tabList_1 = require("./tabList");
const tabContext_1 = require("./tabContext");
const tabContent_1 = require("./tabContent");
const tabGroup_1 = require("../tab/tabGroup");
const constants_1 = require("./constants");
// it's controlled component;
const TabsInner = ({ showIdentifier = true, collapsed = false, onToggleCollapsed, ...props }, ref) => {
    const [activeIndex, setActiveIndex] = (0, react_1.useState)(0);
    const [viewMode, setViewMode] = (0, react_1.useState)(constants_1.TabViewMode.Tab);
    const [height, setHeight] = (0, react_1.useState)({
        box: 0,
        header: 0,
        content: 0,
    });
    const [tabList, children] = (0, react_2.useMemo)(() => {
        const tabList = [], children = [];
        react_1.default.Children.forEach(props.children, (child, index) => {
            const childElement = child;
            const { displayName } = childElement.type;
            //
            if (displayName === "TabPane") {
                //   return childElement;
                const { title, value, disabled } = childElement.props;
                // const active = value === props.value;
                tabList.push({ title, value, disabled });
                // children.push(
                //   <Fragment key={index}>{childElement.props.children}</Fragment>
                // );
                children.push(childElement);
                // set active index
                // if (active) {
                //   setActiveIndex(index);
                // }
            }
            else {
                console.error("Warning: Tabs has a child which is not a TabPane component");
            }
        });
        return [tabList, children];
    }, [props.children]);
    (0, react_1.useEffect)(() => {
        const index = tabList.findIndex((tab) => {
            return tab.value === props.value;
        });
        if (index !== -1) {
            setActiveIndex(index);
        }
    }, [props.value, tabList]);
    // const child = useMemo(() => {
    //   return children[activeIndex];
    // }, [children, activeIndex]);
    const containerRef = (0, react_1.useRef)(null);
    const tabHeaderRef = (0, react_1.useRef)(new WeakMap());
    (0, react_1.useEffect)(() => {
        if (typeof props.minWidth !== "number" ||
            !props.allowUngroup ||
            children?.length === 0) {
            return;
        }
        const observer = new ResizeObserver(function (entries) {
            if (Array.isArray(entries) && entries[0]) {
                const target = entries[0];
                if (target.contentRect.width >
                    props.minWidth * children.length * 0.8) {
                    setViewMode(constants_1.TabViewMode.Group);
                }
                else {
                    setViewMode(constants_1.TabViewMode.Tab);
                }
            }
        });
        observer.observe(containerRef.current);
        return () => {
            if (containerRef.current) {
                observer.unobserve(containerRef.current);
            }
        };
    }, [props.allowUngroup, props.minWidth, children.length]);
    (0, react_1.useEffect)(() => {
        if (!props.autoFit) {
            return;
        }
        if (!containerRef.current) {
            return;
        }
        const parent = containerRef.current.parentElement;
        if (parent === null) {
            return;
        }
        const observer = new ResizeObserver(function (entries) {
            if (Array.isArray(entries) && entries[0]) {
                // const parentBounding = parent.getBoundingClientRect();
                const target = entries[0];
                const height = target.contentRect.height;
                const header = containerRef.current.querySelector(".orderly-tab-header");
                if (!header)
                    return;
                let headerHeight = tabHeaderRef.current.get(header);
                if (!headerHeight) {
                    const height = header.getBoundingClientRect().height;
                    tabHeaderRef.current.set(header, height);
                    headerHeight = height;
                }
                // if (header === null) {
                //   return;
                // }
                if (!tabHeaderRef.current) {
                    return;
                }
                setHeight((rect) => ({
                    box: height,
                    header: headerHeight,
                    content: height - headerHeight,
                }));
            }
        });
        observer.observe(parent);
        return () => {
            observer.unobserve(parent);
        };
    }, []);
    (0, react_1.useImperativeHandle)(ref, () => {
        return {
            getContainer: () => containerRef.current,
        };
    });
    // console.log("-----tabs render-----");
    const tabHeader = viewMode === constants_1.TabViewMode.Tab ? ((0, jsx_runtime_1.jsx)(tabList_1.TabList, { mode: viewMode, tabs: tabList, onTabChange: props.onTabChange, value: props.value, tabBarExtra: props.tabBarExtra, showIdentifier: showIdentifier, className: props.tabBarClassName, fullWidth: props.fullWidth })) : ((0, jsx_runtime_1.jsx)(tabGroup_1.TabGroup, { tabList: tabList, className: props.tabBarClassName }));
    return ((0, jsx_runtime_1.jsx)(tabContext_1.TabContextProvider, { data: props.extraData, collapsed: collapsed, onToggleCollapsed: onToggleCollapsed, height: height, children: (0, jsx_runtime_1.jsxs)("div", { id: props.id, ref: containerRef, className: "orderly-min-h-0 orderly-max-h-full", children: [tabHeader, (0, jsx_runtime_1.jsx)(tabContent_1.MemorizedTabContent, { mode: viewMode, activeIndex: activeIndex, tabs: children, keepAlive: props.keepAlive })] }) }));
};
exports.Tabs = (0, react_1.forwardRef)(TabsInner);
//# sourceMappingURL=tabs.js.map