import { CSSProperties, FC, ReactNode } from "react";
export type ColumnFixed = "left" | "right";
export type SortOrder = "asc" | "desc";
export type Column<RecordType extends unknown = any> = {
    title: string;
    hint?: ReactNode;
    hintClassName?: string;
    width?: number;
    fixed?: ColumnFixed;
    dataIndex: string;
    className?: string | ((record: RecordType, index: number) => string);
    align?: "left" | "center" | "right";
    onSort?: boolean | ((r1: RecordType, r2: RecordType, sortOrder: SortOrder) => number);
    formatter?: (value: any, record: RecordType, index: number) => any;
    render?: (value: any, record: RecordType, index: number) => React.ReactNode;
    getKey?: (record: RecordType, index: number) => string;
};
export interface ColProps {
    col: Column;
    record: any;
    index: number;
    justified?: boolean;
    style?: CSSProperties;
}
export declare const ColItem: FC<ColProps>;
export declare const Col: (props: ColProps) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=col.d.ts.map