"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Col = exports.ColItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../utils/css");
const colHOC_1 = require("./colHOC");
const ColItem = (props) => {
    const { col, record, index, style } = props;
    const { align } = col;
    const content = (0, react_1.useMemo)(() => {
        const { col } = props;
        const { dataIndex, formatter, render } = col;
        let value = props.record[dataIndex];
        if (formatter) {
            value = formatter(value, props.record, props.index);
        }
        if (render) {
            return render(value, props.record, props.index);
        }
        return value;
    }, [col, record]);
    return ((0, jsx_runtime_1.jsx)("td", { className: (0, css_1.cn)("orderly-ui-table-td orderly-py-[2px] orderly-px-1 whitespace-nowrap group-hover:!orderly-bg-base-800", props.justified && "first:orderly-pl-0 last:orderly-pr-0", col.className, align === "right" && "orderly-text-right", col.fixed && "orderly-sticky orderly-z-10"), style: {
            backgroundColor: col.fixed
                ? "var(--table-background-color)"
                : "transparent",
            ...style,
        }, children: content }));
};
exports.ColItem = ColItem;
exports.Col = (0, colHOC_1.withFixedStyle)(exports.ColItem);
//# sourceMappingURL=col.js.map