"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withFixedStyle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tableContext_1 = require("./tableContext");
const withFixedStyle = (WrappedComponent) => {
    return (props) => {
        const { col, index } = props;
        const { getLeftFixedColumnsWidth, getRightFixedColumnsWidth } = (0, react_1.useContext)(tableContext_1.TableContext);
        const styles = (0, react_1.useMemo)(() => {
            const styles = {};
            if (col.fixed && col.fixed === "left") {
                styles["left"] = `${getLeftFixedColumnsWidth(index)}px`;
            }
            if (col.fixed && col.fixed === "right") {
                styles["right"] = `${getRightFixedColumnsWidth(index)}px`;
            }
            return styles;
        }, [index, col.fixed]);
        return (0, jsx_runtime_1.jsx)(WrappedComponent, { ...props, style: styles });
    };
};
exports.withFixedStyle = withFixedStyle;
//# sourceMappingURL=colHOC.js.map