"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpandRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../utils/css");
const ExpandRow = (props) => {
    const { columns, record, index } = props;
    const cols = (0, react_1.useMemo)(() => {
        const cols = [];
        let prev;
        for (let i = 0; i < columns.length; i++) {
            const col = columns[i];
            if (i === 0) {
                cols.push({ colCount: 1, type: col.fixed });
                continue;
            }
            else {
                prev = columns[i - 1];
            }
            if (col.fixed !== prev?.fixed) {
                cols.push({ colCount: 1, type: col.fixed });
            }
            else {
                cols[cols.length - 1] = {
                    ...cols[cols.length - 1],
                    colCount: cols[cols.length - 1].colCount + 1,
                };
            }
        }
        return cols;
    }, [columns]);
    return ((0, jsx_runtime_1.jsx)("tr", { className: (0, css_1.cn)(props.bordered &&
            "orderly-border-b orderly-border-divider last:orderly-border-b-0"), children: cols.map((item, index) => {
            const pos = item.type === undefined
                ? {}
                : item.type === "left"
                    ? {
                        left: "0px",
                        borderBouttom: "1px solid #e5e5e5",
                    }
                    : {
                        right: "0px",
                        borderBouttom: "1px solid #e5e5e5",
                    };
            return ((0, jsx_runtime_1.jsx)("td", { colSpan: item.colCount, style: {
                    ...pos,
                    backgroundColor: item.type !== undefined
                        ? "var(--table-background-color)"
                        : "transparent",
                }, className: (0, css_1.cn)(!!item.type && "orderly-sticky"), children: !item.type ? ((0, jsx_runtime_1.jsx)("div", { className: "orderly-bg-base-700 orderly-rounded-[4px] orderly-my-1", children: props.expandRowRender?.(record, index) })) : null }, index));
        }) }));
};
exports.ExpandRow = ExpandRow;
//# sourceMappingURL=expandRow.js.map