"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FixedDivide = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tableContext_1 = require("./tableContext");
const FixedDivide = () => {
    const { getLeftFixedColumnsPosition, getRightFixedColumnsPosition, columns } = (0, react_1.useContext)(tableContext_1.TableContext);
    const left = (0, react_1.useMemo)(() => getLeftFixedColumnsPosition(), [columns]);
    const right = (0, react_1.useMemo)(() => getRightFixedColumnsPosition(), [columns]);
    const classNames = "orderly-absolute orderly-top-0 orderly-bottom-0 orderly-w-[1px] orderly-bg-divider orderly-z-30 orderly-pointer-events-none orderly-hidden";
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [left > 0 ? ((0, jsx_runtime_1.jsx)("div", { id: "table_left_fixed_divide", className: `${classNames} peer-data-[left=fixed]:orderly-block`, style: { left: `${left}px` } })) : null, right > 0 ? ((0, jsx_runtime_1.jsx)("div", { id: "table_right_fixed_divide", className: `${classNames} peer-data-[right=fixed]:orderly-block`, style: { right: `${right}px` } })) : null] }));
};
exports.FixedDivide = FixedDivide;
//# sourceMappingURL=fixedDivide.js.map