"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Row = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const col_1 = require("./col");
const css_1 = require("../utils/css");
const expandRow_1 = require("./expandRow");
const Row = (props) => {
    const { columns, record, index, bordered } = props;
    const cols = (0, react_1.useMemo)(() => {
        return columns.map((column, index) => {
            return ((0, jsx_runtime_1.jsx)(col_1.Col, { col: column, index: index, record: record, justified: props.justified }, column.dataIndex));
        });
    }, [columns, record]);
    const rowAttrs = (0, react_1.useMemo)(() => {
        if (typeof props.onRow === "function") {
            return props.onRow(record, index);
        }
        return {};
    }, [record, index]);
    const { className, ...rest } = rowAttrs;
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("tr", { className: (0, css_1.cn)("orderly-ui-table-tr hover:orderly-bg-base-800 orderly-group", props.bordered &&
                    "orderly-border-b orderly-border-divider last:orderly-border-b-0", props.canExpand && "orderly-cursor-pointer", className), onClick: (event) => {
                    if (!props.canExpand)
                        return;
                    props.onToggleExpand(props.rowKey);
                    event.preventDefault();
                    event.stopPropagation();
                }, ...rest, children: cols }), props.expanded && ((0, jsx_runtime_1.jsx)(expandRow_1.ExpandRow, { columns: columns, expandRowRender: props.expandRowRender, record: record, index: index, bordered: bordered }))] }));
};
exports.Row = Row;
//# sourceMappingURL=row.js.map