"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TBody = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tableContext_1 = require("./tableContext");
const row_1 = require("./row");
const TBody = (props) => {
    const { dataSource, columns, expandedRowKeys, canExpand, toggleExpandRow } = (0, react_1.useContext)(tableContext_1.TableContext);
    return ((0, jsx_runtime_1.jsx)("tbody", { className: "orderly-ui-table-body", children: dataSource?.map((record, index) => {
            const key = typeof props.generatedRowKey === "function"
                ? props.generatedRowKey(record, index)
                : `${index}`; /// `record.ts_${record.price}_${record.size}_${index}`;
            const row = ((0, jsx_runtime_1.jsx)(row_1.Row, { rowKey: key, index: index, columns: columns, record: record, canExpand: canExpand, justified: props.justified, bordered: props.bordered, onRow: props.onRow, onToggleExpand: toggleExpandRow, expanded: !!expandedRowKeys?.includes(key), expandRowRender: props.expandRowRender }, key));
            if (typeof props.renderRowContainer === "function") {
                return ((0, jsx_runtime_1.jsx)(react_1.Fragment, { children: props.renderRowContainer(record, index, row) }, key));
            }
            return row;
        }) }));
};
exports.TBody = TBody;
//# sourceMappingURL=tbody.js.map