"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TheadCol = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const colHOC_1 = require("./colHOC");
const tooltip_1 = require("../tooltip/tooltip");
const __1 = require("..");
const hoverCard_1 = require("../hoverCard");
const tableContext_1 = require("./tableContext");
const arrow_1 = require("../icon/icons/arrow");
const TheadColItem = (props) => {
    const { col: column, index } = props;
    const { sortKey, sortOrder, onSort } = (0, react_1.useContext)(tableContext_1.TableContext);
    let content = column.title;
    if (!!column.hint || !!column.onSort) {
        content = ((0, jsx_runtime_1.jsxs)("button", { className: (0, __1.cn)("hover:orderly-text-base-contrast orderly-flex orderly-gap-1 orderly-items-center", sortKey === column.dataIndex && "orderly-text-base-contrast"), onClick: (e) => {
                e.stopPropagation();
                if (!column.onSort) {
                    return;
                }
                onSort(column.dataIndex);
            }, children: [(0, jsx_runtime_1.jsx)("span", { children: column.title }), (0, jsx_runtime_1.jsx)(arrow_1.ArrowIcon, { className: (0, __1.cn)("orderly-transition-all orderly-duration-200 orderly-hidden", sortKey === column.dataIndex && "orderly-block", sortOrder === "asc" && "orderly-rotate-180", sortOrder === "desc" && "orderly-rotate-0"), size: 10 })] }));
    }
    if (!!column.hint) {
        if (typeof column.hint === "string") {
            content = ((0, jsx_runtime_1.jsx)(tooltip_1.Tooltip, { content: column.hint, className: (0, __1.cn)("orderly-max-w-[270px] orderly-text-4xs", column.hintClassName && column.hintClassName), children: content }));
        }
        else {
            content = ((0, jsx_runtime_1.jsx)(hoverCard_1.HoverCard
            // @ts-ignore
            , { 
                // @ts-ignore
                content: column.hint, side: "top", align: "center", className: (0, __1.cn)("orderly-max-w-[270px] orderly-text-4xs", column.hintClassName && column.hintClassName), children: content }));
        }
    }
    return ((0, jsx_runtime_1.jsx)("td", { className: (0, __1.cn)("orderly-px-1 orderly-py-[3px] ", column.align === "right" && "orderly-text-right", props.justified && "first:orderly-pl-0 last:orderly-pr-0", props.bordered && "orderly-border-b orderly-border-divider", column.fixed && "orderly-sticky orderly-bg-base-900", props.className), style: props.style, children: content }, column.dataIndex));
};
exports.TheadCol = (0, colHOC_1.withFixedStyle)(TheadColItem);
//# sourceMappingURL=theadCol.js.map