"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const class_variance_authority_1 = require("class-variance-authority");
const tagVariants = (0, class_variance_authority_1.cva)(["orderly-rounded-sm", "orderly-px-2", "orderly-text-4xs", "orderly-inline-block"], {
    variants: {
        size: {
            small: "orderly-h-[16px]",
            default: "orderly-h-[18px]",
        },
        color: {
            primary: "orderly-bg-primary/[.15] orderly-text-primary",
            //   secondary: "bg-secondary text-white",
            // success: "bg-success text-white",
            // danger: "bg-danger text-white",
            // warning: "bg-warning text-white",
            // info: "bg-info text-white",
            buy: "orderly-bg-trade-profit/[.15] orderly-text-trade-profit",
            sell: "orderly-bg-trade-loss/[.15] orderly-text-trade-loss",
        },
    },
    defaultVariants: {
        size: "default",
        color: "primary",
    },
});
const Tag = ({ className, size, color, children, ...props }) => {
    return ((0, jsx_runtime_1.jsx)("div", { ...props, className: (0, css_1.cn)(tagVariants({
            size,
            color,
            // disabled,
        }), className), children: children }));
};
exports.Tag = Tag;
//# sourceMappingURL=tag.js.map