"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Numeral = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../utils/css");
const num_1 = require("../utils/num");
const lucide_react_1 = require("lucide-react");
const coloringClasses = {
    lose: "orderly-text-trade-loss",
    profit: "orderly-text-trade-profit",
    neutral: "orderly-text-base-contrast-54",
};
const Numeral = (props) => {
    const { rule = "price", coloring, precision, tick, surfix, prefix, visible, unit, cureency, truncate = "floor", padding = true, showIcon = false, } = props;
    // TODO: check precision
    const num = Number(props.children);
    const child = (0, react_1.useMemo)(() => {
        if (isNaN(num))
            return "--";
        if (typeof visible !== "undefined" && !visible)
            return "*****";
        return (0, num_1.parseNumber)(num, {
            rule,
            precision,
            tick,
            truncate,
            padding,
            abs: showIcon,
        });
    }, [num, precision, visible, showIcon]);
    const colorClassName = (0, react_1.useMemo)(() => {
        if (!coloring)
            return "";
        if (typeof visible !== "undefined" && !visible)
            return "";
        // if (props.value === 0) return coloringClasses.neutral;
        if (Number.isNaN(num)) {
            // console.warn(`if coloring, value is need number: ${props.value}`);
            return "";
        }
        if (num === 0)
            return coloringClasses.neutral;
        if (num < 0)
            return coloringClasses.lose;
        return coloringClasses.profit;
    }, [coloring, num, props.visible]);
    const icon = (0, react_1.useMemo)(() => {
        if (!showIcon || Number.isNaN(num) || num === 0)
            return null;
        if (typeof visible !== "undefined" && !visible)
            return null;
        if (num < 0) {
            if (props.icons?.loss)
                return props.icons?.loss;
            // @ts-ignore
            return (0, jsx_runtime_1.jsx)(lucide_react_1.Minus, { size: 12 });
        }
        if (props.icons?.profit)
            return props.icons?.profit;
        // @ts-ignore
        return (0, jsx_runtime_1.jsx)(lucide_react_1.Plus, { size: 12 });
    }, [num, props.visible, showIcon]);
    const childWithUnit = (0, react_1.useMemo)(() => {
        if (typeof surfix === "undefined" &&
            typeof prefix === "undefined" &&
            typeof unit === "undefined" &&
            typeof cureency === "undefined" &&
            !showIcon) {
            return child;
        }
        const surfixEle = surfix ? surfix : unit ? (0, jsx_runtime_1.jsx)("span", { children: unit }) : undefined;
        const prefixEle = prefix ? (prefix) : cureency ? ((0, jsx_runtime_1.jsx)("span", { children: cureency })) : undefined;
        return ((0, jsx_runtime_1.jsxs)("span", { className: "orderly-inline-flex orderly-items-center orderly-gap-1 orderly-tabular-nums", children: [prefixEle, child, surfixEle] }));
    }, [child, surfix, unit, prefix]);
    if (!colorClassName && !props.className) {
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: childWithUnit });
    }
    return ((0, jsx_runtime_1.jsxs)("span", { className: (0, css_1.cn)("orderly-inline-flex orderly-items-center", colorClassName, props.className), children: [icon, childWithUnit] }));
};
exports.Numeral = Numeral;
//# sourceMappingURL=numeral.js.map