"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumeralTotal = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const numeral_1 = require("../text/numeral");
const react_1 = require("react");
const utils_1 = require("@orderly.network/utils");
const NumeralTotal = (props) => {
    const { price, quantity, ...rest } = props;
    //
    const children = (0, react_1.useMemo)(() => {
        if (!price || !quantity) {
            return 0;
        }
        return new utils_1.Decimal(props.price).mul(props.quantity).toNumber();
    }, [price, quantity]);
    return (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { ...rest, children: children });
};
exports.NumeralTotal = NumeralTotal;
//# sourceMappingURL=numeralTotal.js.map