"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumeralWithCtx = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const symbolProvider_1 = require("../provider/symbolProvider");
const numeral_1 = require("./numeral");
const NumeralWithCtx = (props) => {
    const { tick = "quote_dp", ...rest } = props;
    const symbolInfo = (0, symbolProvider_1.useSymbolContext)();
    if (!symbolInfo) {
        throw new Error("NumeralWithCtx must be used inside SymbolProvider");
    }
    return (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { ...rest, precision: symbolInfo[tick] });
};
exports.NumeralWithCtx = NumeralWithCtx;
//# sourceMappingURL=numeralWithCtx.js.map